# Snapshot report for `src/operations.test.js`

The actual snapshot is saved in `operations.test.js.snap`.

Generated by [AVA](https://ava.li).

## Exported methods

> Snapshot 1

    [
      {
        operationId: 'listSites',
        parameters: {
          body: {},
          path: {},
          query: {
            filter: {
              enum: [
                'all',
                'owner',
                'guest',
              ],
              in: 'query',
              name: 'filter',
              type: 'string',
            },
            name: {
              in: 'query',
              name: 'name',
              type: 'string',
            },
            page: {
              format: 'int32',
              in: 'query',
              name: 'page',
              required: false,
              type: 'integer',
            },
            per_page: {
              format: 'int32',
              in: 'query',
              name: 'per_page',
              required: false,
              type: 'integer',
            },
          },
        },
        path: '/sites',
        responses: {
          200: {
            description: 'OK',
            schema: {
              items: {
                properties: {
                  account_name: {
                    type: 'string',
                  },
                  account_slug: {
                    type: 'string',
                  },
                  admin_url: {
                    type: 'string',
                  },
                  build_image: {
                    type: 'string',
                  },
                  build_settings: {
                    properties: {
                      allowed_branches: {
                        items: {
                          type: 'string',
                        },
                        type: 'array',
                      },
                      cmd: {
                        type: 'string',
                      },
                      deploy_key_id: {
                        type: 'string',
                      },
                      dir: {
                        type: 'string',
                      },
                      env: {
                        additionalProperties: {
                          type: 'string',
                        },
                        type: 'object',
                      },
                      id: {
                        type: 'integer',
                      },
                      installation_id: {
                        type: 'integer',
                      },
                      private_logs: {
                        type: 'boolean',
                      },
                      provider: {
                        type: 'string',
                      },
                      public_repo: {
                        type: 'boolean',
                      },
                      repo_branch: {
                        type: 'string',
                      },
                      repo_path: {
                        type: 'string',
                      },
                      repo_url: {
                        type: 'string',
                      },
                      stop_builds: {
                        type: 'boolean',
                      },
                    },
                    type: 'object',
                  },
                  capabilities: {
                    additionalProperties: {
                      type: 'object',
                    },
                    type: 'object',
                  },
                  created_at: {
                    format: 'dateTime',
                    type: 'string',
                  },
                  custom_domain: {
                    type: 'string',
                  },
                  default_hooks_data: {
                    properties: {
                      access_token: {
                        type: 'string',
                      },
                    },
                    type: 'object',
                  },
                  deploy_hook: {
                    type: 'string',
                  },
                  deploy_url: {
                    type: 'string',
                  },
                  domain_aliases: {
                    items: {
                      type: 'string',
                    },
                    type: 'array',
                  },
                  force_ssl: {
                    type: 'boolean',
                  },
                  git_provider: {
                    type: 'string',
                  },
                  id: {
                    type: 'string',
                  },
                  id_domain: {
                    type: 'string',
                  },
                  managed_dns: {
                    type: 'boolean',
                  },
                  name: {
                    type: 'string',
                  },
                  notification_email: {
                    type: 'string',
                  },
                  password: {
                    type: 'string',
                  },
                  plan: {
                    type: 'string',
                  },
                  prerender: {
                    type: 'string',
                  },
                  processing_settings: {
                    properties: {
                      css: {
                        properties: {
                          bundle: {
                            type: 'boolean',
                          },
                          minify: {
                            type: 'boolean',
                          },
                        },
                        type: 'object',
                      },
                      html: {
                        properties: {
                          pretty_urls: {
                            type: 'boolean',
                          },
                        },
                        type: 'object',
                      },
                      images: {
                        properties: {
                          optimize: {
                            type: 'boolean',
                          },
                        },
                        type: 'object',
                      },
                      js: {
                        properties: {
                          bundle: {
                            type: 'boolean',
                          },
                          minify: {
                            type: 'boolean',
                          },
                        },
                        type: 'object',
                      },
                      skip: {
                        type: 'boolean',
                      },
                    },
                    type: 'object',
                  },
                  published_deploy: {
                    properties: {
                      admin_url: {
                        type: 'string',
                      },
                      branch: {
                        type: 'string',
                      },
                      build_id: {
                        type: 'string',
                      },
                      commit_ref: {
                        type: 'string',
                      },
                      commit_url: {
                        type: 'string',
                      },
                      context: {
                        type: 'string',
                      },
                      created_at: {
                        format: 'dateTime',
                        type: 'string',
                      },
                      deploy_ssl_url: {
                        type: 'string',
                      },
                      deploy_url: {
                        type: 'string',
                      },
                      draft: {
                        type: 'boolean',
                      },
                      error_message: {
                        type: 'string',
                      },
                      id: {
                        type: 'string',
                      },
                      locked: {
                        type: 'boolean',
                      },
                      name: {
                        type: 'string',
                      },
                      published_at: {
                        format: 'dateTime',
                        type: 'string',
                      },
                      required: {
                        items: {
                          type: 'string',
                        },
                        type: 'array',
                      },
                      required_functions: {
                        items: {
                          type: 'string',
                        },
                        type: 'array',
                      },
                      review_id: {
                        type: 'number',
                      },
                      review_url: {
                        type: 'string',
                      },
                      screenshot_url: {
                        type: 'string',
                      },
                      site_capabilities: {
                        properties: {
                          large_media_enabled: {
                            type: 'boolean',
                          },
                        },
                        type: 'object',
                      },
                      site_id: {
                        type: 'string',
                      },
                      skipped: {
                        type: 'boolean',
                      },
                      ssl_url: {
                        type: 'string',
                      },
                      state: {
                        type: 'string',
                      },
                      title: {
                        type: 'string',
                      },
                      updated_at: {
                        format: 'dateTime',
                        type: 'string',
                      },
                      url: {
                        type: 'string',
                      },
                      user_id: {
                        type: 'string',
                      },
                    },
                    type: 'object',
                  },
                  screenshot_url: {
                    type: 'string',
                  },
                  session_id: {
                    type: 'string',
                  },
                  ssl: {
                    type: 'boolean',
                  },
                  ssl_url: {
                    type: 'string',
                  },
                  state: {
                    type: 'string',
                  },
                  updated_at: {
                    format: 'dateTime',
                    type: 'string',
                  },
                  url: {
                    type: 'string',
                  },
                  user_id: {
                    type: 'string',
                  },
                },
                type: 'object',
              },
              type: 'array',
            },
          },
          default: {
            description: 'error',
            schema: {
              properties: {
                code: {
                  format: 'int64',
                  type: 'integer',
                },
                message: {
                  type: 'string',
                  'x-nullable': false,
                },
              },
              required: [
                'message',
              ],
              type: 'object',
            },
          },
        },
        tags: [
          'site',
        ],
        verb: 'get',
      },
      {
        consumes: [
          'application/json',
        ],
        operationId: 'createSite',
        parameters: {
          body: {
            site: {
              in: 'body',
              name: 'site',
              required: true,
              schema: {
                allOf: [
                  {
                    properties: {
                      account_name: {
                        type: 'string',
                      },
                      account_slug: {
                        type: 'string',
                      },
                      admin_url: {
                        type: 'string',
                      },
                      build_image: {
                        type: 'string',
                      },
                      build_settings: {
                        properties: {
                          allowed_branches: {
                            items: {
                              type: 'string',
                            },
                            type: 'array',
                          },
                          cmd: {
                            type: 'string',
                          },
                          deploy_key_id: {
                            type: 'string',
                          },
                          dir: {
                            type: 'string',
                          },
                          env: {
                            additionalProperties: {
                              type: 'string',
                            },
                            type: 'object',
                          },
                          id: {
                            type: 'integer',
                          },
                          installation_id: {
                            type: 'integer',
                          },
                          private_logs: {
                            type: 'boolean',
                          },
                          provider: {
                            type: 'string',
                          },
                          public_repo: {
                            type: 'boolean',
                          },
                          repo_branch: {
                            type: 'string',
                          },
                          repo_path: {
                            type: 'string',
                          },
                          repo_url: {
                            type: 'string',
                          },
                          stop_builds: {
                            type: 'boolean',
                          },
                        },
                        type: 'object',
                      },
                      capabilities: {
                        additionalProperties: {
                          type: 'object',
                        },
                        type: 'object',
                      },
                      created_at: {
                        format: 'dateTime',
                        type: 'string',
                      },
                      custom_domain: {
                        type: 'string',
                      },
                      default_hooks_data: {
                        properties: {
                          access_token: {
                            type: 'string',
                          },
                        },
                        type: 'object',
                      },
                      deploy_hook: {
                        type: 'string',
                      },
                      deploy_url: {
                        type: 'string',
                      },
                      domain_aliases: {
                        items: {
                          type: 'string',
                        },
                        type: 'array',
                      },
                      force_ssl: {
                        type: 'boolean',
                      },
                      git_provider: {
                        type: 'string',
                      },
                      id: {
                        type: 'string',
                      },
                      id_domain: {
                        type: 'string',
                      },
                      managed_dns: {
                        type: 'boolean',
                      },
                      name: {
                        type: 'string',
                      },
                      notification_email: {
                        type: 'string',
                      },
                      password: {
                        type: 'string',
                      },
                      plan: {
                        type: 'string',
                      },
                      prerender: {
                        type: 'string',
                      },
                      processing_settings: {
                        properties: {
                          css: {
                            properties: {
                              bundle: {
                                type: 'boolean',
                              },
                              minify: {
                                type: 'boolean',
                              },
                            },
                            type: 'object',
                          },
                          html: {
                            properties: {
                              pretty_urls: {
                                type: 'boolean',
                              },
                            },
                            type: 'object',
                          },
                          images: {
                            properties: {
                              optimize: {
                                type: 'boolean',
                              },
                            },
                            type: 'object',
                          },
                          js: {
                            properties: {
                              bundle: {
                                type: 'boolean',
                              },
                              minify: {
                                type: 'boolean',
                              },
                            },
                            type: 'object',
                          },
                          skip: {
                            type: 'boolean',
                          },
                        },
                        type: 'object',
                      },
                      published_deploy: {
                        properties: {
                          admin_url: {
                            type: 'string',
                          },
                          branch: {
                            type: 'string',
                          },
                          build_id: {
                            type: 'string',
                          },
                          commit_ref: {
                            type: 'string',
                          },
                          commit_url: {
                            type: 'string',
                          },
                          context: {
                            type: 'string',
                          },
                          created_at: {
                            format: 'dateTime',
                            type: 'string',
                          },
                          deploy_ssl_url: {
                            type: 'string',
                          },
                          deploy_url: {
                            type: 'string',
                          },
                          draft: {
                            type: 'boolean',
                          },
                          error_message: {
                            type: 'string',
                          },
                          id: {
                            type: 'string',
                          },
                          locked: {
                            type: 'boolean',
                          },
                          name: {
                            type: 'string',
                          },
                          published_at: {
                            format: 'dateTime',
                            type: 'string',
                          },
                          required: {
                            items: {
                              type: 'string',
                            },
                            type: 'array',
                          },
                          required_functions: {
                            items: {
                              type: 'string',
                            },
                            type: 'array',
                          },
                          review_id: {
                            type: 'number',
                          },
                          review_url: {
                            type: 'string',
                          },
                          screenshot_url: {
                            type: 'string',
                          },
                          site_capabilities: {
                            properties: {
                              large_media_enabled: {
                                type: 'boolean',
                              },
                            },
                            type: 'object',
                          },
                          site_id: {
                            type: 'string',
                          },
                          skipped: {
                            type: 'boolean',
                          },
                          ssl_url: {
                            type: 'string',
                          },
                          state: {
                            type: 'string',
                          },
                          title: {
                            type: 'string',
                          },
                          updated_at: {
                            format: 'dateTime',
                            type: 'string',
                          },
                          url: {
                            type: 'string',
                          },
                          user_id: {
                            type: 'string',
                          },
                        },
                        type: 'object',
                      },
                      screenshot_url: {
                        type: 'string',
                      },
                      session_id: {
                        type: 'string',
                      },
                      ssl: {
                        type: 'boolean',
                      },
                      ssl_url: {
                        type: 'string',
                      },
                      state: {
                        type: 'string',
                      },
                      updated_at: {
                        format: 'dateTime',
                        type: 'string',
                      },
                      url: {
                        type: 'string',
                      },
                      user_id: {
                        type: 'string',
                      },
                    },
                    type: 'object',
                  },
                  {
                    properties: {
                      repo: {
                        properties: {
                          allowed_branches: {
                            items: {
                              type: 'string',
                            },
                            type: 'array',
                          },
                          cmd: {
                            type: 'string',
                          },
                          deploy_key_id: {
                            type: 'string',
                          },
                          dir: {
                            type: 'string',
                          },
                          env: {
                            additionalProperties: {
                              type: 'string',
                            },
                            type: 'object',
                          },
                          id: {
                            type: 'integer',
                          },
                          installation_id: {
                            type: 'integer',
                          },
                          private_logs: {
                            type: 'boolean',
                          },
                          provider: {
                            type: 'string',
                          },
                          public_repo: {
                            type: 'boolean',
                          },
                          repo_branch: {
                            type: 'string',
                          },
                          repo_path: {
                            type: 'string',
                          },
                          repo_url: {
                            type: 'string',
                          },
                          stop_builds: {
                            type: 'boolean',
                          },
                        },
                        type: 'object',
                      },
                    },
                  },
                ],
              },
            },
          },
          path: {},
          query: {
            configure_dns: {
              in: 'query',
              name: 'configure_dns',
              type: 'boolean',
            },
          },
        },
        path: '/sites',
        responses: {
          201: {
            description: 'Created',
            schema: {
              properties: {
                account_name: {
                  type: 'string',
                },
                account_slug: {
                  type: 'string',
                },
                admin_url: {
                  type: 'string',
                },
                build_image: {
                  type: 'string',
                },
                build_settings: {
                  properties: {
                    allowed_branches: {
                      items: {
                        type: 'string',
                      },
                      type: 'array',
                    },
                    cmd: {
                      type: 'string',
                    },
                    deploy_key_id: {
                      type: 'string',
                    },
                    dir: {
                      type: 'string',
                    },
                    env: {
                      additionalProperties: {
                        type: 'string',
                      },
                      type: 'object',
                    },
                    id: {
                      type: 'integer',
                    },
                    installation_id: {
                      type: 'integer',
                    },
                    private_logs: {
                      type: 'boolean',
                    },
                    provider: {
                      type: 'string',
                    },
                    public_repo: {
                      type: 'boolean',
                    },
                    repo_branch: {
                      type: 'string',
                    },
                    repo_path: {
                      type: 'string',
                    },
                    repo_url: {
                      type: 'string',
                    },
                    stop_builds: {
                      type: 'boolean',
                    },
                  },
                  type: 'object',
                },
                capabilities: {
                  additionalProperties: {
                    type: 'object',
                  },
                  type: 'object',
                },
                created_at: {
                  format: 'dateTime',
                  type: 'string',
                },
                custom_domain: {
                  type: 'string',
                },
                default_hooks_data: {
                  properties: {
                    access_token: {
                      type: 'string',
                    },
                  },
                  type: 'object',
                },
                deploy_hook: {
                  type: 'string',
                },
                deploy_url: {
                  type: 'string',
                },
                domain_aliases: {
                  items: {
                    type: 'string',
                  },
                  type: 'array',
                },
                force_ssl: {
                  type: 'boolean',
                },
                git_provider: {
                  type: 'string',
                },
                id: {
                  type: 'string',
                },
                id_domain: {
                  type: 'string',
                },
                managed_dns: {
                  type: 'boolean',
                },
                name: {
                  type: 'string',
                },
                notification_email: {
                  type: 'string',
                },
                password: {
                  type: 'string',
                },
                plan: {
                  type: 'string',
                },
                prerender: {
                  type: 'string',
                },
                processing_settings: {
                  properties: {
                    css: {
                      properties: {
                        bundle: {
                          type: 'boolean',
                        },
                        minify: {
                          type: 'boolean',
                        },
                      },
                      type: 'object',
                    },
                    html: {
                      properties: {
                        pretty_urls: {
                          type: 'boolean',
                        },
                      },
                      type: 'object',
                    },
                    images: {
                      properties: {
                        optimize: {
                          type: 'boolean',
                        },
                      },
                      type: 'object',
                    },
                    js: {
                      properties: {
                        bundle: {
                          type: 'boolean',
                        },
                        minify: {
                          type: 'boolean',
                        },
                      },
                      type: 'object',
                    },
                    skip: {
                      type: 'boolean',
                    },
                  },
                  type: 'object',
                },
                published_deploy: {
                  properties: {
                    admin_url: {
                      type: 'string',
                    },
                    branch: {
                      type: 'string',
                    },
                    build_id: {
                      type: 'string',
                    },
                    commit_ref: {
                      type: 'string',
                    },
                    commit_url: {
                      type: 'string',
                    },
                    context: {
                      type: 'string',
                    },
                    created_at: {
                      format: 'dateTime',
                      type: 'string',
                    },
                    deploy_ssl_url: {
                      type: 'string',
                    },
                    deploy_url: {
                      type: 'string',
                    },
                    draft: {
                      type: 'boolean',
                    },
                    error_message: {
                      type: 'string',
                    },
                    id: {
                      type: 'string',
                    },
                    locked: {
                      type: 'boolean',
                    },
                    name: {
                      type: 'string',
                    },
                    published_at: {
                      format: 'dateTime',
                      type: 'string',
                    },
                    required: {
                      items: {
                        type: 'string',
                      },
                      type: 'array',
                    },
                    required_functions: {
                      items: {
                        type: 'string',
                      },
                      type: 'array',
                    },
                    review_id: {
                      type: 'number',
                    },
                    review_url: {
                      type: 'string',
                    },
                    screenshot_url: {
                      type: 'string',
                    },
                    site_capabilities: {
                      properties: {
                        large_media_enabled: {
                          type: 'boolean',
                        },
                      },
                      type: 'object',
                    },
                    site_id: {
                      type: 'string',
                    },
                    skipped: {
                      type: 'boolean',
                    },
                    ssl_url: {
                      type: 'string',
                    },
                    state: {
                      type: 'string',
                    },
                    title: {
                      type: 'string',
                    },
                    updated_at: {
                      format: 'dateTime',
                      type: 'string',
                    },
                    url: {
                      type: 'string',
                    },
                    user_id: {
                      type: 'string',
                    },
                  },
                  type: 'object',
                },
                screenshot_url: {
                  type: 'string',
                },
                session_id: {
                  type: 'string',
                },
                ssl: {
                  type: 'boolean',
                },
                ssl_url: {
                  type: 'string',
                },
                state: {
                  type: 'string',
                },
                updated_at: {
                  format: 'dateTime',
                  type: 'string',
                },
                url: {
                  type: 'string',
                },
                user_id: {
                  type: 'string',
                },
              },
              type: 'object',
            },
          },
          default: {
            description: 'error',
            schema: {
              properties: {
                code: {
                  format: 'int64',
                  type: 'integer',
                },
                message: {
                  type: 'string',
                  'x-nullable': false,
                },
              },
              required: [
                'message',
              ],
              type: 'object',
            },
          },
        },
        tags: [
          'site',
        ],
        verb: 'post',
      },
      {
        operationId: 'getSite',
        parameters: {
          body: {},
          path: {
            site_id: {
              in: 'path',
              name: 'site_id',
              required: true,
              type: 'string',
            },
          },
          query: {},
        },
        path: '/sites/{site_id}',
        responses: {
          200: {
            description: 'OK',
            schema: {
              properties: {
                account_name: {
                  type: 'string',
                },
                account_slug: {
                  type: 'string',
                },
                admin_url: {
                  type: 'string',
                },
                build_image: {
                  type: 'string',
                },
                build_settings: {
                  properties: {
                    allowed_branches: {
                      items: {
                        type: 'string',
                      },
                      type: 'array',
                    },
                    cmd: {
                      type: 'string',
                    },
                    deploy_key_id: {
                      type: 'string',
                    },
                    dir: {
                      type: 'string',
                    },
                    env: {
                      additionalProperties: {
                        type: 'string',
                      },
                      type: 'object',
                    },
                    id: {
                      type: 'integer',
                    },
                    installation_id: {
                      type: 'integer',
                    },
                    private_logs: {
                      type: 'boolean',
                    },
                    provider: {
                      type: 'string',
                    },
                    public_repo: {
                      type: 'boolean',
                    },
                    repo_branch: {
                      type: 'string',
                    },
                    repo_path: {
                      type: 'string',
                    },
                    repo_url: {
                      type: 'string',
                    },
                    stop_builds: {
                      type: 'boolean',
                    },
                  },
                  type: 'object',
                },
                capabilities: {
                  additionalProperties: {
                    type: 'object',
                  },
                  type: 'object',
                },
                created_at: {
                  format: 'dateTime',
                  type: 'string',
                },
                custom_domain: {
                  type: 'string',
                },
                default_hooks_data: {
                  properties: {
                    access_token: {
                      type: 'string',
                    },
                  },
                  type: 'object',
                },
                deploy_hook: {
                  type: 'string',
                },
                deploy_url: {
                  type: 'string',
                },
                domain_aliases: {
                  items: {
                    type: 'string',
                  },
                  type: 'array',
                },
                force_ssl: {
                  type: 'boolean',
                },
                git_provider: {
                  type: 'string',
                },
                id: {
                  type: 'string',
                },
                id_domain: {
                  type: 'string',
                },
                managed_dns: {
                  type: 'boolean',
                },
                name: {
                  type: 'string',
                },
                notification_email: {
                  type: 'string',
                },
                password: {
                  type: 'string',
                },
                plan: {
                  type: 'string',
                },
                prerender: {
                  type: 'string',
                },
                processing_settings: {
                  properties: {
                    css: {
                      properties: {
                        bundle: {
                          type: 'boolean',
                        },
                        minify: {
                          type: 'boolean',
                        },
                      },
                      type: 'object',
                    },
                    html: {
                      properties: {
                        pretty_urls: {
                          type: 'boolean',
                        },
                      },
                      type: 'object',
                    },
                    images: {
                      properties: {
                        optimize: {
                          type: 'boolean',
                        },
                      },
                      type: 'object',
                    },
                    js: {
                      properties: {
                        bundle: {
                          type: 'boolean',
                        },
                        minify: {
                          type: 'boolean',
                        },
                      },
                      type: 'object',
                    },
                    skip: {
                      type: 'boolean',
                    },
                  },
                  type: 'object',
                },
                published_deploy: {
                  properties: {
                    admin_url: {
                      type: 'string',
                    },
                    branch: {
                      type: 'string',
                    },
                    build_id: {
                      type: 'string',
                    },
                    commit_ref: {
                      type: 'string',
                    },
                    commit_url: {
                      type: 'string',
                    },
                    context: {
                      type: 'string',
                    },
                    created_at: {
                      format: 'dateTime',
                      type: 'string',
                    },
                    deploy_ssl_url: {
                      type: 'string',
                    },
                    deploy_url: {
                      type: 'string',
                    },
                    draft: {
                      type: 'boolean',
                    },
                    error_message: {
                      type: 'string',
                    },
                    id: {
                      type: 'string',
                    },
                    locked: {
                      type: 'boolean',
                    },
                    name: {
                      type: 'string',
                    },
                    published_at: {
                      format: 'dateTime',
                      type: 'string',
                    },
                    required: {
                      items: {
                        type: 'string',
                      },
                      type: 'array',
                    },
                    required_functions: {
                      items: {
                        type: 'string',
                      },
                      type: 'array',
                    },
                    review_id: {
                      type: 'number',
                    },
                    review_url: {
                      type: 'string',
                    },
                    screenshot_url: {
                      type: 'string',
                    },
                    site_capabilities: {
                      properties: {
                        large_media_enabled: {
                          type: 'boolean',
                        },
                      },
                      type: 'object',
                    },
                    site_id: {
                      type: 'string',
                    },
                    skipped: {
                      type: 'boolean',
                    },
                    ssl_url: {
                      type: 'string',
                    },
                    state: {
                      type: 'string',
                    },
                    title: {
                      type: 'string',
                    },
                    updated_at: {
                      format: 'dateTime',
                      type: 'string',
                    },
                    url: {
                      type: 'string',
                    },
                    user_id: {
                      type: 'string',
                    },
                  },
                  type: 'object',
                },
                screenshot_url: {
                  type: 'string',
                },
                session_id: {
                  type: 'string',
                },
                ssl: {
                  type: 'boolean',
                },
                ssl_url: {
                  type: 'string',
                },
                state: {
                  type: 'string',
                },
                updated_at: {
                  format: 'dateTime',
                  type: 'string',
                },
                url: {
                  type: 'string',
                },
                user_id: {
                  type: 'string',
                },
              },
              type: 'object',
            },
          },
          default: {
            description: 'error',
            schema: {
              properties: {
                code: {
                  format: 'int64',
                  type: 'integer',
                },
                message: {
                  type: 'string',
                  'x-nullable': false,
                },
              },
              required: [
                'message',
              ],
              type: 'object',
            },
          },
        },
        tags: [
          'site',
        ],
        verb: 'get',
      },
      {
        consumes: [
          'application/json',
        ],
        operationId: 'updateSite',
        parameters: {
          body: {
            site: {
              in: 'body',
              name: 'site',
              required: true,
              schema: {
                allOf: [
                  {
                    properties: {
                      account_name: {
                        type: 'string',
                      },
                      account_slug: {
                        type: 'string',
                      },
                      admin_url: {
                        type: 'string',
                      },
                      build_image: {
                        type: 'string',
                      },
                      build_settings: {
                        properties: {
                          allowed_branches: {
                            items: {
                              type: 'string',
                            },
                            type: 'array',
                          },
                          cmd: {
                            type: 'string',
                          },
                          deploy_key_id: {
                            type: 'string',
                          },
                          dir: {
                            type: 'string',
                          },
                          env: {
                            additionalProperties: {
                              type: 'string',
                            },
                            type: 'object',
                          },
                          id: {
                            type: 'integer',
                          },
                          installation_id: {
                            type: 'integer',
                          },
                          private_logs: {
                            type: 'boolean',
                          },
                          provider: {
                            type: 'string',
                          },
                          public_repo: {
                            type: 'boolean',
                          },
                          repo_branch: {
                            type: 'string',
                          },
                          repo_path: {
                            type: 'string',
                          },
                          repo_url: {
                            type: 'string',
                          },
                          stop_builds: {
                            type: 'boolean',
                          },
                        },
                        type: 'object',
                      },
                      capabilities: {
                        additionalProperties: {
                          type: 'object',
                        },
                        type: 'object',
                      },
                      created_at: {
                        format: 'dateTime',
                        type: 'string',
                      },
                      custom_domain: {
                        type: 'string',
                      },
                      default_hooks_data: {
                        properties: {
                          access_token: {
                            type: 'string',
                          },
                        },
                        type: 'object',
                      },
                      deploy_hook: {
                        type: 'string',
                      },
                      deploy_url: {
                        type: 'string',
                      },
                      domain_aliases: {
                        items: {
                          type: 'string',
                        },
                        type: 'array',
                      },
                      force_ssl: {
                        type: 'boolean',
                      },
                      git_provider: {
                        type: 'string',
                      },
                      id: {
                        type: 'string',
                      },
                      id_domain: {
                        type: 'string',
                      },
                      managed_dns: {
                        type: 'boolean',
                      },
                      name: {
                        type: 'string',
                      },
                      notification_email: {
                        type: 'string',
                      },
                      password: {
                        type: 'string',
                      },
                      plan: {
                        type: 'string',
                      },
                      prerender: {
                        type: 'string',
                      },
                      processing_settings: {
                        properties: {
                          css: {
                            properties: {
                              bundle: {
                                type: 'boolean',
                              },
                              minify: {
                                type: 'boolean',
                              },
                            },
                            type: 'object',
                          },
                          html: {
                            properties: {
                              pretty_urls: {
                                type: 'boolean',
                              },
                            },
                            type: 'object',
                          },
                          images: {
                            properties: {
                              optimize: {
                                type: 'boolean',
                              },
                            },
                            type: 'object',
                          },
                          js: {
                            properties: {
                              bundle: {
                                type: 'boolean',
                              },
                              minify: {
                                type: 'boolean',
                              },
                            },
                            type: 'object',
                          },
                          skip: {
                            type: 'boolean',
                          },
                        },
                        type: 'object',
                      },
                      published_deploy: {
                        properties: {
                          admin_url: {
                            type: 'string',
                          },
                          branch: {
                            type: 'string',
                          },
                          build_id: {
                            type: 'string',
                          },
                          commit_ref: {
                            type: 'string',
                          },
                          commit_url: {
                            type: 'string',
                          },
                          context: {
                            type: 'string',
                          },
                          created_at: {
                            format: 'dateTime',
                            type: 'string',
                          },
                          deploy_ssl_url: {
                            type: 'string',
                          },
                          deploy_url: {
                            type: 'string',
                          },
                          draft: {
                            type: 'boolean',
                          },
                          error_message: {
                            type: 'string',
                          },
                          id: {
                            type: 'string',
                          },
                          locked: {
                            type: 'boolean',
                          },
                          name: {
                            type: 'string',
                          },
                          published_at: {
                            format: 'dateTime',
                            type: 'string',
                          },
                          required: {
                            items: {
                              type: 'string',
                            },
                            type: 'array',
                          },
                          required_functions: {
                            items: {
                              type: 'string',
                            },
                            type: 'array',
                          },
                          review_id: {
                            type: 'number',
                          },
                          review_url: {
                            type: 'string',
                          },
                          screenshot_url: {
                            type: 'string',
                          },
                          site_capabilities: {
                            properties: {
                              large_media_enabled: {
                                type: 'boolean',
                              },
                            },
                            type: 'object',
                          },
                          site_id: {
                            type: 'string',
                          },
                          skipped: {
                            type: 'boolean',
                          },
                          ssl_url: {
                            type: 'string',
                          },
                          state: {
                            type: 'string',
                          },
                          title: {
                            type: 'string',
                          },
                          updated_at: {
                            format: 'dateTime',
                            type: 'string',
                          },
                          url: {
                            type: 'string',
                          },
                          user_id: {
                            type: 'string',
                          },
                        },
                        type: 'object',
                      },
                      screenshot_url: {
                        type: 'string',
                      },
                      session_id: {
                        type: 'string',
                      },
                      ssl: {
                        type: 'boolean',
                      },
                      ssl_url: {
                        type: 'string',
                      },
                      state: {
                        type: 'string',
                      },
                      updated_at: {
                        format: 'dateTime',
                        type: 'string',
                      },
                      url: {
                        type: 'string',
                      },
                      user_id: {
                        type: 'string',
                      },
                    },
                    type: 'object',
                  },
                  {
                    properties: {
                      repo: {
                        properties: {
                          allowed_branches: {
                            items: {
                              type: 'string',
                            },
                            type: 'array',
                          },
                          cmd: {
                            type: 'string',
                          },
                          deploy_key_id: {
                            type: 'string',
                          },
                          dir: {
                            type: 'string',
                          },
                          env: {
                            additionalProperties: {
                              type: 'string',
                            },
                            type: 'object',
                          },
                          id: {
                            type: 'integer',
                          },
                          installation_id: {
                            type: 'integer',
                          },
                          private_logs: {
                            type: 'boolean',
                          },
                          provider: {
                            type: 'string',
                          },
                          public_repo: {
                            type: 'boolean',
                          },
                          repo_branch: {
                            type: 'string',
                          },
                          repo_path: {
                            type: 'string',
                          },
                          repo_url: {
                            type: 'string',
                          },
                          stop_builds: {
                            type: 'boolean',
                          },
                        },
                        type: 'object',
                      },
                    },
                  },
                ],
              },
            },
          },
          path: {
            site_id: {
              in: 'path',
              name: 'site_id',
              required: true,
              type: 'string',
            },
          },
          query: {},
        },
        path: '/sites/{site_id}',
        responses: {
          200: {
            description: 'OK',
            schema: {
              properties: {
                account_name: {
                  type: 'string',
                },
                account_slug: {
                  type: 'string',
                },
                admin_url: {
                  type: 'string',
                },
                build_image: {
                  type: 'string',
                },
                build_settings: {
                  properties: {
                    allowed_branches: {
                      items: {
                        type: 'string',
                      },
                      type: 'array',
                    },
                    cmd: {
                      type: 'string',
                    },
                    deploy_key_id: {
                      type: 'string',
                    },
                    dir: {
                      type: 'string',
                    },
                    env: {
                      additionalProperties: {
                        type: 'string',
                      },
                      type: 'object',
                    },
                    id: {
                      type: 'integer',
                    },
                    installation_id: {
                      type: 'integer',
                    },
                    private_logs: {
                      type: 'boolean',
                    },
                    provider: {
                      type: 'string',
                    },
                    public_repo: {
                      type: 'boolean',
                    },
                    repo_branch: {
                      type: 'string',
                    },
                    repo_path: {
                      type: 'string',
                    },
                    repo_url: {
                      type: 'string',
                    },
                    stop_builds: {
                      type: 'boolean',
                    },
                  },
                  type: 'object',
                },
                capabilities: {
                  additionalProperties: {
                    type: 'object',
                  },
                  type: 'object',
                },
                created_at: {
                  format: 'dateTime',
                  type: 'string',
                },
                custom_domain: {
                  type: 'string',
                },
                default_hooks_data: {
                  properties: {
                    access_token: {
                      type: 'string',
                    },
                  },
                  type: 'object',
                },
                deploy_hook: {
                  type: 'string',
                },
                deploy_url: {
                  type: 'string',
                },
                domain_aliases: {
                  items: {
                    type: 'string',
                  },
                  type: 'array',
                },
                force_ssl: {
                  type: 'boolean',
                },
                git_provider: {
                  type: 'string',
                },
                id: {
                  type: 'string',
                },
                id_domain: {
                  type: 'string',
                },
                managed_dns: {
                  type: 'boolean',
                },
                name: {
                  type: 'string',
                },
                notification_email: {
                  type: 'string',
                },
                password: {
                  type: 'string',
                },
                plan: {
                  type: 'string',
                },
                prerender: {
                  type: 'string',
                },
                processing_settings: {
                  properties: {
                    css: {
                      properties: {
                        bundle: {
                          type: 'boolean',
                        },
                        minify: {
                          type: 'boolean',
                        },
                      },
                      type: 'object',
                    },
                    html: {
                      properties: {
                        pretty_urls: {
                          type: 'boolean',
                        },
                      },
                      type: 'object',
                    },
                    images: {
                      properties: {
                        optimize: {
                          type: 'boolean',
                        },
                      },
                      type: 'object',
                    },
                    js: {
                      properties: {
                        bundle: {
                          type: 'boolean',
                        },
                        minify: {
                          type: 'boolean',
                        },
                      },
                      type: 'object',
                    },
                    skip: {
                      type: 'boolean',
                    },
                  },
                  type: 'object',
                },
                published_deploy: {
                  properties: {
                    admin_url: {
                      type: 'string',
                    },
                    branch: {
                      type: 'string',
                    },
                    build_id: {
                      type: 'string',
                    },
                    commit_ref: {
                      type: 'string',
                    },
                    commit_url: {
                      type: 'string',
                    },
                    context: {
                      type: 'string',
                    },
                    created_at: {
                      format: 'dateTime',
                      type: 'string',
                    },
                    deploy_ssl_url: {
                      type: 'string',
                    },
                    deploy_url: {
                      type: 'string',
                    },
                    draft: {
                      type: 'boolean',
                    },
                    error_message: {
                      type: 'string',
                    },
                    id: {
                      type: 'string',
                    },
                    locked: {
                      type: 'boolean',
                    },
                    name: {
                      type: 'string',
                    },
                    published_at: {
                      format: 'dateTime',
                      type: 'string',
                    },
                    required: {
                      items: {
                        type: 'string',
                      },
                      type: 'array',
                    },
                    required_functions: {
                      items: {
                        type: 'string',
                      },
                      type: 'array',
                    },
                    review_id: {
                      type: 'number',
                    },
                    review_url: {
                      type: 'string',
                    },
                    screenshot_url: {
                      type: 'string',
                    },
                    site_capabilities: {
                      properties: {
                        large_media_enabled: {
                          type: 'boolean',
                        },
                      },
                      type: 'object',
                    },
                    site_id: {
                      type: 'string',
                    },
                    skipped: {
                      type: 'boolean',
                    },
                    ssl_url: {
                      type: 'string',
                    },
                    state: {
                      type: 'string',
                    },
                    title: {
                      type: 'string',
                    },
                    updated_at: {
                      format: 'dateTime',
                      type: 'string',
                    },
                    url: {
                      type: 'string',
                    },
                    user_id: {
                      type: 'string',
                    },
                  },
                  type: 'object',
                },
                screenshot_url: {
                  type: 'string',
                },
                session_id: {
                  type: 'string',
                },
                ssl: {
                  type: 'boolean',
                },
                ssl_url: {
                  type: 'string',
                },
                state: {
                  type: 'string',
                },
                updated_at: {
                  format: 'dateTime',
                  type: 'string',
                },
                url: {
                  type: 'string',
                },
                user_id: {
                  type: 'string',
                },
              },
              type: 'object',
            },
          },
          default: {
            description: 'error',
            schema: {
              properties: {
                code: {
                  format: 'int64',
                  type: 'integer',
                },
                message: {
                  type: 'string',
                  'x-nullable': false,
                },
              },
              required: [
                'message',
              ],
              type: 'object',
            },
          },
        },
        tags: [
          'site',
        ],
        verb: 'patch',
      },
      {
        operationId: 'deleteSite',
        parameters: {
          body: {},
          path: {
            site_id: {
              in: 'path',
              name: 'site_id',
              required: true,
              type: 'string',
            },
          },
          query: {},
        },
        path: '/sites/{site_id}',
        responses: {
          204: {
            description: 'Deleted',
          },
          default: {
            description: 'error',
            schema: {
              properties: {
                code: {
                  format: 'int64',
                  type: 'integer',
                },
                message: {
                  type: 'string',
                  'x-nullable': false,
                },
              },
              required: [
                'message',
              ],
              type: 'object',
            },
          },
        },
        tags: [
          'site',
        ],
        verb: 'delete',
      },
      {
        operationId: 'provisionSiteTLSCertificate',
        parameters: {
          body: {},
          path: {
            site_id: {
              in: 'path',
              name: 'site_id',
              required: true,
              type: 'string',
            },
          },
          query: {
            ca_certificates: {
              in: 'query',
              name: 'ca_certificates',
              type: 'string',
            },
            certificate: {
              in: 'query',
              name: 'certificate',
              type: 'string',
            },
            key: {
              in: 'query',
              name: 'key',
              type: 'string',
            },
          },
        },
        path: '/sites/{site_id}/ssl',
        responses: {
          200: {
            description: 'OK',
            schema: {
              properties: {
                created_at: {
                  format: 'dateTime',
                  type: 'string',
                },
                domains: {
                  items: {
                    type: 'string',
                  },
                  type: 'array',
                },
                expires_at: {
                  format: 'dateTime',
                  type: 'string',
                },
                state: {
                  type: 'string',
                },
                updated_at: {
                  format: 'dateTime',
                  type: 'string',
                },
              },
              type: 'object',
            },
          },
          default: {
            description: 'error',
            schema: {
              properties: {
                code: {
                  format: 'int64',
                  type: 'integer',
                },
                message: {
                  type: 'string',
                  'x-nullable': false,
                },
              },
              required: [
                'message',
              ],
              type: 'object',
            },
          },
        },
        tags: [
          'sniCertificate',
        ],
        verb: 'post',
      },
      {
        operationId: 'showSiteTLSCertificate',
        parameters: {
          body: {},
          path: {
            site_id: {
              in: 'path',
              name: 'site_id',
              required: true,
              type: 'string',
            },
          },
          query: {},
        },
        path: '/sites/{site_id}/ssl',
        responses: {
          200: {
            description: 'OK',
            schema: {
              properties: {
                created_at: {
                  format: 'dateTime',
                  type: 'string',
                },
                domains: {
                  items: {
                    type: 'string',
                  },
                  type: 'array',
                },
                expires_at: {
                  format: 'dateTime',
                  type: 'string',
                },
                state: {
                  type: 'string',
                },
                updated_at: {
                  format: 'dateTime',
                  type: 'string',
                },
              },
              type: 'object',
            },
          },
          default: {
            description: 'error',
            schema: {
              properties: {
                code: {
                  format: 'int64',
                  type: 'integer',
                },
                message: {
                  type: 'string',
                  'x-nullable': false,
                },
              },
              required: [
                'message',
              ],
              type: 'object',
            },
          },
        },
        tags: [
          'sniCertificate',
        ],
        verb: 'get',
      },
      {
        operationId: 'listSiteForms',
        parameters: {
          body: {},
          path: {
            site_id: {
              in: 'path',
              name: 'site_id',
              required: true,
              type: 'string',
            },
          },
          query: {},
        },
        path: '/sites/{site_id}/forms',
        responses: {
          200: {
            description: 'OK',
            schema: {
              items: {
                properties: {
                  created_at: {
                    format: 'dateTime',
                    type: 'string',
                  },
                  fields: {
                    items: {
                      type: 'object',
                    },
                    type: 'array',
                  },
                  id: {
                    type: 'string',
                  },
                  name: {
                    type: 'string',
                  },
                  paths: {
                    items: {
                      type: 'string',
                    },
                    type: 'array',
                  },
                  site_id: {
                    type: 'string',
                  },
                  submission_count: {
                    format: 'int32',
                    type: 'integer',
                  },
                },
                type: 'object',
              },
              type: 'array',
            },
          },
          default: {
            description: 'error',
            schema: {
              properties: {
                code: {
                  format: 'int64',
                  type: 'integer',
                },
                message: {
                  type: 'string',
                  'x-nullable': false,
                },
              },
              required: [
                'message',
              ],
              type: 'object',
            },
          },
        },
        tags: [
          'form',
        ],
        verb: 'get',
      },
      {
        operationId: 'deleteSiteForm',
        parameters: {
          body: {},
          path: {
            form_id: {
              in: 'path',
              name: 'form_id',
              required: true,
              type: 'string',
            },
            site_id: {
              in: 'path',
              name: 'site_id',
              required: true,
              type: 'string',
            },
          },
          query: {},
        },
        path: '/sites/{site_id}/forms/{form_id}',
        responses: {
          204: {
            description: 'Deleted',
          },
          default: {
            description: 'error',
            schema: {
              properties: {
                code: {
                  format: 'int64',
                  type: 'integer',
                },
                message: {
                  type: 'string',
                  'x-nullable': false,
                },
              },
              required: [
                'message',
              ],
              type: 'object',
            },
          },
        },
        tags: [
          'form',
        ],
        verb: 'delete',
      },
      {
        operationId: 'listSiteSubmissions',
        parameters: {
          body: {},
          path: {
            site_id: {
              in: 'path',
              name: 'site_id',
              required: true,
              type: 'string',
            },
          },
          query: {
            page: {
              format: 'int32',
              in: 'query',
              name: 'page',
              required: false,
              type: 'integer',
            },
            per_page: {
              format: 'int32',
              in: 'query',
              name: 'per_page',
              required: false,
              type: 'integer',
            },
          },
        },
        path: '/sites/{site_id}/submissions',
        responses: {
          200: {
            description: 'OK',
            schema: {
              items: {
                properties: {
                  body: {
                    type: 'string',
                  },
                  company: {
                    type: 'string',
                  },
                  created_at: {
                    format: 'dateTime',
                    type: 'string',
                  },
                  data: {
                    type: 'object',
                  },
                  email: {
                    type: 'string',
                  },
                  first_name: {
                    type: 'string',
                  },
                  id: {
                    type: 'string',
                  },
                  last_name: {
                    type: 'string',
                  },
                  name: {
                    type: 'string',
                  },
                  number: {
                    format: 'int32',
                    type: 'integer',
                  },
                  site_url: {
                    type: 'string',
                  },
                  summary: {
                    type: 'string',
                  },
                },
                type: 'object',
              },
              type: 'array',
            },
          },
          default: {
            description: 'error',
            schema: {
              properties: {
                code: {
                  format: 'int64',
                  type: 'integer',
                },
                message: {
                  type: 'string',
                  'x-nullable': false,
                },
              },
              required: [
                'message',
              ],
              type: 'object',
            },
          },
        },
        tags: [
          'submission',
        ],
        verb: 'get',
      },
      {
        operationId: 'listSiteFiles',
        parameters: {
          body: {},
          path: {
            site_id: {
              in: 'path',
              name: 'site_id',
              required: true,
              type: 'string',
            },
          },
          query: {},
        },
        path: '/sites/{site_id}/files',
        responses: {
          200: {
            description: 'OK',
            schema: {
              items: {
                properties: {
                  id: {
                    type: 'string',
                  },
                  mime_type: {
                    type: 'string',
                  },
                  path: {
                    type: 'string',
                  },
                  sha: {
                    type: 'string',
                  },
                  size: {
                    format: 'int64',
                    type: 'integer',
                  },
                },
                type: 'object',
              },
              type: 'array',
            },
          },
          default: {
            description: 'error',
            schema: {
              properties: {
                code: {
                  format: 'int64',
                  type: 'integer',
                },
                message: {
                  type: 'string',
                  'x-nullable': false,
                },
              },
              required: [
                'message',
              ],
              type: 'object',
            },
          },
        },
        tags: [
          'file',
        ],
        verb: 'get',
      },
      {
        operationId: 'listSiteAssets',
        parameters: {
          body: {},
          path: {
            site_id: {
              in: 'path',
              name: 'site_id',
              required: true,
              type: 'string',
            },
          },
          query: {},
        },
        path: '/sites/{site_id}/assets',
        responses: {
          200: {
            description: 'OK',
            schema: {
              items: {
                properties: {
                  content_type: {
                    type: 'string',
                  },
                  created_at: {
                    format: 'dateTime',
                    type: 'string',
                  },
                  creator_id: {
                    type: 'string',
                  },
                  id: {
                    type: 'string',
                  },
                  key: {
                    type: 'string',
                  },
                  name: {
                    type: 'string',
                  },
                  site_id: {
                    type: 'string',
                  },
                  size: {
                    format: 'int64',
                    type: 'integer',
                  },
                  state: {
                    type: 'string',
                  },
                  updated_at: {
                    format: 'dateTime',
                    type: 'string',
                  },
                  url: {
                    type: 'string',
                  },
                  visibility: {
                    type: 'string',
                  },
                },
                type: 'object',
              },
              type: 'array',
            },
          },
          default: {
            description: 'error',
            schema: {
              properties: {
                code: {
                  format: 'int64',
                  type: 'integer',
                },
                message: {
                  type: 'string',
                  'x-nullable': false,
                },
              },
              required: [
                'message',
              ],
              type: 'object',
            },
          },
        },
        tags: [
          'asset',
        ],
        verb: 'get',
      },
      {
        operationId: 'createSiteAsset',
        parameters: {
          body: {},
          path: {
            site_id: {
              in: 'path',
              name: 'site_id',
              required: true,
              type: 'string',
            },
          },
          query: {
            content_type: {
              in: 'query',
              name: 'content_type',
              required: true,
              type: 'string',
            },
            name: {
              in: 'query',
              name: 'name',
              required: true,
              type: 'string',
            },
            size: {
              format: 'int64',
              in: 'query',
              name: 'size',
              required: true,
              type: 'integer',
            },
            visibility: {
              in: 'query',
              name: 'visibility',
              type: 'string',
            },
          },
        },
        path: '/sites/{site_id}/assets',
        responses: {
          201: {
            description: 'Created',
            schema: {
              properties: {
                asset: {
                  properties: {
                    content_type: {
                      type: 'string',
                    },
                    created_at: {
                      format: 'dateTime',
                      type: 'string',
                    },
                    creator_id: {
                      type: 'string',
                    },
                    id: {
                      type: 'string',
                    },
                    key: {
                      type: 'string',
                    },
                    name: {
                      type: 'string',
                    },
                    site_id: {
                      type: 'string',
                    },
                    size: {
                      format: 'int64',
                      type: 'integer',
                    },
                    state: {
                      type: 'string',
                    },
                    updated_at: {
                      format: 'dateTime',
                      type: 'string',
                    },
                    url: {
                      type: 'string',
                    },
                    visibility: {
                      type: 'string',
                    },
                  },
                  type: 'object',
                },
                form: {
                  properties: {
                    fields: {
                      additionalProperties: {
                        type: 'string',
                      },
                      type: 'object',
                    },
                    url: {
                      type: 'string',
                    },
                  },
                  type: 'object',
                },
              },
              type: 'object',
            },
          },
          default: {
            description: 'error',
            schema: {
              properties: {
                code: {
                  format: 'int64',
                  type: 'integer',
                },
                message: {
                  type: 'string',
                  'x-nullable': false,
                },
              },
              required: [
                'message',
              ],
              type: 'object',
            },
          },
        },
        tags: [
          'asset',
        ],
        verb: 'post',
      },
      {
        operationId: 'getSiteAssetInfo',
        parameters: {
          body: {},
          path: {
            asset_id: {
              in: 'path',
              name: 'asset_id',
              required: true,
              type: 'string',
            },
            site_id: {
              in: 'path',
              name: 'site_id',
              required: true,
              type: 'string',
            },
          },
          query: {},
        },
        path: '/sites/{site_id}/assets/{asset_id}',
        responses: {
          200: {
            description: 'OK',
            schema: {
              properties: {
                content_type: {
                  type: 'string',
                },
                created_at: {
                  format: 'dateTime',
                  type: 'string',
                },
                creator_id: {
                  type: 'string',
                },
                id: {
                  type: 'string',
                },
                key: {
                  type: 'string',
                },
                name: {
                  type: 'string',
                },
                site_id: {
                  type: 'string',
                },
                size: {
                  format: 'int64',
                  type: 'integer',
                },
                state: {
                  type: 'string',
                },
                updated_at: {
                  format: 'dateTime',
                  type: 'string',
                },
                url: {
                  type: 'string',
                },
                visibility: {
                  type: 'string',
                },
              },
              type: 'object',
            },
          },
          default: {
            description: 'error',
            schema: {
              properties: {
                code: {
                  format: 'int64',
                  type: 'integer',
                },
                message: {
                  type: 'string',
                  'x-nullable': false,
                },
              },
              required: [
                'message',
              ],
              type: 'object',
            },
          },
        },
        tags: [
          'asset',
        ],
        verb: 'get',
      },
      {
        operationId: 'updateSiteAsset',
        parameters: {
          body: {},
          path: {
            asset_id: {
              in: 'path',
              name: 'asset_id',
              required: true,
              type: 'string',
            },
            site_id: {
              in: 'path',
              name: 'site_id',
              required: true,
              type: 'string',
            },
          },
          query: {
            state: {
              in: 'query',
              name: 'state',
              required: true,
              type: 'string',
            },
          },
        },
        path: '/sites/{site_id}/assets/{asset_id}',
        responses: {
          200: {
            description: 'Updated',
            schema: {
              properties: {
                content_type: {
                  type: 'string',
                },
                created_at: {
                  format: 'dateTime',
                  type: 'string',
                },
                creator_id: {
                  type: 'string',
                },
                id: {
                  type: 'string',
                },
                key: {
                  type: 'string',
                },
                name: {
                  type: 'string',
                },
                site_id: {
                  type: 'string',
                },
                size: {
                  format: 'int64',
                  type: 'integer',
                },
                state: {
                  type: 'string',
                },
                updated_at: {
                  format: 'dateTime',
                  type: 'string',
                },
                url: {
                  type: 'string',
                },
                visibility: {
                  type: 'string',
                },
              },
              type: 'object',
            },
          },
          default: {
            description: 'error',
            schema: {
              properties: {
                code: {
                  format: 'int64',
                  type: 'integer',
                },
                message: {
                  type: 'string',
                  'x-nullable': false,
                },
              },
              required: [
                'message',
              ],
              type: 'object',
            },
          },
        },
        tags: [
          'asset',
        ],
        verb: 'put',
      },
      {
        operationId: 'deleteSiteAsset',
        parameters: {
          body: {},
          path: {
            asset_id: {
              in: 'path',
              name: 'asset_id',
              required: true,
              type: 'string',
            },
            site_id: {
              in: 'path',
              name: 'site_id',
              required: true,
              type: 'string',
            },
          },
          query: {},
        },
        path: '/sites/{site_id}/assets/{asset_id}',
        responses: {
          204: {
            description: 'Deleted',
          },
          default: {
            description: 'error',
            schema: {
              properties: {
                code: {
                  format: 'int64',
                  type: 'integer',
                },
                message: {
                  type: 'string',
                  'x-nullable': false,
                },
              },
              required: [
                'message',
              ],
              type: 'object',
            },
          },
        },
        tags: [
          'asset',
        ],
        verb: 'delete',
      },
      {
        operationId: 'getSiteAssetPublicSignature',
        parameters: {
          body: {},
          path: {
            asset_id: {
              in: 'path',
              name: 'asset_id',
              required: true,
              type: 'string',
            },
            site_id: {
              in: 'path',
              name: 'site_id',
              required: true,
              type: 'string',
            },
          },
          query: {},
        },
        path: '/sites/{site_id}/assets/{asset_id}/public_signature',
        responses: {
          200: {
            description: 'OK',
            schema: {
              properties: {
                url: {
                  type: 'string',
                },
              },
              type: 'object',
            },
          },
          default: {
            description: 'error',
            schema: {
              properties: {
                code: {
                  format: 'int64',
                  type: 'integer',
                },
                message: {
                  type: 'string',
                  'x-nullable': false,
                },
              },
              required: [
                'message',
              ],
              type: 'object',
            },
          },
        },
        tags: [
          'assetPublicSignature',
        ],
        verb: 'get',
      },
      {
        operationId: 'getSiteFileByPathName',
        parameters: {
          body: {},
          path: {
            file_path: {
              in: 'path',
              name: 'file_path',
              required: true,
              type: 'string',
            },
            site_id: {
              in: 'path',
              name: 'site_id',
              required: true,
              type: 'string',
            },
          },
          query: {},
        },
        path: '/sites/{site_id}/files/{file_path}',
        responses: {
          200: {
            description: 'OK',
            schema: {
              properties: {
                id: {
                  type: 'string',
                },
                mime_type: {
                  type: 'string',
                },
                path: {
                  type: 'string',
                },
                sha: {
                  type: 'string',
                },
                size: {
                  format: 'int64',
                  type: 'integer',
                },
              },
              type: 'object',
            },
          },
          default: {
            description: 'error',
            schema: {
              properties: {
                code: {
                  format: 'int64',
                  type: 'integer',
                },
                message: {
                  type: 'string',
                  'x-nullable': false,
                },
              },
              required: [
                'message',
              ],
              type: 'object',
            },
          },
        },
        tags: [
          'file',
        ],
        verb: 'get',
      },
      {
        operationId: 'listSiteSnippets',
        parameters: {
          body: {},
          path: {
            site_id: {
              in: 'path',
              name: 'site_id',
              required: true,
              type: 'string',
            },
          },
          query: {},
        },
        path: '/sites/{site_id}/snippets',
        responses: {
          200: {
            description: 'OK',
            schema: {
              items: {
                properties: {
                  general: {
                    type: 'string',
                  },
                  general_position: {
                    type: 'string',
                  },
                  goal: {
                    type: 'string',
                  },
                  goal_position: {
                    type: 'string',
                  },
                  id: {
                    format: 'int32',
                    type: 'integer',
                  },
                  site_id: {
                    type: 'string',
                  },
                  title: {
                    type: 'string',
                  },
                },
                type: 'object',
              },
              type: 'array',
            },
          },
          default: {
            description: 'error',
            schema: {
              properties: {
                code: {
                  format: 'int64',
                  type: 'integer',
                },
                message: {
                  type: 'string',
                  'x-nullable': false,
                },
              },
              required: [
                'message',
              ],
              type: 'object',
            },
          },
        },
        tags: [
          'snippet',
        ],
        verb: 'get',
      },
      {
        consumes: [
          'application/json',
        ],
        operationId: 'createSiteSnippet',
        parameters: {
          body: {
            snippet: {
              in: 'body',
              name: 'snippet',
              required: true,
              schema: {
                properties: {
                  general: {
                    type: 'string',
                  },
                  general_position: {
                    type: 'string',
                  },
                  goal: {
                    type: 'string',
                  },
                  goal_position: {
                    type: 'string',
                  },
                  id: {
                    format: 'int32',
                    type: 'integer',
                  },
                  site_id: {
                    type: 'string',
                  },
                  title: {
                    type: 'string',
                  },
                },
                type: 'object',
              },
            },
          },
          path: {
            site_id: {
              in: 'path',
              name: 'site_id',
              required: true,
              type: 'string',
            },
          },
          query: {},
        },
        path: '/sites/{site_id}/snippets',
        responses: {
          201: {
            description: 'OK',
            schema: {
              properties: {
                general: {
                  type: 'string',
                },
                general_position: {
                  type: 'string',
                },
                goal: {
                  type: 'string',
                },
                goal_position: {
                  type: 'string',
                },
                id: {
                  format: 'int32',
                  type: 'integer',
                },
                site_id: {
                  type: 'string',
                },
                title: {
                  type: 'string',
                },
              },
              type: 'object',
            },
          },
          default: {
            description: 'error',
            schema: {
              properties: {
                code: {
                  format: 'int64',
                  type: 'integer',
                },
                message: {
                  type: 'string',
                  'x-nullable': false,
                },
              },
              required: [
                'message',
              ],
              type: 'object',
            },
          },
        },
        tags: [
          'snippet',
        ],
        verb: 'post',
      },
      {
        operationId: 'getSiteSnippet',
        parameters: {
          body: {},
          path: {
            site_id: {
              in: 'path',
              name: 'site_id',
              required: true,
              type: 'string',
            },
            snippet_id: {
              in: 'path',
              name: 'snippet_id',
              required: true,
              type: 'string',
            },
          },
          query: {},
        },
        path: '/sites/{site_id}/snippets/{snippet_id}',
        responses: {
          200: {
            description: 'OK',
            schema: {
              properties: {
                general: {
                  type: 'string',
                },
                general_position: {
                  type: 'string',
                },
                goal: {
                  type: 'string',
                },
                goal_position: {
                  type: 'string',
                },
                id: {
                  format: 'int32',
                  type: 'integer',
                },
                site_id: {
                  type: 'string',
                },
                title: {
                  type: 'string',
                },
              },
              type: 'object',
            },
          },
          default: {
            description: 'error',
            schema: {
              properties: {
                code: {
                  format: 'int64',
                  type: 'integer',
                },
                message: {
                  type: 'string',
                  'x-nullable': false,
                },
              },
              required: [
                'message',
              ],
              type: 'object',
            },
          },
        },
        tags: [
          'snippet',
        ],
        verb: 'get',
      },
      {
        consumes: [
          'application/json',
        ],
        operationId: 'updateSiteSnippet',
        parameters: {
          body: {
            snippet: {
              in: 'body',
              name: 'snippet',
              required: true,
              schema: {
                properties: {
                  general: {
                    type: 'string',
                  },
                  general_position: {
                    type: 'string',
                  },
                  goal: {
                    type: 'string',
                  },
                  goal_position: {
                    type: 'string',
                  },
                  id: {
                    format: 'int32',
                    type: 'integer',
                  },
                  site_id: {
                    type: 'string',
                  },
                  title: {
                    type: 'string',
                  },
                },
                type: 'object',
              },
            },
          },
          path: {
            site_id: {
              in: 'path',
              name: 'site_id',
              required: true,
              type: 'string',
            },
            snippet_id: {
              in: 'path',
              name: 'snippet_id',
              required: true,
              type: 'string',
            },
          },
          query: {},
        },
        path: '/sites/{site_id}/snippets/{snippet_id}',
        responses: {
          204: {
            description: 'No content',
          },
          default: {
            description: 'error',
            schema: {
              properties: {
                code: {
                  format: 'int64',
                  type: 'integer',
                },
                message: {
                  type: 'string',
                  'x-nullable': false,
                },
              },
              required: [
                'message',
              ],
              type: 'object',
            },
          },
        },
        tags: [
          'snippet',
        ],
        verb: 'put',
      },
      {
        operationId: 'deleteSiteSnippet',
        parameters: {
          body: {},
          path: {
            site_id: {
              in: 'path',
              name: 'site_id',
              required: true,
              type: 'string',
            },
            snippet_id: {
              in: 'path',
              name: 'snippet_id',
              required: true,
              type: 'string',
            },
          },
          query: {},
        },
        path: '/sites/{site_id}/snippets/{snippet_id}',
        responses: {
          204: {
            description: 'No content',
          },
          default: {
            description: 'error',
            schema: {
              properties: {
                code: {
                  format: 'int64',
                  type: 'integer',
                },
                message: {
                  type: 'string',
                  'x-nullable': false,
                },
              },
              required: [
                'message',
              ],
              type: 'object',
            },
          },
        },
        tags: [
          'snippet',
        ],
        verb: 'delete',
      },
      {
        operationId: 'getSiteMetadata',
        parameters: {
          body: {},
          path: {
            site_id: {
              in: 'path',
              name: 'site_id',
              required: true,
              type: 'string',
            },
          },
          query: {},
        },
        path: '/sites/{site_id}/metadata',
        responses: {
          200: {
            description: 'OK',
            schema: {
              type: 'object',
            },
          },
          default: {
            description: 'error',
            schema: {
              properties: {
                code: {
                  format: 'int64',
                  type: 'integer',
                },
                message: {
                  type: 'string',
                  'x-nullable': false,
                },
              },
              required: [
                'message',
              ],
              type: 'object',
            },
          },
        },
        tags: [
          'metadata',
        ],
        verb: 'get',
      },
      {
        operationId: 'updateSiteMetadata',
        parameters: {
          body: {
            metadata: {
              in: 'body',
              name: 'metadata',
              required: true,
              schema: {
                type: 'object',
              },
            },
          },
          path: {
            site_id: {
              in: 'path',
              name: 'site_id',
              required: true,
              type: 'string',
            },
          },
          query: {},
        },
        path: '/sites/{site_id}/metadata',
        responses: {
          204: {
            description: 'No content',
          },
          default: {
            description: 'error',
            schema: {
              properties: {
                code: {
                  format: 'int64',
                  type: 'integer',
                },
                message: {
                  type: 'string',
                  'x-nullable': false,
                },
              },
              required: [
                'message',
              ],
              type: 'object',
            },
          },
        },
        tags: [
          'metadata',
        ],
        verb: 'put',
      },
      {
        operationId: 'listSiteBuildHooks',
        parameters: {
          body: {},
          path: {
            site_id: {
              in: 'path',
              name: 'site_id',
              required: true,
              type: 'string',
            },
          },
          query: {},
        },
        path: '/sites/{site_id}/build_hooks',
        responses: {
          200: {
            description: 'OK',
            schema: {
              items: {
                properties: {
                  branch: {
                    type: 'string',
                  },
                  created_at: {
                    format: 'dateTime',
                    type: 'string',
                  },
                  id: {
                    type: 'string',
                  },
                  site_id: {
                    type: 'string',
                  },
                  title: {
                    type: 'string',
                  },
                  url: {
                    type: 'string',
                  },
                },
                type: 'object',
              },
              type: 'array',
            },
          },
          default: {
            description: 'error',
            schema: {
              properties: {
                code: {
                  format: 'int64',
                  type: 'integer',
                },
                message: {
                  type: 'string',
                  'x-nullable': false,
                },
              },
              required: [
                'message',
              ],
              type: 'object',
            },
          },
        },
        tags: [
          'buildHook',
        ],
        verb: 'get',
      },
      {
        consumes: [
          'application/json',
        ],
        operationId: 'createSiteBuildHook',
        parameters: {
          body: {
            buildHook: {
              in: 'body',
              name: 'buildHook',
              required: true,
              schema: {
                properties: {
                  branch: {
                    type: 'string',
                  },
                  title: {
                    type: 'string',
                  },
                },
                type: 'object',
              },
            },
          },
          path: {
            site_id: {
              in: 'path',
              name: 'site_id',
              required: true,
              type: 'string',
            },
          },
          query: {},
        },
        path: '/sites/{site_id}/build_hooks',
        responses: {
          201: {
            description: 'Created',
            schema: {
              properties: {
                branch: {
                  type: 'string',
                },
                created_at: {
                  format: 'dateTime',
                  type: 'string',
                },
                id: {
                  type: 'string',
                },
                site_id: {
                  type: 'string',
                },
                title: {
                  type: 'string',
                },
                url: {
                  type: 'string',
                },
              },
              type: 'object',
            },
          },
          default: {
            description: 'error',
            schema: {
              properties: {
                code: {
                  format: 'int64',
                  type: 'integer',
                },
                message: {
                  type: 'string',
                  'x-nullable': false,
                },
              },
              required: [
                'message',
              ],
              type: 'object',
            },
          },
        },
        tags: [
          'buildHook',
        ],
        verb: 'post',
      },
      {
        operationId: 'getSiteBuildHook',
        parameters: {
          body: {},
          path: {
            id: {
              in: 'path',
              name: 'id',
              required: true,
              type: 'string',
            },
            site_id: {
              in: 'path',
              name: 'site_id',
              required: true,
              type: 'string',
            },
          },
          query: {},
        },
        path: '/sites/{site_id}/build_hooks/{id}',
        responses: {
          200: {
            description: 'OK',
            schema: {
              properties: {
                branch: {
                  type: 'string',
                },
                created_at: {
                  format: 'dateTime',
                  type: 'string',
                },
                id: {
                  type: 'string',
                },
                site_id: {
                  type: 'string',
                },
                title: {
                  type: 'string',
                },
                url: {
                  type: 'string',
                },
              },
              type: 'object',
            },
          },
          default: {
            description: 'error',
            schema: {
              properties: {
                code: {
                  format: 'int64',
                  type: 'integer',
                },
                message: {
                  type: 'string',
                  'x-nullable': false,
                },
              },
              required: [
                'message',
              ],
              type: 'object',
            },
          },
        },
        tags: [
          'buildHook',
        ],
        verb: 'get',
      },
      {
        consumes: [
          'application/json',
        ],
        operationId: 'updateSiteBuildHook',
        parameters: {
          body: {
            buildHook: {
              in: 'body',
              name: 'buildHook',
              required: true,
              schema: {
                properties: {
                  branch: {
                    type: 'string',
                  },
                  title: {
                    type: 'string',
                  },
                },
                type: 'object',
              },
            },
          },
          path: {
            id: {
              in: 'path',
              name: 'id',
              required: true,
              type: 'string',
            },
            site_id: {
              in: 'path',
              name: 'site_id',
              required: true,
              type: 'string',
            },
          },
          query: {},
        },
        path: '/sites/{site_id}/build_hooks/{id}',
        responses: {
          204: {
            description: 'No content',
          },
          default: {
            description: 'error',
            schema: {
              properties: {
                code: {
                  format: 'int64',
                  type: 'integer',
                },
                message: {
                  type: 'string',
                  'x-nullable': false,
                },
              },
              required: [
                'message',
              ],
              type: 'object',
            },
          },
        },
        tags: [
          'buildHook',
        ],
        verb: 'put',
      },
      {
        operationId: 'deleteSiteBuildHook',
        parameters: {
          body: {},
          path: {
            id: {
              in: 'path',
              name: 'id',
              required: true,
              type: 'string',
            },
            site_id: {
              in: 'path',
              name: 'site_id',
              required: true,
              type: 'string',
            },
          },
          query: {},
        },
        path: '/sites/{site_id}/build_hooks/{id}',
        responses: {
          204: {
            description: 'No content',
          },
          default: {
            description: 'error',
            schema: {
              properties: {
                code: {
                  format: 'int64',
                  type: 'integer',
                },
                message: {
                  type: 'string',
                  'x-nullable': false,
                },
              },
              required: [
                'message',
              ],
              type: 'object',
            },
          },
        },
        tags: [
          'buildHook',
        ],
        verb: 'delete',
      },
      {
        operationId: 'listSiteDeploys',
        parameters: {
          body: {},
          path: {
            site_id: {
              in: 'path',
              name: 'site_id',
              required: true,
              type: 'string',
            },
          },
          query: {
            page: {
              format: 'int32',
              in: 'query',
              name: 'page',
              required: false,
              type: 'integer',
            },
            per_page: {
              format: 'int32',
              in: 'query',
              name: 'per_page',
              required: false,
              type: 'integer',
            },
          },
        },
        path: '/sites/{site_id}/deploys',
        responses: {
          200: {
            description: 'OK',
            schema: {
              items: {
                properties: {
                  admin_url: {
                    type: 'string',
                  },
                  branch: {
                    type: 'string',
                  },
                  build_id: {
                    type: 'string',
                  },
                  commit_ref: {
                    type: 'string',
                  },
                  commit_url: {
                    type: 'string',
                  },
                  context: {
                    type: 'string',
                  },
                  created_at: {
                    format: 'dateTime',
                    type: 'string',
                  },
                  deploy_ssl_url: {
                    type: 'string',
                  },
                  deploy_url: {
                    type: 'string',
                  },
                  draft: {
                    type: 'boolean',
                  },
                  error_message: {
                    type: 'string',
                  },
                  id: {
                    type: 'string',
                  },
                  locked: {
                    type: 'boolean',
                  },
                  name: {
                    type: 'string',
                  },
                  published_at: {
                    format: 'dateTime',
                    type: 'string',
                  },
                  required: {
                    items: {
                      type: 'string',
                    },
                    type: 'array',
                  },
                  required_functions: {
                    items: {
                      type: 'string',
                    },
                    type: 'array',
                  },
                  review_id: {
                    type: 'number',
                  },
                  review_url: {
                    type: 'string',
                  },
                  screenshot_url: {
                    type: 'string',
                  },
                  site_capabilities: {
                    properties: {
                      large_media_enabled: {
                        type: 'boolean',
                      },
                    },
                    type: 'object',
                  },
                  site_id: {
                    type: 'string',
                  },
                  skipped: {
                    type: 'boolean',
                  },
                  ssl_url: {
                    type: 'string',
                  },
                  state: {
                    type: 'string',
                  },
                  title: {
                    type: 'string',
                  },
                  updated_at: {
                    format: 'dateTime',
                    type: 'string',
                  },
                  url: {
                    type: 'string',
                  },
                  user_id: {
                    type: 'string',
                  },
                },
                type: 'object',
              },
              type: 'array',
            },
          },
          default: {
            description: 'error',
            schema: {
              properties: {
                code: {
                  format: 'int64',
                  type: 'integer',
                },
                message: {
                  type: 'string',
                  'x-nullable': false,
                },
              },
              required: [
                'message',
              ],
              type: 'object',
            },
          },
        },
        tags: [
          'deploy',
        ],
        verb: 'get',
      },
      {
        operationId: 'createSiteDeploy',
        parameters: {
          body: {
            deploy: {
              in: 'body',
              name: 'deploy',
              required: true,
              schema: {
                properties: {
                  async: {
                    type: 'boolean',
                  },
                  branch: {
                    type: 'string',
                  },
                  draft: {
                    type: 'boolean',
                  },
                  files: {
                    type: 'object',
                  },
                  functions: {
                    type: 'object',
                  },
                },
                type: 'object',
              },
            },
          },
          path: {
            site_id: {
              in: 'path',
              name: 'site_id',
              required: true,
              type: 'string',
            },
          },
          query: {
            title: {
              in: 'query',
              name: 'title',
              type: 'string',
            },
          },
        },
        path: '/sites/{site_id}/deploys',
        responses: {
          200: {
            description: 'OK',
            schema: {
              properties: {
                admin_url: {
                  type: 'string',
                },
                branch: {
                  type: 'string',
                },
                build_id: {
                  type: 'string',
                },
                commit_ref: {
                  type: 'string',
                },
                commit_url: {
                  type: 'string',
                },
                context: {
                  type: 'string',
                },
                created_at: {
                  format: 'dateTime',
                  type: 'string',
                },
                deploy_ssl_url: {
                  type: 'string',
                },
                deploy_url: {
                  type: 'string',
                },
                draft: {
                  type: 'boolean',
                },
                error_message: {
                  type: 'string',
                },
                id: {
                  type: 'string',
                },
                locked: {
                  type: 'boolean',
                },
                name: {
                  type: 'string',
                },
                published_at: {
                  format: 'dateTime',
                  type: 'string',
                },
                required: {
                  items: {
                    type: 'string',
                  },
                  type: 'array',
                },
                required_functions: {
                  items: {
                    type: 'string',
                  },
                  type: 'array',
                },
                review_id: {
                  type: 'number',
                },
                review_url: {
                  type: 'string',
                },
                screenshot_url: {
                  type: 'string',
                },
                site_capabilities: {
                  properties: {
                    large_media_enabled: {
                      type: 'boolean',
                    },
                  },
                  type: 'object',
                },
                site_id: {
                  type: 'string',
                },
                skipped: {
                  type: 'boolean',
                },
                ssl_url: {
                  type: 'string',
                },
                state: {
                  type: 'string',
                },
                title: {
                  type: 'string',
                },
                updated_at: {
                  format: 'dateTime',
                  type: 'string',
                },
                url: {
                  type: 'string',
                },
                user_id: {
                  type: 'string',
                },
              },
              type: 'object',
            },
          },
          default: {
            description: 'error',
            schema: {
              properties: {
                code: {
                  format: 'int64',
                  type: 'integer',
                },
                message: {
                  type: 'string',
                  'x-nullable': false,
                },
              },
              required: [
                'message',
              ],
              type: 'object',
            },
          },
        },
        tags: [
          'deploy',
        ],
        verb: 'post',
      },
      {
        operationId: 'getSiteDeploy',
        parameters: {
          body: {},
          path: {
            deploy_id: {
              in: 'path',
              name: 'deploy_id',
              required: true,
              type: 'string',
            },
            site_id: {
              in: 'path',
              name: 'site_id',
              required: true,
              type: 'string',
            },
          },
          query: {},
        },
        path: '/sites/{site_id}/deploys/{deploy_id}',
        responses: {
          200: {
            description: 'OK',
            schema: {
              properties: {
                admin_url: {
                  type: 'string',
                },
                branch: {
                  type: 'string',
                },
                build_id: {
                  type: 'string',
                },
                commit_ref: {
                  type: 'string',
                },
                commit_url: {
                  type: 'string',
                },
                context: {
                  type: 'string',
                },
                created_at: {
                  format: 'dateTime',
                  type: 'string',
                },
                deploy_ssl_url: {
                  type: 'string',
                },
                deploy_url: {
                  type: 'string',
                },
                draft: {
                  type: 'boolean',
                },
                error_message: {
                  type: 'string',
                },
                id: {
                  type: 'string',
                },
                locked: {
                  type: 'boolean',
                },
                name: {
                  type: 'string',
                },
                published_at: {
                  format: 'dateTime',
                  type: 'string',
                },
                required: {
                  items: {
                    type: 'string',
                  },
                  type: 'array',
                },
                required_functions: {
                  items: {
                    type: 'string',
                  },
                  type: 'array',
                },
                review_id: {
                  type: 'number',
                },
                review_url: {
                  type: 'string',
                },
                screenshot_url: {
                  type: 'string',
                },
                site_capabilities: {
                  properties: {
                    large_media_enabled: {
                      type: 'boolean',
                    },
                  },
                  type: 'object',
                },
                site_id: {
                  type: 'string',
                },
                skipped: {
                  type: 'boolean',
                },
                ssl_url: {
                  type: 'string',
                },
                state: {
                  type: 'string',
                },
                title: {
                  type: 'string',
                },
                updated_at: {
                  format: 'dateTime',
                  type: 'string',
                },
                url: {
                  type: 'string',
                },
                user_id: {
                  type: 'string',
                },
              },
              type: 'object',
            },
          },
          default: {
            description: 'error',
            schema: {
              properties: {
                code: {
                  format: 'int64',
                  type: 'integer',
                },
                message: {
                  type: 'string',
                  'x-nullable': false,
                },
              },
              required: [
                'message',
              ],
              type: 'object',
            },
          },
        },
        tags: [
          'deploy',
        ],
        verb: 'get',
      },
      {
        operationId: 'updateSiteDeploy',
        parameters: {
          body: {
            deploy: {
              in: 'body',
              name: 'deploy',
              required: true,
              schema: {
                properties: {
                  async: {
                    type: 'boolean',
                  },
                  branch: {
                    type: 'string',
                  },
                  draft: {
                    type: 'boolean',
                  },
                  files: {
                    type: 'object',
                  },
                  functions: {
                    type: 'object',
                  },
                },
                type: 'object',
              },
            },
          },
          path: {
            deploy_id: {
              in: 'path',
              name: 'deploy_id',
              required: true,
              type: 'string',
            },
            site_id: {
              in: 'path',
              name: 'site_id',
              required: true,
              type: 'string',
            },
          },
          query: {},
        },
        path: '/sites/{site_id}/deploys/{deploy_id}',
        responses: {
          200: {
            description: 'OK',
            schema: {
              properties: {
                admin_url: {
                  type: 'string',
                },
                branch: {
                  type: 'string',
                },
                build_id: {
                  type: 'string',
                },
                commit_ref: {
                  type: 'string',
                },
                commit_url: {
                  type: 'string',
                },
                context: {
                  type: 'string',
                },
                created_at: {
                  format: 'dateTime',
                  type: 'string',
                },
                deploy_ssl_url: {
                  type: 'string',
                },
                deploy_url: {
                  type: 'string',
                },
                draft: {
                  type: 'boolean',
                },
                error_message: {
                  type: 'string',
                },
                id: {
                  type: 'string',
                },
                locked: {
                  type: 'boolean',
                },
                name: {
                  type: 'string',
                },
                published_at: {
                  format: 'dateTime',
                  type: 'string',
                },
                required: {
                  items: {
                    type: 'string',
                  },
                  type: 'array',
                },
                required_functions: {
                  items: {
                    type: 'string',
                  },
                  type: 'array',
                },
                review_id: {
                  type: 'number',
                },
                review_url: {
                  type: 'string',
                },
                screenshot_url: {
                  type: 'string',
                },
                site_capabilities: {
                  properties: {
                    large_media_enabled: {
                      type: 'boolean',
                    },
                  },
                  type: 'object',
                },
                site_id: {
                  type: 'string',
                },
                skipped: {
                  type: 'boolean',
                },
                ssl_url: {
                  type: 'string',
                },
                state: {
                  type: 'string',
                },
                title: {
                  type: 'string',
                },
                updated_at: {
                  format: 'dateTime',
                  type: 'string',
                },
                url: {
                  type: 'string',
                },
                user_id: {
                  type: 'string',
                },
              },
              type: 'object',
            },
          },
          default: {
            description: 'error',
            schema: {
              properties: {
                code: {
                  format: 'int64',
                  type: 'integer',
                },
                message: {
                  type: 'string',
                  'x-nullable': false,
                },
              },
              required: [
                'message',
              ],
              type: 'object',
            },
          },
        },
        tags: [
          'deploy',
        ],
        verb: 'put',
      },
      {
        operationId: 'cancelSiteDeploy',
        parameters: {
          body: {},
          path: {
            deploy_id: {
              in: 'path',
              name: 'deploy_id',
              required: true,
              type: 'string',
            },
          },
          query: {},
        },
        path: '/deploys/{deploy_id}/cancel',
        responses: {
          201: {
            description: 'Cancelled',
            schema: {
              properties: {
                admin_url: {
                  type: 'string',
                },
                branch: {
                  type: 'string',
                },
                build_id: {
                  type: 'string',
                },
                commit_ref: {
                  type: 'string',
                },
                commit_url: {
                  type: 'string',
                },
                context: {
                  type: 'string',
                },
                created_at: {
                  format: 'dateTime',
                  type: 'string',
                },
                deploy_ssl_url: {
                  type: 'string',
                },
                deploy_url: {
                  type: 'string',
                },
                draft: {
                  type: 'boolean',
                },
                error_message: {
                  type: 'string',
                },
                id: {
                  type: 'string',
                },
                locked: {
                  type: 'boolean',
                },
                name: {
                  type: 'string',
                },
                published_at: {
                  format: 'dateTime',
                  type: 'string',
                },
                required: {
                  items: {
                    type: 'string',
                  },
                  type: 'array',
                },
                required_functions: {
                  items: {
                    type: 'string',
                  },
                  type: 'array',
                },
                review_id: {
                  type: 'number',
                },
                review_url: {
                  type: 'string',
                },
                screenshot_url: {
                  type: 'string',
                },
                site_capabilities: {
                  properties: {
                    large_media_enabled: {
                      type: 'boolean',
                    },
                  },
                  type: 'object',
                },
                site_id: {
                  type: 'string',
                },
                skipped: {
                  type: 'boolean',
                },
                ssl_url: {
                  type: 'string',
                },
                state: {
                  type: 'string',
                },
                title: {
                  type: 'string',
                },
                updated_at: {
                  format: 'dateTime',
                  type: 'string',
                },
                url: {
                  type: 'string',
                },
                user_id: {
                  type: 'string',
                },
              },
              type: 'object',
            },
          },
          default: {
            description: 'error',
            schema: {
              properties: {
                code: {
                  format: 'int64',
                  type: 'integer',
                },
                message: {
                  type: 'string',
                  'x-nullable': false,
                },
              },
              required: [
                'message',
              ],
              type: 'object',
            },
          },
        },
        tags: [
          'deploy',
        ],
        verb: 'post',
      },
      {
        operationId: 'restoreSiteDeploy',
        parameters: {
          body: {},
          path: {
            deploy_id: {
              in: 'path',
              name: 'deploy_id',
              required: true,
              type: 'string',
            },
            site_id: {
              in: 'path',
              name: 'site_id',
              required: true,
              type: 'string',
            },
          },
          query: {},
        },
        path: '/sites/{site_id}/deploys/{deploy_id}/restore',
        responses: {
          201: {
            description: 'Created',
            schema: {
              properties: {
                admin_url: {
                  type: 'string',
                },
                branch: {
                  type: 'string',
                },
                build_id: {
                  type: 'string',
                },
                commit_ref: {
                  type: 'string',
                },
                commit_url: {
                  type: 'string',
                },
                context: {
                  type: 'string',
                },
                created_at: {
                  format: 'dateTime',
                  type: 'string',
                },
                deploy_ssl_url: {
                  type: 'string',
                },
                deploy_url: {
                  type: 'string',
                },
                draft: {
                  type: 'boolean',
                },
                error_message: {
                  type: 'string',
                },
                id: {
                  type: 'string',
                },
                locked: {
                  type: 'boolean',
                },
                name: {
                  type: 'string',
                },
                published_at: {
                  format: 'dateTime',
                  type: 'string',
                },
                required: {
                  items: {
                    type: 'string',
                  },
                  type: 'array',
                },
                required_functions: {
                  items: {
                    type: 'string',
                  },
                  type: 'array',
                },
                review_id: {
                  type: 'number',
                },
                review_url: {
                  type: 'string',
                },
                screenshot_url: {
                  type: 'string',
                },
                site_capabilities: {
                  properties: {
                    large_media_enabled: {
                      type: 'boolean',
                    },
                  },
                  type: 'object',
                },
                site_id: {
                  type: 'string',
                },
                skipped: {
                  type: 'boolean',
                },
                ssl_url: {
                  type: 'string',
                },
                state: {
                  type: 'string',
                },
                title: {
                  type: 'string',
                },
                updated_at: {
                  format: 'dateTime',
                  type: 'string',
                },
                url: {
                  type: 'string',
                },
                user_id: {
                  type: 'string',
                },
              },
              type: 'object',
            },
          },
          default: {
            description: 'error',
            schema: {
              properties: {
                code: {
                  format: 'int64',
                  type: 'integer',
                },
                message: {
                  type: 'string',
                  'x-nullable': false,
                },
              },
              required: [
                'message',
              ],
              type: 'object',
            },
          },
        },
        tags: [
          'deploy',
        ],
        verb: 'post',
      },
      {
        operationId: 'listSiteBuilds',
        parameters: {
          body: {},
          path: {
            site_id: {
              in: 'path',
              name: 'site_id',
              required: true,
              type: 'string',
            },
          },
          query: {
            page: {
              format: 'int32',
              in: 'query',
              name: 'page',
              required: false,
              type: 'integer',
            },
            per_page: {
              format: 'int32',
              in: 'query',
              name: 'per_page',
              required: false,
              type: 'integer',
            },
          },
        },
        path: '/sites/{site_id}/builds',
        responses: {
          200: {
            description: 'OK',
            schema: {
              items: {
                properties: {
                  created_at: {
                    format: 'dateTime',
                    type: 'string',
                  },
                  deploy_id: {
                    type: 'string',
                  },
                  done: {
                    type: 'boolean',
                  },
                  error: {
                    type: 'string',
                  },
                  id: {
                    type: 'string',
                  },
                  sha: {
                    type: 'string',
                  },
                },
                type: 'object',
              },
              type: 'array',
            },
          },
          default: {
            description: 'error',
            schema: {
              properties: {
                code: {
                  format: 'int64',
                  type: 'integer',
                },
                message: {
                  type: 'string',
                  'x-nullable': false,
                },
              },
              required: [
                'message',
              ],
              type: 'object',
            },
          },
        },
        tags: [
          'build',
        ],
        verb: 'get',
      },
      {
        operationId: 'createSiteBuild',
        parameters: {
          body: {},
          path: {
            site_id: {
              in: 'path',
              name: 'site_id',
              required: true,
              type: 'string',
            },
          },
          query: {},
        },
        path: '/sites/{site_id}/builds',
        responses: {
          200: {
            description: 'OK',
            schema: {
              properties: {
                created_at: {
                  format: 'dateTime',
                  type: 'string',
                },
                deploy_id: {
                  type: 'string',
                },
                done: {
                  type: 'boolean',
                },
                error: {
                  type: 'string',
                },
                id: {
                  type: 'string',
                },
                sha: {
                  type: 'string',
                },
              },
              type: 'object',
            },
          },
          default: {
            description: 'error',
            schema: {
              properties: {
                code: {
                  format: 'int64',
                  type: 'integer',
                },
                message: {
                  type: 'string',
                  'x-nullable': false,
                },
              },
              required: [
                'message',
              ],
              type: 'object',
            },
          },
        },
        tags: [
          'build',
        ],
        verb: 'post',
      },
      {
        operationId: 'listSiteDeployedBranches',
        parameters: {
          body: {},
          path: {
            site_id: {
              in: 'path',
              name: 'site_id',
              required: true,
              type: 'string',
            },
          },
          query: {},
        },
        path: '/sites/{site_id}/deployed-branches',
        responses: {
          200: {
            description: 'OK',
            schema: {
              items: {
                properties: {
                  deploy_id: {
                    type: 'string',
                  },
                  id: {
                    type: 'string',
                  },
                  name: {
                    type: 'string',
                  },
                  slug: {
                    type: 'string',
                  },
                  ssl_url: {
                    type: 'string',
                  },
                  url: {
                    type: 'string',
                  },
                },
                type: 'object',
              },
              type: 'array',
            },
          },
          default: {
            description: 'error',
            schema: {
              properties: {
                code: {
                  format: 'int64',
                  type: 'integer',
                },
                message: {
                  type: 'string',
                  'x-nullable': false,
                },
              },
              required: [
                'message',
              ],
              type: 'object',
            },
          },
        },
        tags: [
          'deployedBranch',
        ],
        verb: 'get',
      },
      {
        description: `[Beta] Unlinks the repo from the site.␊
        ␊
        This action will also:␊
        - Delete associated deploy keys␊
        - Delete outgoing webhooks for the repo␊
        - Delete the site's build hooks`,
        operationId: 'unlinkSiteRepo',
        parameters: {
          body: {},
          path: {
            site_id: {
              in: 'path',
              name: 'site_id',
              required: true,
              type: 'string',
            },
          },
          query: {},
        },
        path: '/sites/{site_id}/unlink_repo',
        responses: {
          200: {
            description: 'OK',
            schema: {
              properties: {
                account_name: {
                  type: 'string',
                },
                account_slug: {
                  type: 'string',
                },
                admin_url: {
                  type: 'string',
                },
                build_image: {
                  type: 'string',
                },
                build_settings: {
                  properties: {
                    allowed_branches: {
                      items: {
                        type: 'string',
                      },
                      type: 'array',
                    },
                    cmd: {
                      type: 'string',
                    },
                    deploy_key_id: {
                      type: 'string',
                    },
                    dir: {
                      type: 'string',
                    },
                    env: {
                      additionalProperties: {
                        type: 'string',
                      },
                      type: 'object',
                    },
                    id: {
                      type: 'integer',
                    },
                    installation_id: {
                      type: 'integer',
                    },
                    private_logs: {
                      type: 'boolean',
                    },
                    provider: {
                      type: 'string',
                    },
                    public_repo: {
                      type: 'boolean',
                    },
                    repo_branch: {
                      type: 'string',
                    },
                    repo_path: {
                      type: 'string',
                    },
                    repo_url: {
                      type: 'string',
                    },
                    stop_builds: {
                      type: 'boolean',
                    },
                  },
                  type: 'object',
                },
                capabilities: {
                  additionalProperties: {
                    type: 'object',
                  },
                  type: 'object',
                },
                created_at: {
                  format: 'dateTime',
                  type: 'string',
                },
                custom_domain: {
                  type: 'string',
                },
                default_hooks_data: {
                  properties: {
                    access_token: {
                      type: 'string',
                    },
                  },
                  type: 'object',
                },
                deploy_hook: {
                  type: 'string',
                },
                deploy_url: {
                  type: 'string',
                },
                domain_aliases: {
                  items: {
                    type: 'string',
                  },
                  type: 'array',
                },
                force_ssl: {
                  type: 'boolean',
                },
                git_provider: {
                  type: 'string',
                },
                id: {
                  type: 'string',
                },
                id_domain: {
                  type: 'string',
                },
                managed_dns: {
                  type: 'boolean',
                },
                name: {
                  type: 'string',
                },
                notification_email: {
                  type: 'string',
                },
                password: {
                  type: 'string',
                },
                plan: {
                  type: 'string',
                },
                prerender: {
                  type: 'string',
                },
                processing_settings: {
                  properties: {
                    css: {
                      properties: {
                        bundle: {
                          type: 'boolean',
                        },
                        minify: {
                          type: 'boolean',
                        },
                      },
                      type: 'object',
                    },
                    html: {
                      properties: {
                        pretty_urls: {
                          type: 'boolean',
                        },
                      },
                      type: 'object',
                    },
                    images: {
                      properties: {
                        optimize: {
                          type: 'boolean',
                        },
                      },
                      type: 'object',
                    },
                    js: {
                      properties: {
                        bundle: {
                          type: 'boolean',
                        },
                        minify: {
                          type: 'boolean',
                        },
                      },
                      type: 'object',
                    },
                    skip: {
                      type: 'boolean',
                    },
                  },
                  type: 'object',
                },
                published_deploy: {
                  properties: {
                    admin_url: {
                      type: 'string',
                    },
                    branch: {
                      type: 'string',
                    },
                    build_id: {
                      type: 'string',
                    },
                    commit_ref: {
                      type: 'string',
                    },
                    commit_url: {
                      type: 'string',
                    },
                    context: {
                      type: 'string',
                    },
                    created_at: {
                      format: 'dateTime',
                      type: 'string',
                    },
                    deploy_ssl_url: {
                      type: 'string',
                    },
                    deploy_url: {
                      type: 'string',
                    },
                    draft: {
                      type: 'boolean',
                    },
                    error_message: {
                      type: 'string',
                    },
                    id: {
                      type: 'string',
                    },
                    locked: {
                      type: 'boolean',
                    },
                    name: {
                      type: 'string',
                    },
                    published_at: {
                      format: 'dateTime',
                      type: 'string',
                    },
                    required: {
                      items: {
                        type: 'string',
                      },
                      type: 'array',
                    },
                    required_functions: {
                      items: {
                        type: 'string',
                      },
                      type: 'array',
                    },
                    review_id: {
                      type: 'number',
                    },
                    review_url: {
                      type: 'string',
                    },
                    screenshot_url: {
                      type: 'string',
                    },
                    site_capabilities: {
                      properties: {
                        large_media_enabled: {
                          type: 'boolean',
                        },
                      },
                      type: 'object',
                    },
                    site_id: {
                      type: 'string',
                    },
                    skipped: {
                      type: 'boolean',
                    },
                    ssl_url: {
                      type: 'string',
                    },
                    state: {
                      type: 'string',
                    },
                    title: {
                      type: 'string',
                    },
                    updated_at: {
                      format: 'dateTime',
                      type: 'string',
                    },
                    url: {
                      type: 'string',
                    },
                    user_id: {
                      type: 'string',
                    },
                  },
                  type: 'object',
                },
                screenshot_url: {
                  type: 'string',
                },
                session_id: {
                  type: 'string',
                },
                ssl: {
                  type: 'boolean',
                },
                ssl_url: {
                  type: 'string',
                },
                state: {
                  type: 'string',
                },
                updated_at: {
                  format: 'dateTime',
                  type: 'string',
                },
                url: {
                  type: 'string',
                },
                user_id: {
                  type: 'string',
                },
              },
              type: 'object',
            },
          },
          404: {
            description: 'Site not found',
          },
        },
        tags: [
          'site',
        ],
        verb: 'put',
      },
      {
        operationId: 'getSiteBuild',
        parameters: {
          body: {},
          path: {
            build_id: {
              in: 'path',
              name: 'build_id',
              required: true,
              type: 'string',
            },
          },
          query: {},
        },
        path: '/builds/{build_id}',
        responses: {
          200: {
            description: 'OK',
            schema: {
              properties: {
                created_at: {
                  format: 'dateTime',
                  type: 'string',
                },
                deploy_id: {
                  type: 'string',
                },
                done: {
                  type: 'boolean',
                },
                error: {
                  type: 'string',
                },
                id: {
                  type: 'string',
                },
                sha: {
                  type: 'string',
                },
              },
              type: 'object',
            },
          },
          default: {
            description: 'error',
            schema: {
              properties: {
                code: {
                  format: 'int64',
                  type: 'integer',
                },
                message: {
                  type: 'string',
                  'x-nullable': false,
                },
              },
              required: [
                'message',
              ],
              type: 'object',
            },
          },
        },
        tags: [
          'build',
        ],
        verb: 'get',
      },
      {
        operationId: 'updateSiteBuildLog',
        parameters: {
          body: {
            msg: {
              in: 'body',
              name: 'msg',
              required: true,
              schema: {
                properties: {
                  error: {
                    type: 'boolean',
                  },
                  message: {
                    type: 'string',
                  },
                },
                type: 'object',
              },
            },
          },
          path: {
            build_id: {
              in: 'path',
              name: 'build_id',
              required: true,
              type: 'string',
            },
          },
          query: {},
        },
        path: '/builds/{build_id}/log',
        responses: {
          204: {
            description: 'No content',
          },
          default: {
            description: 'error',
            schema: {
              properties: {
                code: {
                  format: 'int64',
                  type: 'integer',
                },
                message: {
                  type: 'string',
                  'x-nullable': false,
                },
              },
              required: [
                'message',
              ],
              type: 'object',
            },
          },
        },
        tags: [
          'buildLogMsg',
        ],
        verb: 'post',
      },
      {
        operationId: 'notifyBuildStart',
        parameters: {
          body: {},
          path: {
            build_id: {
              in: 'path',
              name: 'build_id',
              required: true,
              type: 'string',
            },
          },
          query: {},
        },
        path: '/builds/{build_id}/start',
        responses: {
          204: {
            description: 'No content',
          },
          default: {
            description: 'error',
            schema: {
              properties: {
                code: {
                  format: 'int64',
                  type: 'integer',
                },
                message: {
                  type: 'string',
                  'x-nullable': false,
                },
              },
              required: [
                'message',
              ],
              type: 'object',
            },
          },
        },
        tags: [
          'build',
        ],
        verb: 'post',
      },
      {
        operationId: 'getAccountBuildStatus',
        parameters: {
          body: {},
          path: {
            account_id: {
              in: 'path',
              name: 'account_id',
              required: true,
              type: 'string',
            },
          },
          query: {},
        },
        path: '/{account_id}/builds/status',
        responses: {
          200: {
            description: 'OK',
            schema: {
              items: {
                properties: {
                  active: {
                    type: 'integer',
                  },
                  build_count: {
                    type: 'integer',
                  },
                  enqueued: {
                    type: 'integer',
                  },
                  minutes: {
                    properties: {
                      current: {
                        type: 'integer',
                      },
                      current_average_sec: {
                        type: 'integer',
                      },
                      included_minutes: {
                        type: 'string',
                      },
                      included_minutes_with_packs: {
                        type: 'string',
                      },
                      last_updated_at: {
                        format: 'dateTime',
                        type: 'string',
                      },
                      period_end_date: {
                        format: 'dateTime',
                        type: 'string',
                      },
                      period_start_date: {
                        format: 'dateTime',
                        type: 'string',
                      },
                      previous: {
                        type: 'integer',
                      },
                    },
                    type: 'object',
                  },
                  pending_concurrency: {
                    type: 'integer',
                  },
                },
                type: 'object',
              },
              type: 'array',
            },
          },
          default: {
            description: 'error',
            schema: {
              properties: {
                code: {
                  format: 'int64',
                  type: 'integer',
                },
                message: {
                  type: 'string',
                  'x-nullable': false,
                },
              },
              required: [
                'message',
              ],
              type: 'object',
            },
          },
        },
        tags: [
          'build',
        ],
        verb: 'get',
      },
      {
        operationId: 'getDNSForSite',
        parameters: {
          body: {},
          path: {
            site_id: {
              in: 'path',
              name: 'site_id',
              required: true,
              type: 'string',
            },
          },
          query: {},
        },
        path: '/sites/{site_id}/dns',
        responses: {
          200: {
            description: 'OK',
            schema: {
              items: {
                properties: {
                  account_id: {
                    type: 'string',
                  },
                  account_name: {
                    type: 'string',
                  },
                  account_slug: {
                    type: 'string',
                  },
                  created_at: {
                    format: 'dateTime',
                    type: 'string',
                  },
                  dedicated: {
                    type: 'boolean',
                  },
                  dns_servers: {
                    items: {
                      type: 'string',
                    },
                    type: 'array',
                  },
                  domain: {
                    type: 'string',
                  },
                  errors: {
                    items: {
                      type: 'string',
                    },
                    type: 'array',
                  },
                  id: {
                    type: 'string',
                  },
                  ipv6_enabled: {
                    type: 'boolean',
                  },
                  name: {
                    type: 'string',
                  },
                  records: {
                    items: {
                      properties: {
                        dns_zone_id: {
                          type: 'string',
                        },
                        flag: {
                          type: 'integer',
                        },
                        hostname: {
                          type: 'string',
                        },
                        id: {
                          type: 'string',
                        },
                        managed: {
                          type: 'boolean',
                        },
                        priority: {
                          format: 'int64',
                          type: 'integer',
                        },
                        site_id: {
                          type: 'string',
                        },
                        tag: {
                          type: 'string',
                        },
                        ttl: {
                          format: 'int64',
                          type: 'integer',
                        },
                        type: {
                          type: 'string',
                        },
                        value: {
                          type: 'string',
                        },
                      },
                      type: 'object',
                    },
                    type: 'array',
                  },
                  site_id: {
                    type: 'string',
                  },
                  supported_record_types: {
                    items: {
                      type: 'string',
                    },
                    type: 'array',
                  },
                  updated_at: {
                    format: 'dateTime',
                    type: 'string',
                  },
                  user_id: {
                    type: 'string',
                  },
                },
                type: 'object',
              },
              type: 'array',
            },
          },
          default: {
            description: 'error',
            schema: {
              properties: {
                code: {
                  format: 'int64',
                  type: 'integer',
                },
                message: {
                  type: 'string',
                  'x-nullable': false,
                },
              },
              required: [
                'message',
              ],
              type: 'object',
            },
          },
        },
        tags: [
          'dnsZone',
        ],
        verb: 'get',
      },
      {
        operationId: 'configureDNSForSite',
        parameters: {
          body: {},
          path: {
            site_id: {
              in: 'path',
              name: 'site_id',
              required: true,
              type: 'string',
            },
          },
          query: {},
        },
        path: '/sites/{site_id}/dns',
        responses: {
          200: {
            description: 'OK',
            schema: {
              items: {
                properties: {
                  account_id: {
                    type: 'string',
                  },
                  account_name: {
                    type: 'string',
                  },
                  account_slug: {
                    type: 'string',
                  },
                  created_at: {
                    format: 'dateTime',
                    type: 'string',
                  },
                  dedicated: {
                    type: 'boolean',
                  },
                  dns_servers: {
                    items: {
                      type: 'string',
                    },
                    type: 'array',
                  },
                  domain: {
                    type: 'string',
                  },
                  errors: {
                    items: {
                      type: 'string',
                    },
                    type: 'array',
                  },
                  id: {
                    type: 'string',
                  },
                  ipv6_enabled: {
                    type: 'boolean',
                  },
                  name: {
                    type: 'string',
                  },
                  records: {
                    items: {
                      properties: {
                        dns_zone_id: {
                          type: 'string',
                        },
                        flag: {
                          type: 'integer',
                        },
                        hostname: {
                          type: 'string',
                        },
                        id: {
                          type: 'string',
                        },
                        managed: {
                          type: 'boolean',
                        },
                        priority: {
                          format: 'int64',
                          type: 'integer',
                        },
                        site_id: {
                          type: 'string',
                        },
                        tag: {
                          type: 'string',
                        },
                        ttl: {
                          format: 'int64',
                          type: 'integer',
                        },
                        type: {
                          type: 'string',
                        },
                        value: {
                          type: 'string',
                        },
                      },
                      type: 'object',
                    },
                    type: 'array',
                  },
                  site_id: {
                    type: 'string',
                  },
                  supported_record_types: {
                    items: {
                      type: 'string',
                    },
                    type: 'array',
                  },
                  updated_at: {
                    format: 'dateTime',
                    type: 'string',
                  },
                  user_id: {
                    type: 'string',
                  },
                },
                type: 'object',
              },
              type: 'array',
            },
          },
          default: {
            description: 'error',
            schema: {
              properties: {
                code: {
                  format: 'int64',
                  type: 'integer',
                },
                message: {
                  type: 'string',
                  'x-nullable': false,
                },
              },
              required: [
                'message',
              ],
              type: 'object',
            },
          },
        },
        tags: [
          'dnsZone',
        ],
        verb: 'put',
      },
      {
        operationId: 'rollbackSiteDeploy',
        parameters: {
          body: {},
          path: {
            site_id: {
              in: 'path',
              name: 'site_id',
              required: true,
              type: 'string',
            },
          },
          query: {},
        },
        path: '/sites/{site_id}/rollback',
        responses: {
          204: {
            description: 'No content',
          },
          default: {
            description: 'error',
            schema: {
              properties: {
                code: {
                  format: 'int64',
                  type: 'integer',
                },
                message: {
                  type: 'string',
                  'x-nullable': false,
                },
              },
              required: [
                'message',
              ],
              type: 'object',
            },
          },
        },
        tags: [
          'deploy',
        ],
        verb: 'post',
      },
      {
        operationId: 'getDeploy',
        parameters: {
          body: {},
          path: {
            deploy_id: {
              in: 'path',
              name: 'deploy_id',
              required: true,
              type: 'string',
            },
          },
          query: {},
        },
        path: '/deploys/{deploy_id}',
        responses: {
          200: {
            description: 'OK',
            schema: {
              properties: {
                admin_url: {
                  type: 'string',
                },
                branch: {
                  type: 'string',
                },
                build_id: {
                  type: 'string',
                },
                commit_ref: {
                  type: 'string',
                },
                commit_url: {
                  type: 'string',
                },
                context: {
                  type: 'string',
                },
                created_at: {
                  format: 'dateTime',
                  type: 'string',
                },
                deploy_ssl_url: {
                  type: 'string',
                },
                deploy_url: {
                  type: 'string',
                },
                draft: {
                  type: 'boolean',
                },
                error_message: {
                  type: 'string',
                },
                id: {
                  type: 'string',
                },
                locked: {
                  type: 'boolean',
                },
                name: {
                  type: 'string',
                },
                published_at: {
                  format: 'dateTime',
                  type: 'string',
                },
                required: {
                  items: {
                    type: 'string',
                  },
                  type: 'array',
                },
                required_functions: {
                  items: {
                    type: 'string',
                  },
                  type: 'array',
                },
                review_id: {
                  type: 'number',
                },
                review_url: {
                  type: 'string',
                },
                screenshot_url: {
                  type: 'string',
                },
                site_capabilities: {
                  properties: {
                    large_media_enabled: {
                      type: 'boolean',
                    },
                  },
                  type: 'object',
                },
                site_id: {
                  type: 'string',
                },
                skipped: {
                  type: 'boolean',
                },
                ssl_url: {
                  type: 'string',
                },
                state: {
                  type: 'string',
                },
                title: {
                  type: 'string',
                },
                updated_at: {
                  format: 'dateTime',
                  type: 'string',
                },
                url: {
                  type: 'string',
                },
                user_id: {
                  type: 'string',
                },
              },
              type: 'object',
            },
          },
          default: {
            description: 'error',
            schema: {
              properties: {
                code: {
                  format: 'int64',
                  type: 'integer',
                },
                message: {
                  type: 'string',
                  'x-nullable': false,
                },
              },
              required: [
                'message',
              ],
              type: 'object',
            },
          },
        },
        tags: [
          'deploy',
        ],
        verb: 'get',
      },
      {
        operationId: 'lockDeploy',
        parameters: {
          body: {},
          path: {
            deploy_id: {
              in: 'path',
              name: 'deploy_id',
              required: true,
              type: 'string',
            },
          },
          query: {},
        },
        path: '/deploys/{deploy_id}/lock',
        responses: {
          200: {
            description: 'OK',
            schema: {
              properties: {
                admin_url: {
                  type: 'string',
                },
                branch: {
                  type: 'string',
                },
                build_id: {
                  type: 'string',
                },
                commit_ref: {
                  type: 'string',
                },
                commit_url: {
                  type: 'string',
                },
                context: {
                  type: 'string',
                },
                created_at: {
                  format: 'dateTime',
                  type: 'string',
                },
                deploy_ssl_url: {
                  type: 'string',
                },
                deploy_url: {
                  type: 'string',
                },
                draft: {
                  type: 'boolean',
                },
                error_message: {
                  type: 'string',
                },
                id: {
                  type: 'string',
                },
                locked: {
                  type: 'boolean',
                },
                name: {
                  type: 'string',
                },
                published_at: {
                  format: 'dateTime',
                  type: 'string',
                },
                required: {
                  items: {
                    type: 'string',
                  },
                  type: 'array',
                },
                required_functions: {
                  items: {
                    type: 'string',
                  },
                  type: 'array',
                },
                review_id: {
                  type: 'number',
                },
                review_url: {
                  type: 'string',
                },
                screenshot_url: {
                  type: 'string',
                },
                site_capabilities: {
                  properties: {
                    large_media_enabled: {
                      type: 'boolean',
                    },
                  },
                  type: 'object',
                },
                site_id: {
                  type: 'string',
                },
                skipped: {
                  type: 'boolean',
                },
                ssl_url: {
                  type: 'string',
                },
                state: {
                  type: 'string',
                },
                title: {
                  type: 'string',
                },
                updated_at: {
                  format: 'dateTime',
                  type: 'string',
                },
                url: {
                  type: 'string',
                },
                user_id: {
                  type: 'string',
                },
              },
              type: 'object',
            },
          },
          default: {
            description: 'error',
            schema: {
              properties: {
                code: {
                  format: 'int64',
                  type: 'integer',
                },
                message: {
                  type: 'string',
                  'x-nullable': false,
                },
              },
              required: [
                'message',
              ],
              type: 'object',
            },
          },
        },
        tags: [
          'deploy',
        ],
        verb: 'post',
      },
      {
        operationId: 'unlockDeploy',
        parameters: {
          body: {},
          path: {
            deploy_id: {
              in: 'path',
              name: 'deploy_id',
              required: true,
              type: 'string',
            },
          },
          query: {},
        },
        path: '/deploys/{deploy_id}/unlock',
        responses: {
          200: {
            description: 'OK',
            schema: {
              properties: {
                admin_url: {
                  type: 'string',
                },
                branch: {
                  type: 'string',
                },
                build_id: {
                  type: 'string',
                },
                commit_ref: {
                  type: 'string',
                },
                commit_url: {
                  type: 'string',
                },
                context: {
                  type: 'string',
                },
                created_at: {
                  format: 'dateTime',
                  type: 'string',
                },
                deploy_ssl_url: {
                  type: 'string',
                },
                deploy_url: {
                  type: 'string',
                },
                draft: {
                  type: 'boolean',
                },
                error_message: {
                  type: 'string',
                },
                id: {
                  type: 'string',
                },
                locked: {
                  type: 'boolean',
                },
                name: {
                  type: 'string',
                },
                published_at: {
                  format: 'dateTime',
                  type: 'string',
                },
                required: {
                  items: {
                    type: 'string',
                  },
                  type: 'array',
                },
                required_functions: {
                  items: {
                    type: 'string',
                  },
                  type: 'array',
                },
                review_id: {
                  type: 'number',
                },
                review_url: {
                  type: 'string',
                },
                screenshot_url: {
                  type: 'string',
                },
                site_capabilities: {
                  properties: {
                    large_media_enabled: {
                      type: 'boolean',
                    },
                  },
                  type: 'object',
                },
                site_id: {
                  type: 'string',
                },
                skipped: {
                  type: 'boolean',
                },
                ssl_url: {
                  type: 'string',
                },
                state: {
                  type: 'string',
                },
                title: {
                  type: 'string',
                },
                updated_at: {
                  format: 'dateTime',
                  type: 'string',
                },
                url: {
                  type: 'string',
                },
                user_id: {
                  type: 'string',
                },
              },
              type: 'object',
            },
          },
          default: {
            description: 'error',
            schema: {
              properties: {
                code: {
                  format: 'int64',
                  type: 'integer',
                },
                message: {
                  type: 'string',
                  'x-nullable': false,
                },
              },
              required: [
                'message',
              ],
              type: 'object',
            },
          },
        },
        tags: [
          'deploy',
        ],
        verb: 'post',
      },
      {
        consumes: [
          'application/octet-stream',
        ],
        operationId: 'uploadDeployFile',
        parameters: {
          body: {
            file_body: {
              in: 'body',
              name: 'file_body',
              required: true,
              schema: {
                format: 'binary',
                type: 'string',
              },
            },
          },
          path: {
            deploy_id: {
              in: 'path',
              name: 'deploy_id',
              required: true,
              type: 'string',
            },
            path: {
              in: 'path',
              name: 'path',
              required: true,
              type: 'string',
            },
          },
          query: {
            size: {
              in: 'query',
              name: 'size',
              type: 'integer',
            },
          },
        },
        path: '/deploys/{deploy_id}/files/{path}',
        responses: {
          200: {
            description: 'OK',
            schema: {
              properties: {
                id: {
                  type: 'string',
                },
                mime_type: {
                  type: 'string',
                },
                path: {
                  type: 'string',
                },
                sha: {
                  type: 'string',
                },
                size: {
                  format: 'int64',
                  type: 'integer',
                },
              },
              type: 'object',
            },
          },
          default: {
            description: 'error',
            schema: {
              properties: {
                code: {
                  format: 'int64',
                  type: 'integer',
                },
                message: {
                  type: 'string',
                  'x-nullable': false,
                },
              },
              required: [
                'message',
              ],
              type: 'object',
            },
          },
        },
        tags: [
          'file',
        ],
        verb: 'put',
      },
      {
        consumes: [
          'application/octet-stream',
        ],
        operationId: 'uploadDeployFunction',
        parameters: {
          body: {
            file_body: {
              in: 'body',
              name: 'file_body',
              required: true,
              schema: {
                format: 'binary',
                type: 'string',
              },
            },
          },
          path: {
            deploy_id: {
              in: 'path',
              name: 'deploy_id',
              required: true,
              type: 'string',
            },
            name: {
              in: 'path',
              name: 'name',
              required: true,
              type: 'string',
            },
          },
          query: {
            runtime: {
              in: 'query',
              name: 'runtime',
              type: 'string',
            },
            size: {
              in: 'query',
              name: 'size',
              type: 'integer',
            },
          },
        },
        path: '/deploys/{deploy_id}/functions/{name}',
        responses: {
          200: {
            description: 'OK',
            schema: {
              properties: {
                id: {
                  type: 'string',
                },
                name: {
                  type: 'string',
                },
                sha: {
                  type: 'string',
                },
              },
              type: 'object',
            },
          },
          default: {
            description: 'error',
            schema: {
              properties: {
                code: {
                  format: 'int64',
                  type: 'integer',
                },
                message: {
                  type: 'string',
                  'x-nullable': false,
                },
              },
              required: [
                'message',
              ],
              type: 'object',
            },
          },
        },
        tags: [
          'function',
        ],
        verb: 'put',
      },
      {
        description: 'This is an internal-only endpoint.',
        operationId: 'createPluginRun',
        parameters: {
          body: {
            plugin_run: {
              in: 'body',
              name: 'plugin_run',
              schema: {
                properties: {
                  package: {
                    type: 'string',
                  },
                  reporting_event: {
                    type: 'string',
                  },
                  state: {
                    type: 'string',
                  },
                  summary: {
                    type: 'string',
                  },
                  text: {
                    type: 'string',
                  },
                  title: {
                    type: 'string',
                  },
                  version: {
                    type: 'string',
                  },
                },
                type: 'object',
              },
            },
          },
          path: {
            deploy_id: {
              in: 'path',
              name: 'deploy_id',
              required: true,
              type: 'string',
            },
          },
          query: {},
        },
        path: '/deploys/{deploy_id}/plugin_runs',
        responses: {
          201: {
            description: 'CREATED',
            schema: {
              allOf: [
                {
                  properties: {
                    package: {
                      type: 'string',
                    },
                    reporting_event: {
                      type: 'string',
                    },
                    state: {
                      type: 'string',
                    },
                    summary: {
                      type: 'string',
                    },
                    text: {
                      type: 'string',
                    },
                    title: {
                      type: 'string',
                    },
                    version: {
                      type: 'string',
                    },
                  },
                  type: 'object',
                },
                {
                  properties: {
                    deploy_id: {
                      type: 'string',
                    },
                  },
                  type: 'object',
                },
              ],
            },
          },
          default: {
            description: 'error',
            schema: {
              properties: {
                code: {
                  format: 'int64',
                  type: 'integer',
                },
                message: {
                  type: 'string',
                  'x-nullable': false,
                },
              },
              required: [
                'message',
              ],
              type: 'object',
            },
          },
        },
        tags: [
          'x-internal',
        ],
        verb: 'post',
      },
      {
        operationId: 'listFormSubmissions',
        parameters: {
          body: {},
          path: {
            form_id: {
              in: 'path',
              name: 'form_id',
              required: true,
              type: 'string',
            },
          },
          query: {
            page: {
              format: 'int32',
              in: 'query',
              name: 'page',
              required: false,
              type: 'integer',
            },
            per_page: {
              format: 'int32',
              in: 'query',
              name: 'per_page',
              required: false,
              type: 'integer',
            },
          },
        },
        path: '/forms/{form_id}/submissions',
        responses: {
          200: {
            description: 'OK',
            schema: {
              items: {
                properties: {
                  body: {
                    type: 'string',
                  },
                  company: {
                    type: 'string',
                  },
                  created_at: {
                    format: 'dateTime',
                    type: 'string',
                  },
                  data: {
                    type: 'object',
                  },
                  email: {
                    type: 'string',
                  },
                  first_name: {
                    type: 'string',
                  },
                  id: {
                    type: 'string',
                  },
                  last_name: {
                    type: 'string',
                  },
                  name: {
                    type: 'string',
                  },
                  number: {
                    format: 'int32',
                    type: 'integer',
                  },
                  site_url: {
                    type: 'string',
                  },
                  summary: {
                    type: 'string',
                  },
                },
                type: 'object',
              },
              type: 'array',
            },
          },
          default: {
            description: 'error',
            schema: {
              properties: {
                code: {
                  format: 'int64',
                  type: 'integer',
                },
                message: {
                  type: 'string',
                  'x-nullable': false,
                },
              },
              required: [
                'message',
              ],
              type: 'object',
            },
          },
        },
        tags: [
          'submission',
        ],
        verb: 'get',
      },
      {
        operationId: 'listHooksBySiteId',
        parameters: {
          body: {},
          path: {},
          query: {
            site_id: {
              in: 'query',
              name: 'site_id',
              required: true,
              type: 'string',
            },
          },
        },
        path: '/hooks',
        responses: {
          200: {
            description: 'OK',
            schema: {
              items: {
                properties: {
                  created_at: {
                    format: 'dateTime',
                    type: 'string',
                  },
                  data: {
                    type: 'object',
                  },
                  disabled: {
                    type: 'boolean',
                  },
                  event: {
                    type: 'string',
                  },
                  id: {
                    type: 'string',
                  },
                  site_id: {
                    type: 'string',
                  },
                  type: {
                    type: 'string',
                  },
                  updated_at: {
                    format: 'dateTime',
                    type: 'string',
                  },
                },
                type: 'object',
              },
              type: 'array',
            },
          },
          default: {
            description: 'error',
            schema: {
              properties: {
                code: {
                  format: 'int64',
                  type: 'integer',
                },
                message: {
                  type: 'string',
                  'x-nullable': false,
                },
              },
              required: [
                'message',
              ],
              type: 'object',
            },
          },
        },
        tags: [
          'hook',
        ],
        verb: 'get',
      },
      {
        consumes: [
          'application/json',
        ],
        operationId: 'createHookBySiteId',
        parameters: {
          body: {
            hook: {
              in: 'body',
              name: 'hook',
              required: true,
              schema: {
                properties: {
                  created_at: {
                    format: 'dateTime',
                    type: 'string',
                  },
                  data: {
                    type: 'object',
                  },
                  disabled: {
                    type: 'boolean',
                  },
                  event: {
                    type: 'string',
                  },
                  id: {
                    type: 'string',
                  },
                  site_id: {
                    type: 'string',
                  },
                  type: {
                    type: 'string',
                  },
                  updated_at: {
                    format: 'dateTime',
                    type: 'string',
                  },
                },
                type: 'object',
              },
            },
          },
          path: {},
          query: {
            site_id: {
              in: 'query',
              name: 'site_id',
              required: true,
              type: 'string',
            },
          },
        },
        path: '/hooks',
        responses: {
          201: {
            description: 'OK',
            schema: {
              properties: {
                created_at: {
                  format: 'dateTime',
                  type: 'string',
                },
                data: {
                  type: 'object',
                },
                disabled: {
                  type: 'boolean',
                },
                event: {
                  type: 'string',
                },
                id: {
                  type: 'string',
                },
                site_id: {
                  type: 'string',
                },
                type: {
                  type: 'string',
                },
                updated_at: {
                  format: 'dateTime',
                  type: 'string',
                },
              },
              type: 'object',
            },
          },
          default: {
            description: 'error',
            schema: {
              properties: {
                code: {
                  format: 'int64',
                  type: 'integer',
                },
                message: {
                  type: 'string',
                  'x-nullable': false,
                },
              },
              required: [
                'message',
              ],
              type: 'object',
            },
          },
        },
        tags: [
          'hook',
        ],
        verb: 'post',
      },
      {
        operationId: 'getHook',
        parameters: {
          body: {},
          path: {
            hook_id: {
              in: 'path',
              name: 'hook_id',
              required: true,
              type: 'string',
            },
          },
          query: {},
        },
        path: '/hooks/{hook_id}',
        responses: {
          200: {
            description: 'OK',
            schema: {
              properties: {
                created_at: {
                  format: 'dateTime',
                  type: 'string',
                },
                data: {
                  type: 'object',
                },
                disabled: {
                  type: 'boolean',
                },
                event: {
                  type: 'string',
                },
                id: {
                  type: 'string',
                },
                site_id: {
                  type: 'string',
                },
                type: {
                  type: 'string',
                },
                updated_at: {
                  format: 'dateTime',
                  type: 'string',
                },
              },
              type: 'object',
            },
          },
          default: {
            description: 'error',
            schema: {
              properties: {
                code: {
                  format: 'int64',
                  type: 'integer',
                },
                message: {
                  type: 'string',
                  'x-nullable': false,
                },
              },
              required: [
                'message',
              ],
              type: 'object',
            },
          },
        },
        tags: [
          'hook',
        ],
        verb: 'get',
      },
      {
        operationId: 'updateHook',
        parameters: {
          body: {
            hook: {
              in: 'body',
              name: 'hook',
              required: true,
              schema: {
                properties: {
                  created_at: {
                    format: 'dateTime',
                    type: 'string',
                  },
                  data: {
                    type: 'object',
                  },
                  disabled: {
                    type: 'boolean',
                  },
                  event: {
                    type: 'string',
                  },
                  id: {
                    type: 'string',
                  },
                  site_id: {
                    type: 'string',
                  },
                  type: {
                    type: 'string',
                  },
                  updated_at: {
                    format: 'dateTime',
                    type: 'string',
                  },
                },
                type: 'object',
              },
            },
          },
          path: {
            hook_id: {
              in: 'path',
              name: 'hook_id',
              required: true,
              type: 'string',
            },
          },
          query: {},
        },
        path: '/hooks/{hook_id}',
        responses: {
          200: {
            description: 'OK',
            schema: {
              properties: {
                created_at: {
                  format: 'dateTime',
                  type: 'string',
                },
                data: {
                  type: 'object',
                },
                disabled: {
                  type: 'boolean',
                },
                event: {
                  type: 'string',
                },
                id: {
                  type: 'string',
                },
                site_id: {
                  type: 'string',
                },
                type: {
                  type: 'string',
                },
                updated_at: {
                  format: 'dateTime',
                  type: 'string',
                },
              },
              type: 'object',
            },
          },
          default: {
            description: 'error',
            schema: {
              properties: {
                code: {
                  format: 'int64',
                  type: 'integer',
                },
                message: {
                  type: 'string',
                  'x-nullable': false,
                },
              },
              required: [
                'message',
              ],
              type: 'object',
            },
          },
        },
        tags: [
          'hook',
        ],
        verb: 'put',
      },
      {
        operationId: 'deleteHook',
        parameters: {
          body: {},
          path: {
            hook_id: {
              in: 'path',
              name: 'hook_id',
              required: true,
              type: 'string',
            },
          },
          query: {},
        },
        path: '/hooks/{hook_id}',
        responses: {
          204: {
            description: 'No content',
          },
        },
        tags: [
          'hook',
        ],
        verb: 'delete',
      },
      {
        operationId: 'enableHook',
        parameters: {
          body: {},
          path: {
            hook_id: {
              in: 'path',
              name: 'hook_id',
              required: true,
              type: 'string',
            },
          },
          query: {},
        },
        path: '/hooks/{hook_id}/enable',
        responses: {
          200: {
            description: 'OK',
            schema: {
              properties: {
                created_at: {
                  format: 'dateTime',
                  type: 'string',
                },
                data: {
                  type: 'object',
                },
                disabled: {
                  type: 'boolean',
                },
                event: {
                  type: 'string',
                },
                id: {
                  type: 'string',
                },
                site_id: {
                  type: 'string',
                },
                type: {
                  type: 'string',
                },
                updated_at: {
                  format: 'dateTime',
                  type: 'string',
                },
              },
              type: 'object',
            },
          },
          default: {
            description: 'error',
            schema: {
              properties: {
                code: {
                  format: 'int64',
                  type: 'integer',
                },
                message: {
                  type: 'string',
                  'x-nullable': false,
                },
              },
              required: [
                'message',
              ],
              type: 'object',
            },
          },
        },
        tags: [
          'hook',
        ],
        verb: 'post',
      },
      {
        operationId: 'listHookTypes',
        parameters: {
          body: {},
          path: {},
          query: {},
        },
        path: '/hooks/types',
        responses: {
          200: {
            description: 'OK',
            schema: {
              items: {
                properties: {
                  events: {
                    items: {
                      type: 'string',
                    },
                    type: 'array',
                  },
                  fields: {
                    items: {
                      type: 'object',
                    },
                    type: 'array',
                  },
                  name: {
                    type: 'string',
                  },
                },
                type: 'object',
              },
              type: 'array',
            },
          },
          default: {
            description: 'error',
            schema: {
              properties: {
                code: {
                  format: 'int64',
                  type: 'integer',
                },
                message: {
                  type: 'string',
                  'x-nullable': false,
                },
              },
              required: [
                'message',
              ],
              type: 'object',
            },
          },
        },
        tags: [
          'hookType',
        ],
        verb: 'get',
      },
      {
        operationId: 'createTicket',
        parameters: {
          body: {},
          path: {},
          query: {
            client_id: {
              in: 'query',
              name: 'client_id',
              required: true,
              type: 'string',
            },
          },
        },
        path: '/oauth/tickets',
        responses: {
          201: {
            description: 'ok',
            schema: {
              properties: {
                authorized: {
                  type: 'boolean',
                },
                client_id: {
                  type: 'string',
                },
                created_at: {
                  format: 'dateTime',
                  type: 'string',
                },
                id: {
                  type: 'string',
                },
              },
              type: 'object',
            },
          },
          default: {
            description: 'error',
            schema: {
              properties: {
                code: {
                  format: 'int64',
                  type: 'integer',
                },
                message: {
                  type: 'string',
                  'x-nullable': false,
                },
              },
              required: [
                'message',
              ],
              type: 'object',
            },
          },
        },
        tags: [
          'ticket',
        ],
        verb: 'post',
      },
      {
        operationId: 'showTicket',
        parameters: {
          body: {},
          path: {
            ticket_id: {
              in: 'path',
              name: 'ticket_id',
              required: true,
              type: 'string',
            },
          },
          query: {},
        },
        path: '/oauth/tickets/{ticket_id}',
        responses: {
          200: {
            description: 'ok',
            schema: {
              properties: {
                authorized: {
                  type: 'boolean',
                },
                client_id: {
                  type: 'string',
                },
                created_at: {
                  format: 'dateTime',
                  type: 'string',
                },
                id: {
                  type: 'string',
                },
              },
              type: 'object',
            },
          },
          default: {
            description: 'error',
            schema: {
              properties: {
                code: {
                  format: 'int64',
                  type: 'integer',
                },
                message: {
                  type: 'string',
                  'x-nullable': false,
                },
              },
              required: [
                'message',
              ],
              type: 'object',
            },
          },
        },
        tags: [
          'ticket',
        ],
        verb: 'get',
      },
      {
        operationId: 'exchangeTicket',
        parameters: {
          body: {},
          path: {
            ticket_id: {
              in: 'path',
              name: 'ticket_id',
              required: true,
              type: 'string',
            },
          },
          query: {},
        },
        path: '/oauth/tickets/{ticket_id}/exchange',
        responses: {
          201: {
            description: 'ok',
            schema: {
              properties: {
                access_token: {
                  type: 'string',
                },
                created_at: {
                  format: 'dateTime',
                  type: 'string',
                },
                id: {
                  type: 'string',
                },
                user_email: {
                  type: 'string',
                },
                user_id: {
                  type: 'string',
                },
              },
              type: 'object',
            },
          },
          default: {
            description: 'error',
            schema: {
              properties: {
                code: {
                  format: 'int64',
                  type: 'integer',
                },
                message: {
                  type: 'string',
                  'x-nullable': false,
                },
              },
              required: [
                'message',
              ],
              type: 'object',
            },
          },
        },
        tags: [
          'accessToken',
        ],
        verb: 'post',
      },
      {
        operationId: 'listDeployKeys',
        parameters: {
          body: {},
          path: {},
          query: {},
        },
        path: '/deploy_keys',
        responses: {
          200: {
            description: 'OK',
            schema: {
              items: {
                properties: {
                  created_at: {
                    format: 'dateTime',
                    type: 'string',
                  },
                  id: {
                    type: 'string',
                  },
                  public_key: {
                    type: 'string',
                  },
                },
                type: 'object',
              },
              type: 'array',
            },
          },
          default: {
            description: 'error',
            schema: {
              properties: {
                code: {
                  format: 'int64',
                  type: 'integer',
                },
                message: {
                  type: 'string',
                  'x-nullable': false,
                },
              },
              required: [
                'message',
              ],
              type: 'object',
            },
          },
        },
        tags: [
          'deployKey',
        ],
        verb: 'get',
      },
      {
        consumes: [
          'application/json',
        ],
        operationId: 'createDeployKey',
        parameters: {
          body: {},
          path: {},
          query: {},
        },
        path: '/deploy_keys',
        responses: {
          201: {
            description: 'Created',
            schema: {
              properties: {
                created_at: {
                  format: 'dateTime',
                  type: 'string',
                },
                id: {
                  type: 'string',
                },
                public_key: {
                  type: 'string',
                },
              },
              type: 'object',
            },
          },
          default: {
            description: 'error',
            schema: {
              properties: {
                code: {
                  format: 'int64',
                  type: 'integer',
                },
                message: {
                  type: 'string',
                  'x-nullable': false,
                },
              },
              required: [
                'message',
              ],
              type: 'object',
            },
          },
        },
        tags: [
          'deployKey',
        ],
        verb: 'post',
      },
      {
        operationId: 'getDeployKey',
        parameters: {
          body: {},
          path: {
            key_id: {
              in: 'path',
              name: 'key_id',
              required: true,
              type: 'string',
            },
          },
          query: {},
        },
        path: '/deploy_keys/{key_id}',
        responses: {
          200: {
            description: 'OK',
            schema: {
              properties: {
                created_at: {
                  format: 'dateTime',
                  type: 'string',
                },
                id: {
                  type: 'string',
                },
                public_key: {
                  type: 'string',
                },
              },
              type: 'object',
            },
          },
          default: {
            description: 'error',
            schema: {
              properties: {
                code: {
                  format: 'int64',
                  type: 'integer',
                },
                message: {
                  type: 'string',
                  'x-nullable': false,
                },
              },
              required: [
                'message',
              ],
              type: 'object',
            },
          },
        },
        tags: [
          'deployKey',
        ],
        verb: 'get',
      },
      {
        operationId: 'deleteDeployKey',
        parameters: {
          body: {},
          path: {
            key_id: {
              in: 'path',
              name: 'key_id',
              required: true,
              type: 'string',
            },
          },
          query: {},
        },
        path: '/deploy_keys/{key_id}',
        responses: {
          204: {
            description: 'Not Content',
          },
          default: {
            description: 'error',
            schema: {
              properties: {
                code: {
                  format: 'int64',
                  type: 'integer',
                },
                message: {
                  type: 'string',
                  'x-nullable': false,
                },
              },
              required: [
                'message',
              ],
              type: 'object',
            },
          },
        },
        tags: [
          'deployKey',
        ],
        verb: 'delete',
      },
      {
        consumes: [
          'application/json',
        ],
        operationId: 'createSiteInTeam',
        parameters: {
          body: {
            site: {
              in: 'body',
              name: 'site',
              schema: {
                allOf: [
                  {
                    properties: {
                      account_name: {
                        type: 'string',
                      },
                      account_slug: {
                        type: 'string',
                      },
                      admin_url: {
                        type: 'string',
                      },
                      build_image: {
                        type: 'string',
                      },
                      build_settings: {
                        properties: {
                          allowed_branches: {
                            items: {
                              type: 'string',
                            },
                            type: 'array',
                          },
                          cmd: {
                            type: 'string',
                          },
                          deploy_key_id: {
                            type: 'string',
                          },
                          dir: {
                            type: 'string',
                          },
                          env: {
                            additionalProperties: {
                              type: 'string',
                            },
                            type: 'object',
                          },
                          id: {
                            type: 'integer',
                          },
                          installation_id: {
                            type: 'integer',
                          },
                          private_logs: {
                            type: 'boolean',
                          },
                          provider: {
                            type: 'string',
                          },
                          public_repo: {
                            type: 'boolean',
                          },
                          repo_branch: {
                            type: 'string',
                          },
                          repo_path: {
                            type: 'string',
                          },
                          repo_url: {
                            type: 'string',
                          },
                          stop_builds: {
                            type: 'boolean',
                          },
                        },
                        type: 'object',
                      },
                      capabilities: {
                        additionalProperties: {
                          type: 'object',
                        },
                        type: 'object',
                      },
                      created_at: {
                        format: 'dateTime',
                        type: 'string',
                      },
                      custom_domain: {
                        type: 'string',
                      },
                      default_hooks_data: {
                        properties: {
                          access_token: {
                            type: 'string',
                          },
                        },
                        type: 'object',
                      },
                      deploy_hook: {
                        type: 'string',
                      },
                      deploy_url: {
                        type: 'string',
                      },
                      domain_aliases: {
                        items: {
                          type: 'string',
                        },
                        type: 'array',
                      },
                      force_ssl: {
                        type: 'boolean',
                      },
                      git_provider: {
                        type: 'string',
                      },
                      id: {
                        type: 'string',
                      },
                      id_domain: {
                        type: 'string',
                      },
                      managed_dns: {
                        type: 'boolean',
                      },
                      name: {
                        type: 'string',
                      },
                      notification_email: {
                        type: 'string',
                      },
                      password: {
                        type: 'string',
                      },
                      plan: {
                        type: 'string',
                      },
                      prerender: {
                        type: 'string',
                      },
                      processing_settings: {
                        properties: {
                          css: {
                            properties: {
                              bundle: {
                                type: 'boolean',
                              },
                              minify: {
                                type: 'boolean',
                              },
                            },
                            type: 'object',
                          },
                          html: {
                            properties: {
                              pretty_urls: {
                                type: 'boolean',
                              },
                            },
                            type: 'object',
                          },
                          images: {
                            properties: {
                              optimize: {
                                type: 'boolean',
                              },
                            },
                            type: 'object',
                          },
                          js: {
                            properties: {
                              bundle: {
                                type: 'boolean',
                              },
                              minify: {
                                type: 'boolean',
                              },
                            },
                            type: 'object',
                          },
                          skip: {
                            type: 'boolean',
                          },
                        },
                        type: 'object',
                      },
                      published_deploy: {
                        properties: {
                          admin_url: {
                            type: 'string',
                          },
                          branch: {
                            type: 'string',
                          },
                          build_id: {
                            type: 'string',
                          },
                          commit_ref: {
                            type: 'string',
                          },
                          commit_url: {
                            type: 'string',
                          },
                          context: {
                            type: 'string',
                          },
                          created_at: {
                            format: 'dateTime',
                            type: 'string',
                          },
                          deploy_ssl_url: {
                            type: 'string',
                          },
                          deploy_url: {
                            type: 'string',
                          },
                          draft: {
                            type: 'boolean',
                          },
                          error_message: {
                            type: 'string',
                          },
                          id: {
                            type: 'string',
                          },
                          locked: {
                            type: 'boolean',
                          },
                          name: {
                            type: 'string',
                          },
                          published_at: {
                            format: 'dateTime',
                            type: 'string',
                          },
                          required: {
                            items: {
                              type: 'string',
                            },
                            type: 'array',
                          },
                          required_functions: {
                            items: {
                              type: 'string',
                            },
                            type: 'array',
                          },
                          review_id: {
                            type: 'number',
                          },
                          review_url: {
                            type: 'string',
                          },
                          screenshot_url: {
                            type: 'string',
                          },
                          site_capabilities: {
                            properties: {
                              large_media_enabled: {
                                type: 'boolean',
                              },
                            },
                            type: 'object',
                          },
                          site_id: {
                            type: 'string',
                          },
                          skipped: {
                            type: 'boolean',
                          },
                          ssl_url: {
                            type: 'string',
                          },
                          state: {
                            type: 'string',
                          },
                          title: {
                            type: 'string',
                          },
                          updated_at: {
                            format: 'dateTime',
                            type: 'string',
                          },
                          url: {
                            type: 'string',
                          },
                          user_id: {
                            type: 'string',
                          },
                        },
                        type: 'object',
                      },
                      screenshot_url: {
                        type: 'string',
                      },
                      session_id: {
                        type: 'string',
                      },
                      ssl: {
                        type: 'boolean',
                      },
                      ssl_url: {
                        type: 'string',
                      },
                      state: {
                        type: 'string',
                      },
                      updated_at: {
                        format: 'dateTime',
                        type: 'string',
                      },
                      url: {
                        type: 'string',
                      },
                      user_id: {
                        type: 'string',
                      },
                    },
                    type: 'object',
                  },
                  {
                    properties: {
                      repo: {
                        properties: {
                          allowed_branches: {
                            items: {
                              type: 'string',
                            },
                            type: 'array',
                          },
                          cmd: {
                            type: 'string',
                          },
                          deploy_key_id: {
                            type: 'string',
                          },
                          dir: {
                            type: 'string',
                          },
                          env: {
                            additionalProperties: {
                              type: 'string',
                            },
                            type: 'object',
                          },
                          id: {
                            type: 'integer',
                          },
                          installation_id: {
                            type: 'integer',
                          },
                          private_logs: {
                            type: 'boolean',
                          },
                          provider: {
                            type: 'string',
                          },
                          public_repo: {
                            type: 'boolean',
                          },
                          repo_branch: {
                            type: 'string',
                          },
                          repo_path: {
                            type: 'string',
                          },
                          repo_url: {
                            type: 'string',
                          },
                          stop_builds: {
                            type: 'boolean',
                          },
                        },
                        type: 'object',
                      },
                    },
                  },
                ],
              },
            },
          },
          path: {
            account_slug: {
              in: 'path',
              name: 'account_slug',
              required: true,
              type: 'string',
            },
          },
          query: {
            configure_dns: {
              in: 'query',
              name: 'configure_dns',
              type: 'boolean',
            },
          },
        },
        path: '/{account_slug}/sites',
        responses: {
          201: {
            description: 'Created',
            schema: {
              properties: {
                account_name: {
                  type: 'string',
                },
                account_slug: {
                  type: 'string',
                },
                admin_url: {
                  type: 'string',
                },
                build_image: {
                  type: 'string',
                },
                build_settings: {
                  properties: {
                    allowed_branches: {
                      items: {
                        type: 'string',
                      },
                      type: 'array',
                    },
                    cmd: {
                      type: 'string',
                    },
                    deploy_key_id: {
                      type: 'string',
                    },
                    dir: {
                      type: 'string',
                    },
                    env: {
                      additionalProperties: {
                        type: 'string',
                      },
                      type: 'object',
                    },
                    id: {
                      type: 'integer',
                    },
                    installation_id: {
                      type: 'integer',
                    },
                    private_logs: {
                      type: 'boolean',
                    },
                    provider: {
                      type: 'string',
                    },
                    public_repo: {
                      type: 'boolean',
                    },
                    repo_branch: {
                      type: 'string',
                    },
                    repo_path: {
                      type: 'string',
                    },
                    repo_url: {
                      type: 'string',
                    },
                    stop_builds: {
                      type: 'boolean',
                    },
                  },
                  type: 'object',
                },
                capabilities: {
                  additionalProperties: {
                    type: 'object',
                  },
                  type: 'object',
                },
                created_at: {
                  format: 'dateTime',
                  type: 'string',
                },
                custom_domain: {
                  type: 'string',
                },
                default_hooks_data: {
                  properties: {
                    access_token: {
                      type: 'string',
                    },
                  },
                  type: 'object',
                },
                deploy_hook: {
                  type: 'string',
                },
                deploy_url: {
                  type: 'string',
                },
                domain_aliases: {
                  items: {
                    type: 'string',
                  },
                  type: 'array',
                },
                force_ssl: {
                  type: 'boolean',
                },
                git_provider: {
                  type: 'string',
                },
                id: {
                  type: 'string',
                },
                id_domain: {
                  type: 'string',
                },
                managed_dns: {
                  type: 'boolean',
                },
                name: {
                  type: 'string',
                },
                notification_email: {
                  type: 'string',
                },
                password: {
                  type: 'string',
                },
                plan: {
                  type: 'string',
                },
                prerender: {
                  type: 'string',
                },
                processing_settings: {
                  properties: {
                    css: {
                      properties: {
                        bundle: {
                          type: 'boolean',
                        },
                        minify: {
                          type: 'boolean',
                        },
                      },
                      type: 'object',
                    },
                    html: {
                      properties: {
                        pretty_urls: {
                          type: 'boolean',
                        },
                      },
                      type: 'object',
                    },
                    images: {
                      properties: {
                        optimize: {
                          type: 'boolean',
                        },
                      },
                      type: 'object',
                    },
                    js: {
                      properties: {
                        bundle: {
                          type: 'boolean',
                        },
                        minify: {
                          type: 'boolean',
                        },
                      },
                      type: 'object',
                    },
                    skip: {
                      type: 'boolean',
                    },
                  },
                  type: 'object',
                },
                published_deploy: {
                  properties: {
                    admin_url: {
                      type: 'string',
                    },
                    branch: {
                      type: 'string',
                    },
                    build_id: {
                      type: 'string',
                    },
                    commit_ref: {
                      type: 'string',
                    },
                    commit_url: {
                      type: 'string',
                    },
                    context: {
                      type: 'string',
                    },
                    created_at: {
                      format: 'dateTime',
                      type: 'string',
                    },
                    deploy_ssl_url: {
                      type: 'string',
                    },
                    deploy_url: {
                      type: 'string',
                    },
                    draft: {
                      type: 'boolean',
                    },
                    error_message: {
                      type: 'string',
                    },
                    id: {
                      type: 'string',
                    },
                    locked: {
                      type: 'boolean',
                    },
                    name: {
                      type: 'string',
                    },
                    published_at: {
                      format: 'dateTime',
                      type: 'string',
                    },
                    required: {
                      items: {
                        type: 'string',
                      },
                      type: 'array',
                    },
                    required_functions: {
                      items: {
                        type: 'string',
                      },
                      type: 'array',
                    },
                    review_id: {
                      type: 'number',
                    },
                    review_url: {
                      type: 'string',
                    },
                    screenshot_url: {
                      type: 'string',
                    },
                    site_capabilities: {
                      properties: {
                        large_media_enabled: {
                          type: 'boolean',
                        },
                      },
                      type: 'object',
                    },
                    site_id: {
                      type: 'string',
                    },
                    skipped: {
                      type: 'boolean',
                    },
                    ssl_url: {
                      type: 'string',
                    },
                    state: {
                      type: 'string',
                    },
                    title: {
                      type: 'string',
                    },
                    updated_at: {
                      format: 'dateTime',
                      type: 'string',
                    },
                    url: {
                      type: 'string',
                    },
                    user_id: {
                      type: 'string',
                    },
                  },
                  type: 'object',
                },
                screenshot_url: {
                  type: 'string',
                },
                session_id: {
                  type: 'string',
                },
                ssl: {
                  type: 'boolean',
                },
                ssl_url: {
                  type: 'string',
                },
                state: {
                  type: 'string',
                },
                updated_at: {
                  format: 'dateTime',
                  type: 'string',
                },
                url: {
                  type: 'string',
                },
                user_id: {
                  type: 'string',
                },
              },
              type: 'object',
            },
          },
          default: {
            description: 'error',
            schema: {
              properties: {
                code: {
                  format: 'int64',
                  type: 'integer',
                },
                message: {
                  type: 'string',
                  'x-nullable': false,
                },
              },
              required: [
                'message',
              ],
              type: 'object',
            },
          },
        },
        tags: [
          'site',
        ],
        verb: 'post',
      },
      {
        operationId: 'listSitesForAccount',
        parameters: {
          body: {},
          path: {
            account_slug: {
              in: 'path',
              name: 'account_slug',
              required: true,
              type: 'string',
            },
          },
          query: {
            name: {
              in: 'query',
              name: 'name',
              type: 'string',
            },
            page: {
              format: 'int32',
              in: 'query',
              name: 'page',
              required: false,
              type: 'integer',
            },
            per_page: {
              format: 'int32',
              in: 'query',
              name: 'per_page',
              required: false,
              type: 'integer',
            },
          },
        },
        path: '/{account_slug}/sites',
        responses: {
          200: {
            description: 'OK',
            schema: {
              items: {
                properties: {
                  account_name: {
                    type: 'string',
                  },
                  account_slug: {
                    type: 'string',
                  },
                  admin_url: {
                    type: 'string',
                  },
                  build_image: {
                    type: 'string',
                  },
                  build_settings: {
                    properties: {
                      allowed_branches: {
                        items: {
                          type: 'string',
                        },
                        type: 'array',
                      },
                      cmd: {
                        type: 'string',
                      },
                      deploy_key_id: {
                        type: 'string',
                      },
                      dir: {
                        type: 'string',
                      },
                      env: {
                        additionalProperties: {
                          type: 'string',
                        },
                        type: 'object',
                      },
                      id: {
                        type: 'integer',
                      },
                      installation_id: {
                        type: 'integer',
                      },
                      private_logs: {
                        type: 'boolean',
                      },
                      provider: {
                        type: 'string',
                      },
                      public_repo: {
                        type: 'boolean',
                      },
                      repo_branch: {
                        type: 'string',
                      },
                      repo_path: {
                        type: 'string',
                      },
                      repo_url: {
                        type: 'string',
                      },
                      stop_builds: {
                        type: 'boolean',
                      },
                    },
                    type: 'object',
                  },
                  capabilities: {
                    additionalProperties: {
                      type: 'object',
                    },
                    type: 'object',
                  },
                  created_at: {
                    format: 'dateTime',
                    type: 'string',
                  },
                  custom_domain: {
                    type: 'string',
                  },
                  default_hooks_data: {
                    properties: {
                      access_token: {
                        type: 'string',
                      },
                    },
                    type: 'object',
                  },
                  deploy_hook: {
                    type: 'string',
                  },
                  deploy_url: {
                    type: 'string',
                  },
                  domain_aliases: {
                    items: {
                      type: 'string',
                    },
                    type: 'array',
                  },
                  force_ssl: {
                    type: 'boolean',
                  },
                  git_provider: {
                    type: 'string',
                  },
                  id: {
                    type: 'string',
                  },
                  id_domain: {
                    type: 'string',
                  },
                  managed_dns: {
                    type: 'boolean',
                  },
                  name: {
                    type: 'string',
                  },
                  notification_email: {
                    type: 'string',
                  },
                  password: {
                    type: 'string',
                  },
                  plan: {
                    type: 'string',
                  },
                  prerender: {
                    type: 'string',
                  },
                  processing_settings: {
                    properties: {
                      css: {
                        properties: {
                          bundle: {
                            type: 'boolean',
                          },
                          minify: {
                            type: 'boolean',
                          },
                        },
                        type: 'object',
                      },
                      html: {
                        properties: {
                          pretty_urls: {
                            type: 'boolean',
                          },
                        },
                        type: 'object',
                      },
                      images: {
                        properties: {
                          optimize: {
                            type: 'boolean',
                          },
                        },
                        type: 'object',
                      },
                      js: {
                        properties: {
                          bundle: {
                            type: 'boolean',
                          },
                          minify: {
                            type: 'boolean',
                          },
                        },
                        type: 'object',
                      },
                      skip: {
                        type: 'boolean',
                      },
                    },
                    type: 'object',
                  },
                  published_deploy: {
                    properties: {
                      admin_url: {
                        type: 'string',
                      },
                      branch: {
                        type: 'string',
                      },
                      build_id: {
                        type: 'string',
                      },
                      commit_ref: {
                        type: 'string',
                      },
                      commit_url: {
                        type: 'string',
                      },
                      context: {
                        type: 'string',
                      },
                      created_at: {
                        format: 'dateTime',
                        type: 'string',
                      },
                      deploy_ssl_url: {
                        type: 'string',
                      },
                      deploy_url: {
                        type: 'string',
                      },
                      draft: {
                        type: 'boolean',
                      },
                      error_message: {
                        type: 'string',
                      },
                      id: {
                        type: 'string',
                      },
                      locked: {
                        type: 'boolean',
                      },
                      name: {
                        type: 'string',
                      },
                      published_at: {
                        format: 'dateTime',
                        type: 'string',
                      },
                      required: {
                        items: {
                          type: 'string',
                        },
                        type: 'array',
                      },
                      required_functions: {
                        items: {
                          type: 'string',
                        },
                        type: 'array',
                      },
                      review_id: {
                        type: 'number',
                      },
                      review_url: {
                        type: 'string',
                      },
                      screenshot_url: {
                        type: 'string',
                      },
                      site_capabilities: {
                        properties: {
                          large_media_enabled: {
                            type: 'boolean',
                          },
                        },
                        type: 'object',
                      },
                      site_id: {
                        type: 'string',
                      },
                      skipped: {
                        type: 'boolean',
                      },
                      ssl_url: {
                        type: 'string',
                      },
                      state: {
                        type: 'string',
                      },
                      title: {
                        type: 'string',
                      },
                      updated_at: {
                        format: 'dateTime',
                        type: 'string',
                      },
                      url: {
                        type: 'string',
                      },
                      user_id: {
                        type: 'string',
                      },
                    },
                    type: 'object',
                  },
                  screenshot_url: {
                    type: 'string',
                  },
                  session_id: {
                    type: 'string',
                  },
                  ssl: {
                    type: 'boolean',
                  },
                  ssl_url: {
                    type: 'string',
                  },
                  state: {
                    type: 'string',
                  },
                  updated_at: {
                    format: 'dateTime',
                    type: 'string',
                  },
                  url: {
                    type: 'string',
                  },
                  user_id: {
                    type: 'string',
                  },
                },
                type: 'object',
              },
              type: 'array',
            },
          },
          default: {
            description: 'error',
            schema: {
              properties: {
                code: {
                  format: 'int64',
                  type: 'integer',
                },
                message: {
                  type: 'string',
                  'x-nullable': false,
                },
              },
              required: [
                'message',
              ],
              type: 'object',
            },
          },
        },
        tags: [
          'site',
        ],
        verb: 'get',
      },
      {
        operationId: 'listMembersForAccount',
        parameters: {
          body: {},
          path: {
            account_slug: {
              in: 'path',
              name: 'account_slug',
              required: true,
              type: 'string',
            },
          },
          query: {},
        },
        path: '/{account_slug}/members',
        responses: {
          200: {
            description: 'OK',
            schema: {
              items: {
                properties: {
                  avatar: {
                    type: 'string',
                  },
                  email: {
                    type: 'string',
                  },
                  full_name: {
                    type: 'string',
                  },
                  id: {
                    type: 'string',
                  },
                  role: {
                    type: 'string',
                  },
                },
                type: 'object',
              },
              type: 'array',
            },
          },
          default: {
            description: 'error',
            schema: {
              properties: {
                code: {
                  format: 'int64',
                  type: 'integer',
                },
                message: {
                  type: 'string',
                  'x-nullable': false,
                },
              },
              required: [
                'message',
              ],
              type: 'object',
            },
          },
        },
        tags: [
          'member',
        ],
        verb: 'get',
      },
      {
        operationId: 'addMemberToAccount',
        parameters: {
          body: {},
          path: {
            account_slug: {
              in: 'path',
              name: 'account_slug',
              required: true,
              type: 'string',
            },
          },
          query: {
            email: {
              in: 'query',
              name: 'email',
              required: true,
              type: 'string',
            },
            role: {
              enum: [
                'Owner',
                'Collaborator',
                'Controller',
              ],
              in: 'query',
              name: 'role',
              type: 'string',
            },
          },
        },
        path: '/{account_slug}/members',
        responses: {
          200: {
            description: 'OK',
            schema: {
              items: {
                properties: {
                  avatar: {
                    type: 'string',
                  },
                  email: {
                    type: 'string',
                  },
                  full_name: {
                    type: 'string',
                  },
                  id: {
                    type: 'string',
                  },
                  role: {
                    type: 'string',
                  },
                },
                type: 'object',
              },
              type: 'array',
            },
          },
          default: {
            description: 'error',
            schema: {
              properties: {
                code: {
                  format: 'int64',
                  type: 'integer',
                },
                message: {
                  type: 'string',
                  'x-nullable': false,
                },
              },
              required: [
                'message',
              ],
              type: 'object',
            },
          },
        },
        tags: [
          'member',
        ],
        verb: 'post',
      },
      {
        operationId: 'listPaymentMethodsForUser',
        parameters: {
          body: {},
          path: {},
          query: {},
        },
        path: '/billing/payment_methods',
        responses: {
          200: {
            description: 'OK',
            schema: {
              items: {
                properties: {
                  created_at: {
                    format: 'dateTime',
                    type: 'string',
                  },
                  data: {
                    properties: {
                      card_type: {
                        type: 'string',
                      },
                      email: {
                        type: 'string',
                      },
                      last4: {
                        type: 'string',
                      },
                    },
                    type: 'object',
                  },
                  id: {
                    type: 'string',
                  },
                  method_name: {
                    type: 'string',
                  },
                  state: {
                    type: 'string',
                  },
                  type: {
                    type: 'string',
                  },
                  updated_at: {
                    format: 'dateTime',
                    type: 'string',
                  },
                },
                type: 'object',
              },
              type: 'array',
            },
          },
          default: {
            description: 'error',
            schema: {
              properties: {
                code: {
                  format: 'int64',
                  type: 'integer',
                },
                message: {
                  type: 'string',
                  'x-nullable': false,
                },
              },
              required: [
                'message',
              ],
              type: 'object',
            },
          },
        },
        tags: [
          'paymentMethod',
        ],
        verb: 'get',
      },
      {
        operationId: 'listAccountTypesForUser',
        parameters: {
          body: {},
          path: {},
          query: {},
        },
        path: '/accounts/types',
        responses: {
          200: {
            description: 'OK',
            schema: {
              items: {
                properties: {
                  capabilities: {
                    type: 'object',
                  },
                  description: {
                    type: 'string',
                  },
                  id: {
                    type: 'string',
                  },
                  monthly_dollar_price: {
                    type: 'integer',
                  },
                  monthly_seats_addon_dollar_price: {
                    type: 'integer',
                  },
                  name: {
                    type: 'string',
                  },
                  yearly_dollar_price: {
                    type: 'integer',
                  },
                  yearly_seats_addon_dollar_price: {
                    type: 'integer',
                  },
                },
                type: 'object',
              },
              type: 'array',
            },
          },
          default: {
            description: 'error',
            schema: {
              properties: {
                code: {
                  format: 'int64',
                  type: 'integer',
                },
                message: {
                  type: 'string',
                  'x-nullable': false,
                },
              },
              required: [
                'message',
              ],
              type: 'object',
            },
          },
        },
        tags: [
          'accountType',
        ],
        verb: 'get',
      },
      {
        operationId: 'listAccountsForUser',
        parameters: {
          body: {},
          path: {},
          query: {},
        },
        path: '/accounts',
        responses: {
          200: {
            description: 'OK',
            schema: {
              items: {
                properties: {
                  billing_details: {
                    type: 'string',
                  },
                  billing_email: {
                    type: 'string',
                  },
                  billing_name: {
                    type: 'string',
                  },
                  billing_period: {
                    type: 'string',
                  },
                  capabilities: {
                    properties: {
                      collaborators: {
                        properties: {
                          included: {
                            type: 'integer',
                          },
                          used: {
                            type: 'integer',
                          },
                        },
                        type: 'object',
                      },
                      sites: {
                        properties: {
                          included: {
                            type: 'integer',
                          },
                          used: {
                            type: 'integer',
                          },
                        },
                        type: 'object',
                      },
                    },
                    type: 'object',
                  },
                  created_at: {
                    format: 'dateTime',
                    type: 'string',
                  },
                  id: {
                    type: 'string',
                  },
                  name: {
                    type: 'string',
                  },
                  owner_ids: {
                    items: {
                      type: 'string',
                    },
                    type: 'array',
                  },
                  payment_method_id: {
                    type: 'string',
                  },
                  roles_allowed: {
                    items: {
                      type: 'string',
                    },
                    type: 'array',
                  },
                  slug: {
                    type: 'string',
                  },
                  type: {
                    type: 'string',
                  },
                  type_id: {
                    type: 'string',
                  },
                  type_name: {
                    type: 'string',
                  },
                  updated_at: {
                    format: 'dateTime',
                    type: 'string',
                  },
                },
                type: 'object',
              },
              type: 'array',
            },
          },
          default: {
            description: 'error',
            schema: {
              properties: {
                code: {
                  format: 'int64',
                  type: 'integer',
                },
                message: {
                  type: 'string',
                  'x-nullable': false,
                },
              },
              required: [
                'message',
              ],
              type: 'object',
            },
          },
        },
        tags: [
          'accountMembership',
        ],
        verb: 'get',
      },
      {
        operationId: 'createAccount',
        parameters: {
          body: {
            accountSetup: {
              in: 'body',
              name: 'accountSetup',
              required: true,
              schema: {
                properties: {
                  extra_seats_block: {
                    type: 'integer',
                  },
                  name: {
                    type: 'string',
                  },
                  payment_method_id: {
                    type: 'string',
                  },
                  period: {
                    enum: [
                      'monthly',
                      'yearly',
                    ],
                    type: 'string',
                  },
                  type_id: {
                    type: 'string',
                  },
                },
                required: [
                  'name',
                  'type_id',
                ],
                type: 'object',
              },
            },
          },
          path: {},
          query: {},
        },
        path: '/accounts',
        responses: {
          201: {
            description: 'Created',
            schema: {
              properties: {
                billing_details: {
                  type: 'string',
                },
                billing_email: {
                  type: 'string',
                },
                billing_name: {
                  type: 'string',
                },
                billing_period: {
                  type: 'string',
                },
                capabilities: {
                  properties: {
                    collaborators: {
                      properties: {
                        included: {
                          type: 'integer',
                        },
                        used: {
                          type: 'integer',
                        },
                      },
                      type: 'object',
                    },
                    sites: {
                      properties: {
                        included: {
                          type: 'integer',
                        },
                        used: {
                          type: 'integer',
                        },
                      },
                      type: 'object',
                    },
                  },
                  type: 'object',
                },
                created_at: {
                  format: 'dateTime',
                  type: 'string',
                },
                id: {
                  type: 'string',
                },
                name: {
                  type: 'string',
                },
                owner_ids: {
                  items: {
                    type: 'string',
                  },
                  type: 'array',
                },
                payment_method_id: {
                  type: 'string',
                },
                roles_allowed: {
                  items: {
                    type: 'string',
                  },
                  type: 'array',
                },
                slug: {
                  type: 'string',
                },
                type: {
                  type: 'string',
                },
                type_id: {
                  type: 'string',
                },
                type_name: {
                  type: 'string',
                },
                updated_at: {
                  format: 'dateTime',
                  type: 'string',
                },
              },
              type: 'object',
            },
          },
          default: {
            description: 'error',
            schema: {
              properties: {
                code: {
                  format: 'int64',
                  type: 'integer',
                },
                message: {
                  type: 'string',
                  'x-nullable': false,
                },
              },
              required: [
                'message',
              ],
              type: 'object',
            },
          },
        },
        tags: [
          'accountMembership',
        ],
        verb: 'post',
      },
      {
        operationId: 'getAccount',
        parameters: {
          body: {},
          path: {
            account_id: {
              in: 'path',
              name: 'account_id',
              required: true,
              type: 'string',
            },
          },
          query: {},
        },
        path: '/accounts/{account_id}',
        responses: {
          200: {
            description: 'OK',
            schema: {
              items: {
                properties: {
                  billing_details: {
                    type: 'string',
                  },
                  billing_email: {
                    type: 'string',
                  },
                  billing_name: {
                    type: 'string',
                  },
                  billing_period: {
                    type: 'string',
                  },
                  capabilities: {
                    properties: {
                      collaborators: {
                        properties: {
                          included: {
                            type: 'integer',
                          },
                          used: {
                            type: 'integer',
                          },
                        },
                        type: 'object',
                      },
                      sites: {
                        properties: {
                          included: {
                            type: 'integer',
                          },
                          used: {
                            type: 'integer',
                          },
                        },
                        type: 'object',
                      },
                    },
                    type: 'object',
                  },
                  created_at: {
                    format: 'dateTime',
                    type: 'string',
                  },
                  id: {
                    type: 'string',
                  },
                  name: {
                    type: 'string',
                  },
                  owner_ids: {
                    items: {
                      type: 'string',
                    },
                    type: 'array',
                  },
                  payment_method_id: {
                    type: 'string',
                  },
                  roles_allowed: {
                    items: {
                      type: 'string',
                    },
                    type: 'array',
                  },
                  slug: {
                    type: 'string',
                  },
                  type: {
                    type: 'string',
                  },
                  type_id: {
                    type: 'string',
                  },
                  type_name: {
                    type: 'string',
                  },
                  updated_at: {
                    format: 'dateTime',
                    type: 'string',
                  },
                },
                type: 'object',
              },
              type: 'array',
            },
          },
          default: {
            description: 'error',
            schema: {
              properties: {
                code: {
                  format: 'int64',
                  type: 'integer',
                },
                message: {
                  type: 'string',
                  'x-nullable': false,
                },
              },
              required: [
                'message',
              ],
              type: 'object',
            },
          },
        },
        tags: [
          'accountMembership',
        ],
        verb: 'get',
      },
      {
        operationId: 'updateAccount',
        parameters: {
          body: {
            accountUpdateSetup: {
              in: 'body',
              name: 'accountUpdateSetup',
              schema: {
                properties: {
                  billing_details: {
                    type: 'string',
                  },
                  billing_email: {
                    type: 'string',
                  },
                  billing_name: {
                    type: 'string',
                  },
                  extra_seats_block: {
                    type: 'integer',
                  },
                  name: {
                    type: 'string',
                  },
                  slug: {
                    type: 'string',
                  },
                  type_id: {
                    type: 'string',
                  },
                },
                type: 'object',
              },
            },
          },
          path: {
            account_id: {
              in: 'path',
              name: 'account_id',
              required: true,
              type: 'string',
            },
          },
          query: {},
        },
        path: '/accounts/{account_id}',
        responses: {
          200: {
            description: 'OK',
            schema: {
              properties: {
                billing_details: {
                  type: 'string',
                },
                billing_email: {
                  type: 'string',
                },
                billing_name: {
                  type: 'string',
                },
                billing_period: {
                  type: 'string',
                },
                capabilities: {
                  properties: {
                    collaborators: {
                      properties: {
                        included: {
                          type: 'integer',
                        },
                        used: {
                          type: 'integer',
                        },
                      },
                      type: 'object',
                    },
                    sites: {
                      properties: {
                        included: {
                          type: 'integer',
                        },
                        used: {
                          type: 'integer',
                        },
                      },
                      type: 'object',
                    },
                  },
                  type: 'object',
                },
                created_at: {
                  format: 'dateTime',
                  type: 'string',
                },
                id: {
                  type: 'string',
                },
                name: {
                  type: 'string',
                },
                owner_ids: {
                  items: {
                    type: 'string',
                  },
                  type: 'array',
                },
                payment_method_id: {
                  type: 'string',
                },
                roles_allowed: {
                  items: {
                    type: 'string',
                  },
                  type: 'array',
                },
                slug: {
                  type: 'string',
                },
                type: {
                  type: 'string',
                },
                type_id: {
                  type: 'string',
                },
                type_name: {
                  type: 'string',
                },
                updated_at: {
                  format: 'dateTime',
                  type: 'string',
                },
              },
              type: 'object',
            },
          },
          default: {
            description: 'error',
            schema: {
              properties: {
                code: {
                  format: 'int64',
                  type: 'integer',
                },
                message: {
                  type: 'string',
                  'x-nullable': false,
                },
              },
              required: [
                'message',
              ],
              type: 'object',
            },
          },
        },
        tags: [
          'accountMembership',
        ],
        verb: 'put',
      },
      {
        operationId: 'cancelAccount',
        parameters: {
          body: {},
          path: {
            account_id: {
              in: 'path',
              name: 'account_id',
              required: true,
              type: 'string',
            },
          },
          query: {},
        },
        path: '/accounts/{account_id}',
        responses: {
          204: {
            description: 'Not Content',
          },
          default: {
            description: 'error',
            schema: {
              properties: {
                code: {
                  format: 'int64',
                  type: 'integer',
                },
                message: {
                  type: 'string',
                  'x-nullable': false,
                },
              },
              required: [
                'message',
              ],
              type: 'object',
            },
          },
        },
        tags: [
          'accountMembership',
        ],
        verb: 'delete',
      },
      {
        operationId: 'listAccountAuditEvents',
        parameters: {
          body: {},
          path: {
            account_id: {
              in: 'path',
              name: 'account_id',
              required: true,
              type: 'string',
            },
          },
          query: {
            log_type: {
              in: 'query',
              name: 'log_type',
              type: 'string',
            },
            page: {
              format: 'int32',
              in: 'query',
              name: 'page',
              required: false,
              type: 'integer',
            },
            per_page: {
              format: 'int32',
              in: 'query',
              name: 'per_page',
              required: false,
              type: 'integer',
            },
            query: {
              in: 'query',
              name: 'query',
              type: 'string',
            },
          },
        },
        path: '/accounts/{account_id}/audit',
        responses: {
          200: {
            description: 'OK',
            schema: {
              items: {
                properties: {
                  account_id: {
                    type: 'string',
                  },
                  id: {
                    type: 'string',
                  },
                  payload: {
                    additionalProperties: {
                      type: 'object',
                    },
                    properties: {
                      action: {
                        type: 'string',
                      },
                      actor_email: {
                        type: 'string',
                      },
                      actor_id: {
                        type: 'string',
                      },
                      actor_name: {
                        type: 'string',
                      },
                      log_type: {
                        type: 'string',
                      },
                      timestamp: {
                        format: 'dateTime',
                        type: 'string',
                      },
                    },
                    type: 'object',
                  },
                },
                type: 'object',
              },
              type: 'array',
            },
          },
          default: {
            description: 'error',
            schema: {
              properties: {
                code: {
                  format: 'int64',
                  type: 'integer',
                },
                message: {
                  type: 'string',
                  'x-nullable': false,
                },
              },
              required: [
                'message',
              ],
              type: 'object',
            },
          },
        },
        tags: [
          'auditLog',
        ],
        verb: 'get',
      },
      {
        operationId: 'listFormSubmission',
        parameters: {
          body: {},
          path: {
            submission_id: {
              in: 'path',
              name: 'submission_id',
              required: true,
              type: 'string',
            },
          },
          query: {
            page: {
              format: 'int32',
              in: 'query',
              name: 'page',
              required: false,
              type: 'integer',
            },
            per_page: {
              format: 'int32',
              in: 'query',
              name: 'per_page',
              required: false,
              type: 'integer',
            },
            query: {
              in: 'query',
              name: 'query',
              type: 'string',
            },
          },
        },
        path: '/submissions/{submission_id}',
        responses: {
          200: {
            description: 'OK',
            schema: {
              items: {
                properties: {
                  body: {
                    type: 'string',
                  },
                  company: {
                    type: 'string',
                  },
                  created_at: {
                    format: 'dateTime',
                    type: 'string',
                  },
                  data: {
                    type: 'object',
                  },
                  email: {
                    type: 'string',
                  },
                  first_name: {
                    type: 'string',
                  },
                  id: {
                    type: 'string',
                  },
                  last_name: {
                    type: 'string',
                  },
                  name: {
                    type: 'string',
                  },
                  number: {
                    format: 'int32',
                    type: 'integer',
                  },
                  site_url: {
                    type: 'string',
                  },
                  summary: {
                    type: 'string',
                  },
                },
                type: 'object',
              },
              type: 'array',
            },
          },
          default: {
            description: 'error',
            schema: {
              properties: {
                code: {
                  format: 'int64',
                  type: 'integer',
                },
                message: {
                  type: 'string',
                  'x-nullable': false,
                },
              },
              required: [
                'message',
              ],
              type: 'object',
            },
          },
        },
        tags: [
          'submission',
        ],
        verb: 'get',
      },
      {
        operationId: 'deleteSubmission',
        parameters: {
          body: {},
          path: {
            submission_id: {
              in: 'path',
              name: 'submission_id',
              required: true,
              type: 'string',
            },
          },
          query: {},
        },
        path: '/submissions/{submission_id}',
        responses: {
          204: {
            description: 'Deleted',
          },
          default: {
            description: 'error',
            schema: {
              properties: {
                code: {
                  format: 'int64',
                  type: 'integer',
                },
                message: {
                  type: 'string',
                  'x-nullable': false,
                },
              },
              required: [
                'message',
              ],
              type: 'object',
            },
          },
        },
        tags: [
          'submission',
        ],
        verb: 'delete',
      },
      {
        operationId: 'listServiceInstancesForSite',
        parameters: {
          body: {},
          path: {
            site_id: {
              in: 'path',
              name: 'site_id',
              required: true,
              type: 'string',
            },
          },
          query: {},
        },
        path: '/sites/{site_id}/service-instances',
        responses: {
          200: {
            description: 'OK',
            schema: {
              items: {
                properties: {
                  auth_url: {
                    type: 'string',
                  },
                  config: {
                    type: 'object',
                  },
                  created_at: {
                    format: 'dateTime',
                    type: 'string',
                  },
                  env: {
                    type: 'object',
                  },
                  external_attributes: {
                    type: 'object',
                  },
                  id: {
                    type: 'string',
                  },
                  service_name: {
                    type: 'string',
                  },
                  service_path: {
                    type: 'string',
                  },
                  service_slug: {
                    type: 'string',
                  },
                  snippets: {
                    items: {
                      type: 'object',
                    },
                    type: 'array',
                  },
                  updated_at: {
                    format: 'dateTime',
                    type: 'string',
                  },
                  url: {
                    type: 'string',
                  },
                },
                type: 'object',
              },
              type: 'array',
            },
          },
          default: {
            description: 'error',
            schema: {
              properties: {
                code: {
                  format: 'int64',
                  type: 'integer',
                },
                message: {
                  type: 'string',
                  'x-nullable': false,
                },
              },
              required: [
                'message',
              ],
              type: 'object',
            },
          },
        },
        tags: [
          'serviceInstance',
        ],
        verb: 'get',
      },
      {
        consumes: [
          'application/json',
        ],
        operationId: 'createServiceInstance',
        parameters: {
          body: {
            config: {
              in: 'body',
              name: 'config',
              required: true,
              schema: {
                type: 'object',
              },
            },
          },
          path: {
            addon: {
              in: 'path',
              name: 'addon',
              required: true,
              type: 'string',
            },
            site_id: {
              in: 'path',
              name: 'site_id',
              required: true,
              type: 'string',
            },
          },
          query: {},
        },
        path: '/sites/{site_id}/services/{addon}/instances',
        responses: {
          201: {
            description: 'Created',
            schema: {
              properties: {
                auth_url: {
                  type: 'string',
                },
                config: {
                  type: 'object',
                },
                created_at: {
                  format: 'dateTime',
                  type: 'string',
                },
                env: {
                  type: 'object',
                },
                external_attributes: {
                  type: 'object',
                },
                id: {
                  type: 'string',
                },
                service_name: {
                  type: 'string',
                },
                service_path: {
                  type: 'string',
                },
                service_slug: {
                  type: 'string',
                },
                snippets: {
                  items: {
                    type: 'object',
                  },
                  type: 'array',
                },
                updated_at: {
                  format: 'dateTime',
                  type: 'string',
                },
                url: {
                  type: 'string',
                },
              },
              type: 'object',
            },
          },
          default: {
            description: 'error',
            schema: {
              properties: {
                code: {
                  format: 'int64',
                  type: 'integer',
                },
                message: {
                  type: 'string',
                  'x-nullable': false,
                },
              },
              required: [
                'message',
              ],
              type: 'object',
            },
          },
        },
        tags: [
          'serviceInstance',
        ],
        verb: 'post',
      },
      {
        operationId: 'showServiceInstance',
        parameters: {
          body: {},
          path: {
            addon: {
              in: 'path',
              name: 'addon',
              required: true,
              type: 'string',
            },
            instance_id: {
              in: 'path',
              name: 'instance_id',
              required: true,
              type: 'string',
            },
            site_id: {
              in: 'path',
              name: 'site_id',
              required: true,
              type: 'string',
            },
          },
          query: {},
        },
        path: '/sites/{site_id}/services/{addon}/instances/{instance_id}',
        responses: {
          200: {
            description: 'OK',
            schema: {
              properties: {
                auth_url: {
                  type: 'string',
                },
                config: {
                  type: 'object',
                },
                created_at: {
                  format: 'dateTime',
                  type: 'string',
                },
                env: {
                  type: 'object',
                },
                external_attributes: {
                  type: 'object',
                },
                id: {
                  type: 'string',
                },
                service_name: {
                  type: 'string',
                },
                service_path: {
                  type: 'string',
                },
                service_slug: {
                  type: 'string',
                },
                snippets: {
                  items: {
                    type: 'object',
                  },
                  type: 'array',
                },
                updated_at: {
                  format: 'dateTime',
                  type: 'string',
                },
                url: {
                  type: 'string',
                },
              },
              type: 'object',
            },
          },
          default: {
            description: 'error',
            schema: {
              properties: {
                code: {
                  format: 'int64',
                  type: 'integer',
                },
                message: {
                  type: 'string',
                  'x-nullable': false,
                },
              },
              required: [
                'message',
              ],
              type: 'object',
            },
          },
        },
        tags: [
          'serviceInstance',
        ],
        verb: 'get',
      },
      {
        consumes: [
          'application/json',
        ],
        operationId: 'updateServiceInstance',
        parameters: {
          body: {
            config: {
              in: 'body',
              name: 'config',
              required: true,
              schema: {
                type: 'object',
              },
            },
          },
          path: {
            addon: {
              in: 'path',
              name: 'addon',
              required: true,
              type: 'string',
            },
            instance_id: {
              in: 'path',
              name: 'instance_id',
              required: true,
              type: 'string',
            },
            site_id: {
              in: 'path',
              name: 'site_id',
              required: true,
              type: 'string',
            },
          },
          query: {},
        },
        path: '/sites/{site_id}/services/{addon}/instances/{instance_id}',
        responses: {
          204: {
            description: 'No Content',
          },
          default: {
            description: 'error',
            schema: {
              properties: {
                code: {
                  format: 'int64',
                  type: 'integer',
                },
                message: {
                  type: 'string',
                  'x-nullable': false,
                },
              },
              required: [
                'message',
              ],
              type: 'object',
            },
          },
        },
        tags: [
          'serviceInstance',
        ],
        verb: 'put',
      },
      {
        operationId: 'deleteServiceInstance',
        parameters: {
          body: {},
          path: {
            addon: {
              in: 'path',
              name: 'addon',
              required: true,
              type: 'string',
            },
            instance_id: {
              in: 'path',
              name: 'instance_id',
              required: true,
              type: 'string',
            },
            site_id: {
              in: 'path',
              name: 'site_id',
              required: true,
              type: 'string',
            },
          },
          query: {},
        },
        path: '/sites/{site_id}/services/{addon}/instances/{instance_id}',
        responses: {
          204: {
            description: 'Deleted',
          },
          default: {
            description: 'error',
            schema: {
              properties: {
                code: {
                  format: 'int64',
                  type: 'integer',
                },
                message: {
                  type: 'string',
                  'x-nullable': false,
                },
              },
              required: [
                'message',
              ],
              type: 'object',
            },
          },
        },
        tags: [
          'serviceInstance',
        ],
        verb: 'delete',
      },
      {
        operationId: 'getServices',
        parameters: {
          body: {},
          path: {},
          query: {
            search: {
              in: 'query',
              name: 'search',
              type: 'string',
            },
          },
        },
        path: '/services/',
        responses: {
          200: {
            description: 'services',
            schema: {
              items: {
                properties: {
                  created_at: {
                    format: 'dateTime',
                    type: 'string',
                  },
                  description: {
                    type: 'string',
                  },
                  environments: {
                    items: {
                      type: 'string',
                    },
                    type: 'array',
                  },
                  events: {
                    items: {
                      type: 'object',
                    },
                    type: 'array',
                  },
                  icon: {
                    type: 'string',
                  },
                  id: {
                    type: 'string',
                  },
                  long_description: {
                    type: 'string',
                  },
                  manifest_url: {
                    type: 'string',
                  },
                  name: {
                    type: 'string',
                  },
                  service_path: {
                    type: 'string',
                  },
                  slug: {
                    type: 'string',
                  },
                  tags: {
                    items: {
                      type: 'string',
                    },
                    type: 'array',
                  },
                  updated_at: {
                    format: 'dateTime',
                    type: 'string',
                  },
                },
                type: 'object',
              },
              type: 'array',
            },
          },
          default: {
            description: 'error',
            schema: {
              properties: {
                code: {
                  format: 'int64',
                  type: 'integer',
                },
                message: {
                  type: 'string',
                  'x-nullable': false,
                },
              },
              required: [
                'message',
              ],
              type: 'object',
            },
          },
        },
        tags: [
          'service',
        ],
        verb: 'get',
      },
      {
        operationId: 'showService',
        parameters: {
          body: {},
          path: {
            addonName: {
              in: 'path',
              name: 'addonName',
              required: true,
              type: 'string',
            },
          },
          query: {},
        },
        path: '/services/{addonName}',
        responses: {
          200: {
            description: 'services',
            schema: {
              properties: {
                created_at: {
                  format: 'dateTime',
                  type: 'string',
                },
                description: {
                  type: 'string',
                },
                environments: {
                  items: {
                    type: 'string',
                  },
                  type: 'array',
                },
                events: {
                  items: {
                    type: 'object',
                  },
                  type: 'array',
                },
                icon: {
                  type: 'string',
                },
                id: {
                  type: 'string',
                },
                long_description: {
                  type: 'string',
                },
                manifest_url: {
                  type: 'string',
                },
                name: {
                  type: 'string',
                },
                service_path: {
                  type: 'string',
                },
                slug: {
                  type: 'string',
                },
                tags: {
                  items: {
                    type: 'string',
                  },
                  type: 'array',
                },
                updated_at: {
                  format: 'dateTime',
                  type: 'string',
                },
              },
              type: 'object',
            },
          },
          default: {
            description: 'error',
            schema: {
              properties: {
                code: {
                  format: 'int64',
                  type: 'integer',
                },
                message: {
                  type: 'string',
                  'x-nullable': false,
                },
              },
              required: [
                'message',
              ],
              type: 'object',
            },
          },
        },
        tags: [
          'service',
        ],
        verb: 'get',
      },
      {
        operationId: 'showServiceManifest',
        parameters: {
          body: {},
          path: {
            addonName: {
              in: 'path',
              name: 'addonName',
              required: true,
              type: 'string',
            },
          },
          query: {},
        },
        path: '/services/{addonName}/manifest',
        responses: {
          201: {
            description: 'retrieving from provider',
            schema: {
              type: 'object',
            },
          },
          default: {
            description: 'error',
            schema: {
              properties: {
                code: {
                  format: 'int64',
                  type: 'integer',
                },
                message: {
                  type: 'string',
                  'x-nullable': false,
                },
              },
              required: [
                'message',
              ],
              type: 'object',
            },
          },
        },
        tags: [
          'service',
        ],
        verb: 'get',
      },
      {
        operationId: 'getCurrentUser',
        parameters: {
          body: {},
          path: {},
          query: {},
        },
        path: '/user',
        responses: {
          200: {
            description: 'OK',
            schema: {
              items: {
                properties: {
                  affiliate_id: {
                    type: 'string',
                  },
                  avatar_url: {
                    type: 'string',
                  },
                  created_at: {
                    format: 'dateTime',
                    type: 'string',
                  },
                  email: {
                    type: 'string',
                  },
                  full_name: {
                    type: 'string',
                  },
                  id: {
                    type: 'string',
                  },
                  last_login: {
                    format: 'dateTime',
                    type: 'string',
                  },
                  login_providers: {
                    items: {
                      type: 'string',
                    },
                    type: 'array',
                  },
                  onboarding_progress: {
                    properties: {
                      slides: {
                        type: 'string',
                      },
                    },
                    type: 'object',
                  },
                  site_count: {
                    format: 'int64',
                    type: 'integer',
                  },
                  uid: {
                    type: 'string',
                  },
                },
                type: 'object',
              },
              type: 'array',
            },
          },
          default: {
            description: 'error',
            schema: {
              properties: {
                code: {
                  format: 'int64',
                  type: 'integer',
                },
                message: {
                  type: 'string',
                  'x-nullable': false,
                },
              },
              required: [
                'message',
              ],
              type: 'object',
            },
          },
        },
        tags: [
          'user',
        ],
        verb: 'get',
      },
      {
        consumes: [
          'application/json',
        ],
        operationId: 'createSplitTest',
        parameters: {
          body: {
            branch_tests: {
              in: 'body',
              name: 'branch_tests',
              required: true,
              schema: {
                properties: {
                  branch_tests: {
                    type: 'object',
                  },
                },
                type: 'object',
              },
            },
          },
          path: {
            site_id: {
              in: 'path',
              name: 'site_id',
              required: true,
              type: 'string',
            },
          },
          query: {},
        },
        path: '/sites/{site_id}/traffic_splits',
        responses: {
          201: {
            description: 'Created',
            schema: {
              properties: {
                active: {
                  type: 'boolean',
                },
                branches: {
                  items: {
                    type: 'object',
                  },
                  type: 'array',
                },
                created_at: {
                  format: 'dateTime',
                  type: 'string',
                },
                id: {
                  type: 'string',
                },
                name: {
                  type: 'string',
                },
                path: {
                  type: 'string',
                },
                site_id: {
                  type: 'string',
                },
                unpublished_at: {
                  format: 'dateTime',
                  type: 'string',
                },
                updated_at: {
                  format: 'dateTime',
                  type: 'string',
                },
              },
              type: 'object',
            },
          },
          default: {
            description: 'error',
            schema: {
              properties: {
                code: {
                  format: 'int64',
                  type: 'integer',
                },
                message: {
                  type: 'string',
                  'x-nullable': false,
                },
              },
              required: [
                'message',
              ],
              type: 'object',
            },
          },
        },
        tags: [
          'splitTest',
        ],
        verb: 'post',
      },
      {
        operationId: 'getSplitTests',
        parameters: {
          body: {},
          path: {
            site_id: {
              in: 'path',
              name: 'site_id',
              required: true,
              type: 'string',
            },
          },
          query: {},
        },
        path: '/sites/{site_id}/traffic_splits',
        responses: {
          200: {
            description: 'split_tests',
            schema: {
              items: {
                properties: {
                  active: {
                    type: 'boolean',
                  },
                  branches: {
                    items: {
                      type: 'object',
                    },
                    type: 'array',
                  },
                  created_at: {
                    format: 'dateTime',
                    type: 'string',
                  },
                  id: {
                    type: 'string',
                  },
                  name: {
                    type: 'string',
                  },
                  path: {
                    type: 'string',
                  },
                  site_id: {
                    type: 'string',
                  },
                  unpublished_at: {
                    format: 'dateTime',
                    type: 'string',
                  },
                  updated_at: {
                    format: 'dateTime',
                    type: 'string',
                  },
                },
                type: 'object',
              },
              type: 'array',
            },
          },
          default: {
            description: 'error',
            schema: {
              properties: {
                code: {
                  format: 'int64',
                  type: 'integer',
                },
                message: {
                  type: 'string',
                  'x-nullable': false,
                },
              },
              required: [
                'message',
              ],
              type: 'object',
            },
          },
        },
        tags: [
          'splitTest',
        ],
        verb: 'get',
      },
      {
        consumes: [
          'application/json',
        ],
        operationId: 'updateSplitTest',
        parameters: {
          body: {
            branch_tests: {
              in: 'body',
              name: 'branch_tests',
              required: true,
              schema: {
                properties: {
                  branch_tests: {
                    type: 'object',
                  },
                },
                type: 'object',
              },
            },
          },
          path: {
            site_id: {
              in: 'path',
              name: 'site_id',
              required: true,
              type: 'string',
            },
            split_test_id: {
              in: 'path',
              name: 'split_test_id',
              required: true,
              type: 'string',
            },
          },
          query: {},
        },
        path: '/sites/{site_id}/traffic_splits/{split_test_id}',
        responses: {
          201: {
            description: 'Created',
            schema: {
              properties: {
                active: {
                  type: 'boolean',
                },
                branches: {
                  items: {
                    type: 'object',
                  },
                  type: 'array',
                },
                created_at: {
                  format: 'dateTime',
                  type: 'string',
                },
                id: {
                  type: 'string',
                },
                name: {
                  type: 'string',
                },
                path: {
                  type: 'string',
                },
                site_id: {
                  type: 'string',
                },
                unpublished_at: {
                  format: 'dateTime',
                  type: 'string',
                },
                updated_at: {
                  format: 'dateTime',
                  type: 'string',
                },
              },
              type: 'object',
            },
          },
          default: {
            description: 'error',
            schema: {
              properties: {
                code: {
                  format: 'int64',
                  type: 'integer',
                },
                message: {
                  type: 'string',
                  'x-nullable': false,
                },
              },
              required: [
                'message',
              ],
              type: 'object',
            },
          },
        },
        tags: [
          'splitTest',
        ],
        verb: 'put',
      },
      {
        operationId: 'getSplitTest',
        parameters: {
          body: {},
          path: {
            site_id: {
              in: 'path',
              name: 'site_id',
              required: true,
              type: 'string',
            },
            split_test_id: {
              in: 'path',
              name: 'split_test_id',
              required: true,
              type: 'string',
            },
          },
          query: {},
        },
        path: '/sites/{site_id}/traffic_splits/{split_test_id}',
        responses: {
          200: {
            description: 'split_test',
            schema: {
              properties: {
                active: {
                  type: 'boolean',
                },
                branches: {
                  items: {
                    type: 'object',
                  },
                  type: 'array',
                },
                created_at: {
                  format: 'dateTime',
                  type: 'string',
                },
                id: {
                  type: 'string',
                },
                name: {
                  type: 'string',
                },
                path: {
                  type: 'string',
                },
                site_id: {
                  type: 'string',
                },
                unpublished_at: {
                  format: 'dateTime',
                  type: 'string',
                },
                updated_at: {
                  format: 'dateTime',
                  type: 'string',
                },
              },
              type: 'object',
            },
          },
          default: {
            description: 'error',
            schema: {
              properties: {
                code: {
                  format: 'int64',
                  type: 'integer',
                },
                message: {
                  type: 'string',
                  'x-nullable': false,
                },
              },
              required: [
                'message',
              ],
              type: 'object',
            },
          },
        },
        tags: [
          'splitTest',
        ],
        verb: 'get',
      },
      {
        operationId: 'enableSplitTest',
        parameters: {
          body: {},
          path: {
            site_id: {
              in: 'path',
              name: 'site_id',
              required: true,
              type: 'string',
            },
            split_test_id: {
              in: 'path',
              name: 'split_test_id',
              required: true,
              type: 'string',
            },
          },
          query: {},
        },
        path: '/sites/{site_id}/traffic_splits/{split_test_id}/publish',
        responses: {
          204: {
            description: 'enable',
          },
          default: {
            description: 'error',
            schema: {
              properties: {
                code: {
                  format: 'int64',
                  type: 'integer',
                },
                message: {
                  type: 'string',
                  'x-nullable': false,
                },
              },
              required: [
                'message',
              ],
              type: 'object',
            },
          },
        },
        tags: [
          'splitTest',
        ],
        verb: 'post',
      },
      {
        operationId: 'disableSplitTest',
        parameters: {
          body: {},
          path: {
            site_id: {
              in: 'path',
              name: 'site_id',
              required: true,
              type: 'string',
            },
            split_test_id: {
              in: 'path',
              name: 'split_test_id',
              required: true,
              type: 'string',
            },
          },
          query: {},
        },
        path: '/sites/{site_id}/traffic_splits/{split_test_id}/unpublish',
        responses: {
          204: {
            description: 'disabled',
          },
          default: {
            description: 'error',
            schema: {
              properties: {
                code: {
                  format: 'int64',
                  type: 'integer',
                },
                message: {
                  type: 'string',
                  'x-nullable': false,
                },
              },
              required: [
                'message',
              ],
              type: 'object',
            },
          },
        },
        tags: [
          'splitTest',
        ],
        verb: 'post',
      },
      {
        consumes: [
          'application/json',
        ],
        operationId: 'createDnsZone',
        parameters: {
          body: {
            DnsZoneParams: {
              in: 'body',
              name: 'DnsZoneParams',
              required: true,
              schema: {
                properties: {
                  account_slug: {
                    type: 'string',
                  },
                  name: {
                    type: 'string',
                  },
                  site_id: {
                    type: 'string',
                  },
                },
                type: 'object',
              },
            },
          },
          path: {},
          query: {},
        },
        path: '/dns_zones',
        responses: {
          201: {
            description: 'Created',
            schema: {
              properties: {
                account_id: {
                  type: 'string',
                },
                account_name: {
                  type: 'string',
                },
                account_slug: {
                  type: 'string',
                },
                created_at: {
                  format: 'dateTime',
                  type: 'string',
                },
                dedicated: {
                  type: 'boolean',
                },
                dns_servers: {
                  items: {
                    type: 'string',
                  },
                  type: 'array',
                },
                domain: {
                  type: 'string',
                },
                errors: {
                  items: {
                    type: 'string',
                  },
                  type: 'array',
                },
                id: {
                  type: 'string',
                },
                ipv6_enabled: {
                  type: 'boolean',
                },
                name: {
                  type: 'string',
                },
                records: {
                  items: {
                    properties: {
                      dns_zone_id: {
                        type: 'string',
                      },
                      flag: {
                        type: 'integer',
                      },
                      hostname: {
                        type: 'string',
                      },
                      id: {
                        type: 'string',
                      },
                      managed: {
                        type: 'boolean',
                      },
                      priority: {
                        format: 'int64',
                        type: 'integer',
                      },
                      site_id: {
                        type: 'string',
                      },
                      tag: {
                        type: 'string',
                      },
                      ttl: {
                        format: 'int64',
                        type: 'integer',
                      },
                      type: {
                        type: 'string',
                      },
                      value: {
                        type: 'string',
                      },
                    },
                    type: 'object',
                  },
                  type: 'array',
                },
                site_id: {
                  type: 'string',
                },
                supported_record_types: {
                  items: {
                    type: 'string',
                  },
                  type: 'array',
                },
                updated_at: {
                  format: 'dateTime',
                  type: 'string',
                },
                user_id: {
                  type: 'string',
                },
              },
              type: 'object',
            },
          },
          default: {
            description: 'error',
            schema: {
              properties: {
                code: {
                  format: 'int64',
                  type: 'integer',
                },
                message: {
                  type: 'string',
                  'x-nullable': false,
                },
              },
              required: [
                'message',
              ],
              type: 'object',
            },
          },
        },
        tags: [
          'dnsZone',
        ],
        verb: 'post',
      },
      {
        operationId: 'getDnsZones',
        parameters: {
          body: {},
          path: {},
          query: {
            account_slug: {
              in: 'query',
              name: 'account_slug',
              required: false,
              type: 'string',
            },
          },
        },
        path: '/dns_zones',
        responses: {
          200: {
            description: 'get all DNS zones the user has access to',
            schema: {
              items: {
                properties: {
                  account_id: {
                    type: 'string',
                  },
                  account_name: {
                    type: 'string',
                  },
                  account_slug: {
                    type: 'string',
                  },
                  created_at: {
                    format: 'dateTime',
                    type: 'string',
                  },
                  dedicated: {
                    type: 'boolean',
                  },
                  dns_servers: {
                    items: {
                      type: 'string',
                    },
                    type: 'array',
                  },
                  domain: {
                    type: 'string',
                  },
                  errors: {
                    items: {
                      type: 'string',
                    },
                    type: 'array',
                  },
                  id: {
                    type: 'string',
                  },
                  ipv6_enabled: {
                    type: 'boolean',
                  },
                  name: {
                    type: 'string',
                  },
                  records: {
                    items: {
                      properties: {
                        dns_zone_id: {
                          type: 'string',
                        },
                        flag: {
                          type: 'integer',
                        },
                        hostname: {
                          type: 'string',
                        },
                        id: {
                          type: 'string',
                        },
                        managed: {
                          type: 'boolean',
                        },
                        priority: {
                          format: 'int64',
                          type: 'integer',
                        },
                        site_id: {
                          type: 'string',
                        },
                        tag: {
                          type: 'string',
                        },
                        ttl: {
                          format: 'int64',
                          type: 'integer',
                        },
                        type: {
                          type: 'string',
                        },
                        value: {
                          type: 'string',
                        },
                      },
                      type: 'object',
                    },
                    type: 'array',
                  },
                  site_id: {
                    type: 'string',
                  },
                  supported_record_types: {
                    items: {
                      type: 'string',
                    },
                    type: 'array',
                  },
                  updated_at: {
                    format: 'dateTime',
                    type: 'string',
                  },
                  user_id: {
                    type: 'string',
                  },
                },
                type: 'object',
              },
              type: 'array',
            },
          },
          default: {
            description: 'error',
            schema: {
              properties: {
                code: {
                  format: 'int64',
                  type: 'integer',
                },
                message: {
                  type: 'string',
                  'x-nullable': false,
                },
              },
              required: [
                'message',
              ],
              type: 'object',
            },
          },
        },
        tags: [
          'dnsZone',
        ],
        verb: 'get',
      },
      {
        operationId: 'getDnsZone',
        parameters: {
          body: {},
          path: {
            zone_id: {
              in: 'path',
              name: 'zone_id',
              required: true,
              type: 'string',
            },
          },
          query: {},
        },
        path: '/dns_zones/{zone_id}',
        responses: {
          200: {
            description: 'get a single DNS zone',
            schema: {
              properties: {
                account_id: {
                  type: 'string',
                },
                account_name: {
                  type: 'string',
                },
                account_slug: {
                  type: 'string',
                },
                created_at: {
                  format: 'dateTime',
                  type: 'string',
                },
                dedicated: {
                  type: 'boolean',
                },
                dns_servers: {
                  items: {
                    type: 'string',
                  },
                  type: 'array',
                },
                domain: {
                  type: 'string',
                },
                errors: {
                  items: {
                    type: 'string',
                  },
                  type: 'array',
                },
                id: {
                  type: 'string',
                },
                ipv6_enabled: {
                  type: 'boolean',
                },
                name: {
                  type: 'string',
                },
                records: {
                  items: {
                    properties: {
                      dns_zone_id: {
                        type: 'string',
                      },
                      flag: {
                        type: 'integer',
                      },
                      hostname: {
                        type: 'string',
                      },
                      id: {
                        type: 'string',
                      },
                      managed: {
                        type: 'boolean',
                      },
                      priority: {
                        format: 'int64',
                        type: 'integer',
                      },
                      site_id: {
                        type: 'string',
                      },
                      tag: {
                        type: 'string',
                      },
                      ttl: {
                        format: 'int64',
                        type: 'integer',
                      },
                      type: {
                        type: 'string',
                      },
                      value: {
                        type: 'string',
                      },
                    },
                    type: 'object',
                  },
                  type: 'array',
                },
                site_id: {
                  type: 'string',
                },
                supported_record_types: {
                  items: {
                    type: 'string',
                  },
                  type: 'array',
                },
                updated_at: {
                  format: 'dateTime',
                  type: 'string',
                },
                user_id: {
                  type: 'string',
                },
              },
              type: 'object',
            },
          },
          default: {
            description: 'error',
            schema: {
              properties: {
                code: {
                  format: 'int64',
                  type: 'integer',
                },
                message: {
                  type: 'string',
                  'x-nullable': false,
                },
              },
              required: [
                'message',
              ],
              type: 'object',
            },
          },
        },
        tags: [
          'dnsZone',
        ],
        verb: 'get',
      },
      {
        operationId: 'deleteDnsZone',
        parameters: {
          body: {},
          path: {
            zone_id: {
              in: 'path',
              name: 'zone_id',
              required: true,
              type: 'string',
            },
          },
          query: {},
        },
        path: '/dns_zones/{zone_id}',
        responses: {
          204: {
            description: 'delete a single DNS zone',
          },
          default: {
            description: 'error',
            schema: {
              properties: {
                code: {
                  format: 'int64',
                  type: 'integer',
                },
                message: {
                  type: 'string',
                  'x-nullable': false,
                },
              },
              required: [
                'message',
              ],
              type: 'object',
            },
          },
        },
        tags: [
          'dnsZone',
        ],
        verb: 'delete',
      },
      {
        operationId: 'transferDnsZone',
        parameters: {
          body: {},
          path: {
            zone_id: {
              in: 'path',
              name: 'zone_id',
              required: true,
              type: 'string',
            },
          },
          query: {
            account_id: {
              description: 'the account of the dns zone',
              in: 'query',
              name: 'account_id',
              required: true,
              type: 'string',
            },
            transfer_account_id: {
              description: 'the account you want to transfer the dns zone to',
              in: 'query',
              name: 'transfer_account_id',
              required: true,
              type: 'string',
            },
            transfer_user_id: {
              description: 'the user you want to transfer the dns zone to',
              in: 'query',
              name: 'transfer_user_id',
              required: true,
              type: 'string',
            },
          },
        },
        path: '/dns_zones/{zone_id}/transfer',
        responses: {
          200: {
            description: 'transfer a DNS zone to another account',
            schema: {
              properties: {
                account_id: {
                  type: 'string',
                },
                account_name: {
                  type: 'string',
                },
                account_slug: {
                  type: 'string',
                },
                created_at: {
                  format: 'dateTime',
                  type: 'string',
                },
                dedicated: {
                  type: 'boolean',
                },
                dns_servers: {
                  items: {
                    type: 'string',
                  },
                  type: 'array',
                },
                domain: {
                  type: 'string',
                },
                errors: {
                  items: {
                    type: 'string',
                  },
                  type: 'array',
                },
                id: {
                  type: 'string',
                },
                ipv6_enabled: {
                  type: 'boolean',
                },
                name: {
                  type: 'string',
                },
                records: {
                  items: {
                    properties: {
                      dns_zone_id: {
                        type: 'string',
                      },
                      flag: {
                        type: 'integer',
                      },
                      hostname: {
                        type: 'string',
                      },
                      id: {
                        type: 'string',
                      },
                      managed: {
                        type: 'boolean',
                      },
                      priority: {
                        format: 'int64',
                        type: 'integer',
                      },
                      site_id: {
                        type: 'string',
                      },
                      tag: {
                        type: 'string',
                      },
                      ttl: {
                        format: 'int64',
                        type: 'integer',
                      },
                      type: {
                        type: 'string',
                      },
                      value: {
                        type: 'string',
                      },
                    },
                    type: 'object',
                  },
                  type: 'array',
                },
                site_id: {
                  type: 'string',
                },
                supported_record_types: {
                  items: {
                    type: 'string',
                  },
                  type: 'array',
                },
                updated_at: {
                  format: 'dateTime',
                  type: 'string',
                },
                user_id: {
                  type: 'string',
                },
              },
              type: 'object',
            },
          },
          default: {
            description: 'error',
            schema: {
              properties: {
                code: {
                  format: 'int64',
                  type: 'integer',
                },
                message: {
                  type: 'string',
                  'x-nullable': false,
                },
              },
              required: [
                'message',
              ],
              type: 'object',
            },
          },
        },
        tags: [
          'dnsZone',
        ],
        verb: 'put',
      },
      {
        operationId: 'getDnsRecords',
        parameters: {
          body: {},
          path: {
            zone_id: {
              in: 'path',
              name: 'zone_id',
              required: true,
              type: 'string',
            },
          },
          query: {},
        },
        path: '/dns_zones/{zone_id}/dns_records',
        responses: {
          200: {
            description: 'get all DNS records for a single DNS zone',
            schema: {
              items: {
                properties: {
                  dns_zone_id: {
                    type: 'string',
                  },
                  flag: {
                    type: 'integer',
                  },
                  hostname: {
                    type: 'string',
                  },
                  id: {
                    type: 'string',
                  },
                  managed: {
                    type: 'boolean',
                  },
                  priority: {
                    format: 'int64',
                    type: 'integer',
                  },
                  site_id: {
                    type: 'string',
                  },
                  tag: {
                    type: 'string',
                  },
                  ttl: {
                    format: 'int64',
                    type: 'integer',
                  },
                  type: {
                    type: 'string',
                  },
                  value: {
                    type: 'string',
                  },
                },
                type: 'object',
              },
              type: 'array',
            },
          },
          default: {
            description: 'error',
            schema: {
              properties: {
                code: {
                  format: 'int64',
                  type: 'integer',
                },
                message: {
                  type: 'string',
                  'x-nullable': false,
                },
              },
              required: [
                'message',
              ],
              type: 'object',
            },
          },
        },
        tags: [
          'dnsZone',
        ],
        verb: 'get',
      },
      {
        consumes: [
          'application/json',
        ],
        operationId: 'createDnsRecord',
        parameters: {
          body: {
            dns_record: {
              in: 'body',
              name: 'dns_record',
              required: true,
              schema: {
                properties: {
                  flag: {
                    format: 'int64',
                    type: 'integer',
                  },
                  hostname: {
                    type: 'string',
                  },
                  port: {
                    format: 'int64',
                    type: 'integer',
                  },
                  priority: {
                    format: 'int64',
                    type: 'integer',
                  },
                  tag: {
                    type: 'string',
                  },
                  ttl: {
                    format: 'int64',
                    type: 'integer',
                  },
                  type: {
                    type: 'string',
                  },
                  value: {
                    type: 'string',
                  },
                  weight: {
                    format: 'int64',
                    type: 'integer',
                  },
                },
                type: 'object',
              },
            },
          },
          path: {
            zone_id: {
              in: 'path',
              name: 'zone_id',
              required: true,
              type: 'string',
            },
          },
          query: {},
        },
        path: '/dns_zones/{zone_id}/dns_records',
        responses: {
          201: {
            description: 'Created',
            schema: {
              properties: {
                dns_zone_id: {
                  type: 'string',
                },
                flag: {
                  type: 'integer',
                },
                hostname: {
                  type: 'string',
                },
                id: {
                  type: 'string',
                },
                managed: {
                  type: 'boolean',
                },
                priority: {
                  format: 'int64',
                  type: 'integer',
                },
                site_id: {
                  type: 'string',
                },
                tag: {
                  type: 'string',
                },
                ttl: {
                  format: 'int64',
                  type: 'integer',
                },
                type: {
                  type: 'string',
                },
                value: {
                  type: 'string',
                },
              },
              type: 'object',
            },
          },
          default: {
            description: 'error',
            schema: {
              properties: {
                code: {
                  format: 'int64',
                  type: 'integer',
                },
                message: {
                  type: 'string',
                  'x-nullable': false,
                },
              },
              required: [
                'message',
              ],
              type: 'object',
            },
          },
        },
        tags: [
          'dnsZone',
        ],
        verb: 'post',
      },
      {
        operationId: 'getIndividualDnsRecord',
        parameters: {
          body: {},
          path: {
            dns_record_id: {
              in: 'path',
              name: 'dns_record_id',
              required: true,
              type: 'string',
            },
            zone_id: {
              in: 'path',
              name: 'zone_id',
              required: true,
              type: 'string',
            },
          },
          query: {},
        },
        path: '/dns_zones/{zone_id}/dns_records/{dns_record_id}',
        responses: {
          200: {
            description: 'get a single DNS record',
            schema: {
              properties: {
                dns_zone_id: {
                  type: 'string',
                },
                flag: {
                  type: 'integer',
                },
                hostname: {
                  type: 'string',
                },
                id: {
                  type: 'string',
                },
                managed: {
                  type: 'boolean',
                },
                priority: {
                  format: 'int64',
                  type: 'integer',
                },
                site_id: {
                  type: 'string',
                },
                tag: {
                  type: 'string',
                },
                ttl: {
                  format: 'int64',
                  type: 'integer',
                },
                type: {
                  type: 'string',
                },
                value: {
                  type: 'string',
                },
              },
              type: 'object',
            },
          },
          default: {
            description: 'error',
            schema: {
              properties: {
                code: {
                  format: 'int64',
                  type: 'integer',
                },
                message: {
                  type: 'string',
                  'x-nullable': false,
                },
              },
              required: [
                'message',
              ],
              type: 'object',
            },
          },
        },
        tags: [
          'dnsZone',
        ],
        verb: 'get',
      },
      {
        operationId: 'deleteDnsRecord',
        parameters: {
          body: {},
          path: {
            dns_record_id: {
              in: 'path',
              name: 'dns_record_id',
              required: true,
              type: 'string',
            },
            zone_id: {
              in: 'path',
              name: 'zone_id',
              required: true,
              type: 'string',
            },
          },
          query: {},
        },
        path: '/dns_zones/{zone_id}/dns_records/{dns_record_id}',
        responses: {
          204: {
            description: 'record deleted',
          },
          default: {
            description: 'error',
            schema: {
              properties: {
                code: {
                  format: 'int64',
                  type: 'integer',
                },
                message: {
                  type: 'string',
                  'x-nullable': false,
                },
              },
              required: [
                'message',
              ],
              type: 'object',
            },
          },
        },
        tags: [
          'dnsZone',
        ],
        verb: 'delete',
      },
    ]
